﻿/**
* DevExpress Dashboard (bundle.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { defineClassMoved } from '../model/internal/_obsolete-helper';
import '../index';
import * as Data from '../data/index';
import * as DataInternal from '../data/index.internal';
import * as ViewerInternal from '../common/viewer/index.internal';
import * as Common from '../common';
import * as CommonInternal from '../common/index.internal';
import * as Metadata from '../model/index.metadata';
import * as Model from '../model';
import * as ModelInternal from '../model/index.internal';
import * as Designer from '../designer';
import * as DesignerInternal from '../designer/index.internal';
var DevExpress = window.DevExpress || {};
DevExpress.Dashboard = Common;
DevExpress.Dashboard.Data = Data;
DevExpress.Dashboard.Model = Model;
DevExpress.Dashboard.Designer = Designer;
Object.defineProperty(DevExpress.Dashboard.Designer, 'TextBoxItemEditorExtension', {
    get: () => {
        return require('../designer/text-box-item-editor-extension').TextBoxItemEditorExtension;
    },
    enumerable: false,
    configurable: true
});
DevExpress.Dashboard.Metadata = Metadata;
DevExpress.Dashboard.Internal = CommonInternal;
DevExpress.Dashboard.Internal.Data = DataInternal;
DevExpress.Dashboard.Internal.Model = ModelInternal;
DevExpress.Dashboard.Internal.Designer = DesignerInternal;
DevExpress.Dashboard.Internal.Viewer = ViewerInternal;
function defineClassReplace(memberName) {
    defineClassMoved(memberName, DevExpress.Dashboard, DevExpress.Dashboard.Designer, 'DevExpress.Dashboard', 'DevExpress.Dashboard.Designer', 'See https://www.devexpress.com/bcid=BC4459 for details.');
}
defineClassReplace('DashboardItemMenuExtension');
defineClassReplace('DashboardColorSchemeEditorExtension');
defineClassReplace('DashboardCurrencyEditorExtension');
defineClassReplace('DataSourceBrowserExtension');
defineClassReplace('MultiQueryDataSourceWizardExtension');
defineClassReplace('DataSourceWizardExtension');
defineClassReplace('AvailableDataSourcesExtension');
defineClassReplace('BindingPanelExtension');
defineClassReplace('ConversionPanelExtension');
defineClassReplace('CreateDashboardExtension');
defineClassReplace('InteractivityPanelExtension');
defineClassReplace('OpenDashboardExtension');
defineClassReplace('OptionsPanelExtension');
defineClassReplace('SaveDashboardExtension');
defineClassReplace('DashboardTitleEditorExtension');
defineClassReplace('UndoRedoExtension');
defineClassReplace('DashboardParameterEditorExtension');
defineClassReplace('ToolboxExtension');
defineClassReplace('DashboardMenuItem');
defineClassReplace('DashboardToolboxItem');
defineClassReplace('DashboardToolbarItem');
defineClassReplace('DashboardToolboxGroup');
defineClassReplace('DashboardToolbarGroup');
export default DevExpress['Dashboard'];
