﻿/**
* DevExpress Dashboard (index.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { useKoIntegration } from '@devexpress/analytics-core/analytics-internal';
import 'devextreme/color';
import 'devextreme/common/core/events/utils';
import 'devextreme/common/core/localization/date';
import 'devextreme/common/core/localization/number';
import 'devextreme/core/class';
import 'devextreme/core/component_registrator';
import 'devextreme/core/devices';
import 'devextreme/core/dom_component';
import 'devextreme/core/utils/browser';
import 'devextreme/core/utils/console';
import 'devextreme/core/utils/data';
import 'devextreme/core/utils/date';
import 'devextreme/core/utils/resize_callbacks';
import 'devextreme/core/utils/string';
import 'devextreme/core/utils/support';
import 'devextreme/data/array_store';
import 'devextreme/data/custom_store';
import 'devextreme/data/data_source';
import 'devextreme/data/query';
import 'devextreme/format_helper';
import 'devextreme/integration/knockout';
import 'devextreme/localization';
import 'devextreme/ui/accordion';
import 'devextreme/ui/button';
import 'devextreme/ui/check_box';
import 'devextreme/ui/collection/ui.collection_widget.base';
import 'devextreme/ui/data_grid';
import 'devextreme/ui/date_box';
import 'devextreme/ui/dialog';
import 'devextreme/ui/list';
import 'devextreme/ui/overlay/ui.overlay';
import 'devextreme/ui/pivot_grid';
import 'devextreme/ui/popup';
import 'devextreme/ui/scroll_view';
import 'devextreme/ui/select_box';
import 'devextreme/ui/tag_box';
import 'devextreme/ui/text_box';
import 'devextreme/ui/themes';
import 'devextreme/ui/toast';
import 'devextreme/ui/toolbar';
import 'devextreme/ui/tree_list';
import 'devextreme/ui/tree_view';
import 'devextreme/ui/validation_engine';
import 'devextreme/ui/widget/ui.widget';
import 'devextreme/viz/bullet';
import 'devextreme/viz/chart';
import 'devextreme/viz/circular_gauge';
import 'devextreme/viz/core/renderers/renderer';
import 'devextreme/viz/core/utils';
import 'devextreme/viz/linear_gauge';
import 'devextreme/viz/pie_chart';
import 'devextreme/viz/range_selector';
import 'devextreme/viz/sparkline';
import 'devextreme/viz/themes';
import 'devextreme/viz/tree_map';
import 'devextreme/viz/vector_map';
import 'devextreme/viz/vector_map/projection';
import 'jquery';
import '../data';
import '../model';
import './index.exports';
import './parameters-definitions';
useKoIntegration();
export * from '../viewer-parts';
export * from './index.exports';
