﻿/**
* DevExpress Dashboard (resource-manager.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare class ResourceManager {
    static setLocalizationMessages(localizationMessages: {
        [localizationStringId: string]: string;
    }): void;
    static embedBundledResources(): void;
    static removeEmbeddedResources(): void;
    static registerIcon(icon: string | HTMLElement, id?: string): void;
}
