﻿/**
* DevExpress Dashboard (_item-data-tuple.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ItemDataAxisName, ItemDataAxisPointTuple } from './item-data-definitions';
import { itemDataAxisPoint } from './_item-data-axis-point';
export declare class itemDataTuple implements ItemDataAxisPointTuple {
    private _axisPoints;
    constructor(axisPoints: Array<itemDataAxisPoint>);
    getAxisPoint(axisName?: ItemDataAxisName): itemDataAxisPoint;
}
export type itemDataTupleValue = {
    axisName: ItemDataAxisName;
    value: any[];
};
export type itemDataTupleValues = itemDataTupleValue[];
