﻿/**
* DevExpress Dashboard (_expression-editor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ExpressionEditor } from '@devexpress/analytics-core/analytics-widgets';
import * as ko from 'knockout';
import { ExpressionEditorParams, ExpressionEditorViewModel } from '../expression-editor/_expression-editor-utils';
export declare class CalculationExpressionEditor implements ExpressionEditorViewModel<ExpressionEditorWrapper> {
    private params;
    editor: ExpressionEditorWrapper;
    editorTemplate: string;
    criteriaString: ko.Computed<string>;
    constructor(params: ExpressionEditorParams);
    edit(): void;
    remove(): void;
}
export declare class ExpressionEditorWrapper {
    private params;
    viewModel: ko.Observable<ExpressionEditor>;
    constructor(params: ExpressionEditorParams);
    show(): void;
}
