﻿/**
* DevExpress Dashboard (_color-picker-model.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Color } from '../../../model/color';
import { ColorSchemeEntry } from '../../../model/colorization/color-scheme-entry';
import { ColorSchemeModel } from './_color-scheme-model';
export declare class ColorPickerModel {
    private colorSchemeModel;
    private colorPalette;
    constructor(colorSchemeModel: ColorSchemeModel, colorPalette: ko.ObservableArray<Color>);
    target: ko.Observable<HTMLElement>;
    visible: ko.Observable<boolean>;
    colorCss: ko.Observable<string>;
    confirm: () => void;
    init(entry: ColorSchemeEntry, target?: HTMLElement): void;
    buttonItems: ko.ObservableArray<{
        toolbar: string;
        location: string;
        widget: string;
        options: {
            text: any;
            onClick: () => void;
        };
    }>;
    private entry;
}
