﻿/**
* DevExpress Dashboard (_popover-color-picker.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
export declare class PopoverColorPicker {
    private setColor;
    color: ko.Observable<string>;
    visible: ko.Observable<boolean>;
    constructor(setColor: (color: string) => void);
    buttonItems: ko.ObservableArray<{
        toolbar: string;
        location: string;
        widget: string;
        options: {
            text: any;
            onClick: () => void;
        };
    }>;
    show(color: any): void;
}
