﻿/**
* DevExpress Dashboard (_rename-data-source-viewmodel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ToolbarItem } from 'devextreme/ui/popup';
import { Properties as dxValidatorOptions } from 'devextreme/ui/validator';
import * as ko from 'knockout';
import { DataSourceBrowser } from '../../../common/_data-source-browser';
import { DataSource } from '../../../model/data-sources/data-source';
export declare class RenameDataSourceViewModel {
    _dataSource: DataSource;
    _dataSourceBrowser: DataSourceBrowser;
    title: any;
    label: any;
    isDataSourceNameValid: ko.Observable<boolean>;
    popupVisible: ko.Observable<boolean>;
    toolbarItems: Array<ToolbarItem>;
    dsName: ko.Observable<string>;
    nameValidationRules: Array<any>;
    nameTextBoxOptions: any;
    nameValidatorOptions: dxValidatorOptions;
    constructor(dataSourceBrowser: DataSourceBrowser);
    _dataSourceNameValid: (dsName: string) => boolean;
    show(dataSource: DataSource): void;
}
