﻿/**
* DevExpress Dashboard (_flat-item-provider-wrapper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '@devexpress/analytics-core/analytics-internal';
import { IDataMemberInfo, IItemsProvider, IPathRequest } from '@devexpress/analytics-core/analytics-utils';
export declare class FlatItemProviderWrapper implements IItemsProvider {
    private itemsProvider;
    constructor(itemsProvider: IItemsProvider);
    getItems(path: IPathRequest): DxPromise<IDataMemberInfo[]>;
}
