﻿/**
* DevExpress Dashboard (_simple-filter-editor-view-model.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { SimpleFilterEditor } from './_simple-filter-editor';
export class SimpleFilterExpressionEditorViewModel {
    constructor(options) {
        this.options = options;
        this.editorTemplate = 'dx-simple-filter-popup';
        this.editor = new SimpleFilterEditor(options.dashboardItem, options.dataSourceBrowser);
        this.criteriaString = ko.computed(() => options.dashboardItem.filterString());
    }
    edit() {
        this.editor.popupVisible(true);
    }
    remove() {
        this.options.dashboardItem.filterString(null);
    }
}
