﻿/**
* DevExpress Dashboard (_form-adapter.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import dxForm from 'devextreme/ui/form';
import * as ko from 'knockout';
import { DashboardLocalizationId } from '../../data/localization/_default';
import { ObjectPropertiesWrapper } from './_object-properties-wrapper';
export declare let twoWayUpdateInterval: number;
export declare function updateFormItemsCore(form: dxForm, target: ObjectPropertiesWrapper, bindingContext: ko.BindingContext<any>, propertiesToForceUpdate?: string[]): void;
export declare function transformValuesDictionary(values: {
    [key: string]: DashboardLocalizationId;
}): Array<{
    value: any;
    displayValueId: DashboardLocalizationId;
}>;
