﻿/**
* DevExpress Dashboard (_image-item-surface.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ImageItemPropertiesComposer } from '../properties-composers/_image-item-properties-composer';
import { surfaceItemsFactory } from '../_section-descriptors';
import { BaseItemSurface } from './_base-item-surface';
export class ImageItemSurface extends BaseItemSurface {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser) {
        super();
    }
    getPropertiesComposer() {
        return new ImageItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
surfaceItemsFactory.register('Image', ImageItemSurface);
