﻿/**
* DevExpress Dashboard (_datasource-chooser-surface.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { DataSourceBrowser } from '../../../common/_data-source-browser';
import { SliderController } from './_field-chooser-surface';
export declare class DataSourceChooserController extends SliderController {
    constructor(params: {
        dataSourceBrowser: DataSourceBrowser;
        dataSource: ko.Observable<string>;
        dataMember: ko.Observable<string>;
        active: ko.Observable<boolean>;
    });
}
export declare const _registerDxDatasourceChooser: () => void;
