﻿/**
* DevExpress Dashboard (_rank-calculation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { measureCalculationSerializationsInfo } from './_measure-calculation';
export let calculationRankType = {
    propertyName: 'rankType', modelName: '@RankType', displayName: 'DashboardWebStringId.Calculations.RankType', defaultVal: 'Competition', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Unique': 'DashboardStringId.RankTypeUnique',
        'Competition': 'DashboardStringId.RankTypeCompetition',
        'Dense': 'DashboardStringId.RankTypeDense',
        'Modified': 'DashboardStringId.RankTypeModified',
        'Percentile': 'DashboardStringId.RankTypePercentile'
    }
};
export let calculationRankOrder = {
    propertyName: 'rankOrder', modelName: '@RankOrder', displayName: 'DashboardWebStringId.Calculations.RankOrder', defaultVal: 'Ascending', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Ascending': 'DashboardStringId.RankOrderAscending',
        'Descending': 'DashboardStringId.RankOrderDescending'
    }
};
export let rankCalculationSerializationsInfo = measureCalculationSerializationsInfo.concat([calculationRankType, calculationRankOrder]);
