﻿/**
* DevExpress Dashboard (_grid-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { measureCalculationWindowDefinitionSerializationsInfo } from './_measure-calc-window-definition';
export let gridDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Rows', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Rows': 'DashboardStringId.GridCalculationAlongRows',
        'SparklineArgument': 'DashboardStringId.GridCalculationAlongSparklineArgument',
        'RowsAndSparklineArgument': 'DashboardStringId.GridCalculationAlongRowsAndSparklineArgument',
        'SparklineArgumentAndRows': 'DashboardStringId.GridCalculationAlongSparklineArgumentAndRows'
    }
};
export let gridWindowDefinitionSerializationsInfo = measureCalculationWindowDefinitionSerializationsInfo.concat([gridDefinitionMode]);
