﻿/**
* DevExpress Dashboard (_pie-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { measureCalculationWindowDefinitionSerializationsInfo } from './_measure-calc-window-definition';
export let pieDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Series', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Arguments': 'DashboardStringId.PieCalculationAlongArguments',
        'Series': 'DashboardStringId.PieCalculationAlongSeries',
        'ArgumentsAndSeries': 'DashboardStringId.PieCalculationAlongArgumentsAndSeries',
        'SeriesAndArguments': 'DashboardStringId.PieCalculationAlongSeriesAndArguments'
    }
};
export let pieWindowDefinitionSerializationsInfo = measureCalculationWindowDefinitionSerializationsInfo.concat([pieDefinitionMode]);
