﻿/**
* DevExpress Dashboard (_range-filter-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { measureCalculationWindowDefinitionSerializationsInfo } from './_measure-calc-window-definition';
export let rangeFilterDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Argument', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Argument': 'DashboardStringId.RangeFilterCalculationAlongArgument',
        'Series': 'DashboardStringId.RangeFilterCalculationAlongSeries',
        'ArgumentAndSeries': 'DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries',
        'SeriesAndArgument': 'DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument'
    }
};
export let rangeFilterWindowDefinitionSerializationsInfo = measureCalculationWindowDefinitionSerializationsInfo.concat([rangeFilterDefinitionMode]);
