﻿/**
* DevExpress Dashboard (_sql-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SqlConnection } from '../connection';
import { dataSourceSerializationsInfo } from './_data-source';
export let queries = { propertyName: 'queries', modelName: 'Queries', array: true };
export let selectedTables = { propertyName: 'selectedTables', modelName: 'SelectedTables', array: true };
export let connection = { propertyName: 'connection', modelName: 'Connection', type: SqlConnection };
export let sqlDataSourceSerializationsInfo = dataSourceSerializationsInfo.concat([queries, connection]);
