﻿/**
* DevExpress Dashboard (disposable-object.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
export interface IDisposable {
    dispose(): void;
}
export type DisposableType = IDisposable | ko.Subscription | ko.ComputedFunctions;
export declare class DisposableObject implements IDisposable {
    protected _disposables: Array<DisposableType>;
    protected disposed: boolean;
    protected toDispose(...disposables: DisposableType[]): void;
    dispose(): void;
}
