﻿/**
* DevExpress Dashboard (card-format-rule-row-element.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../serializable-model';
export declare class CardFormatRuleRowElement extends SerializableModel {
    elementTypeApplyTo: ko.Observable<string>;
    dimensionId: ko.Observable<string>;
    textId: ko.Observable<string>;
    constructor(modelJson?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
}
