﻿/**
* DevExpress Dashboard (card-item-format-rule.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { CardItemFormatRuleBase } from './card-item-format-rule-base';
import { cardItemFormatRuleSerializationsInfo } from './metadata/_card-item-format-rule';
export class CardItemFormatRule extends CardItemFormatRuleBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return cardItemFormatRuleSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'CardItemFormatRule';
    }
}
