﻿/**
* DevExpress Dashboard (chart-item-format-rule-base.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DashboardItemFormatRule } from './dashboard-item-format-rule';
export declare abstract class ChartItemFormatRuleBase extends DashboardItemFormatRule {
    showInLegend: ko.Observable<boolean>;
    displayName: ko.Observable<string>;
    dataItemName: ko.Observable<string>;
    constructor(modelJson?: any, serializer?: ModelSerializer);
}
