﻿/**
* DevExpress Dashboard (chart-item-format-rule.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { ChartItemFormatRuleBase } from './chart-item-format-rule-base';
import { chartItemFormatRuleSerializationsInfo } from './metadata/_chart-item-format-rule';
export class ChartItemFormatRule extends ChartItemFormatRuleBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() {
        return 'ChartItemFormatRule';
    }
    getInfo() {
        return chartItemFormatRuleSerializationsInfo;
    }
}
