﻿/**
* DevExpress Dashboard (format-condition-bar-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { formatConditionBarOptionsSerializationsInfo } from './metadata/_format-condition-bar-options';
export class FormatConditionBarOptions extends SerializableModel {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return formatConditionBarOptionsSerializationsInfo;
    }
}
