﻿/**
* DevExpress Dashboard (_format-condition-bar-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool } from '../../../metadata/_base-metadata';
export let showBarOnly = { propertyName: 'showBarOnly', modelName: '@ShowBarOnly', displayName: 'DashboardStringId.FormatRuleShowBarOnly', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let allowNegativeAxis = { propertyName: 'allowNegativeAxis', modelName: '@AllowNegativeAxis', displayName: 'DashboardStringId.FormatRuleAllowNegativeAxis', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let drawAxis = { propertyName: 'drawAxis', modelName: '@DrawAxis', displayName: 'DashboardStringId.FormatRuleDrawAxis', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let formatConditionBarOptionsSerializationsInfo = [showBarOnly, allowNegativeAxis, drawAxis];
