﻿/**
* DevExpress Dashboard (_format-condition-range-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { formatConditionBaseSerializationsInfo } from '../../metadata/_format-condition-base';
import { RangeSet } from '../range-set';
export let rangeValueType = {
    propertyName: 'valueType', modelName: '@ValueType', displayName: 'DashboardWebStringId.Delta.ValueType', defaultVal: 'Automatic', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType',
        'Automatic': 'DashboardStringId.FormatConditionAutomaticValueType'
    }
};
export let rangeSet = { propertyName: 'rangeSet', modelName: 'RangeSet', type: RangeSet };
export let formatConditionRangeBaseSerializationsInfo = formatConditionBaseSerializationsInfo.concat([rangeValueType, rangeSet]);
