﻿/**
* DevExpress Dashboard (_card-item-format-rule-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { CardFormatRuleRowElement } from '../card-format-rule-row-element';
import { cardFormatRuleRowElementSerializationsInfo } from './_card-format-rule-row-element';
import { dashboardItemFormatRuleSerializationsInfo } from './_dashboard-item-format-rule';
export let layoutItemApplyTo = { propertyName: 'layoutItemApplyTo', modelName: '@LayoutItemApplyTo', displayName: 'DashboardStringId.FormatRuleApplyTo', defaultVal: 'Title' };
export let cardLayoutElement = { propertyName: 'cardLayoutElement', modelName: 'CardFormatRuleLayoutElement', displayName: 'DashboardStringId.FormatRuleApplyTo', type: CardFormatRuleRowElement, info: cardFormatRuleRowElementSerializationsInfo };
export let cardItemFormatRuleSerializationsInfoBase = dashboardItemFormatRuleSerializationsInfo.concat([cardLayoutElement, layoutItemApplyTo]);
