﻿/**
* DevExpress Dashboard (_chart-item-format-rule-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dashboardItemFormatRuleSerializationsInfo } from './_dashboard-item-format-rule';
export let showInLegend = { propertyName: 'showInLegend', modelName: '@ShowInLegend', displayName: 'DashboardStringId.FormatRuleDisplayInLegend', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor' };
export let displayName = { propertyName: 'displayName', modelName: '@DisplayName', displayName: 'DashboardStringId.FormatRuleDisplayName', simpleFormAdapterItem: 'textBoxEditor' };
export let dataItemName = { propertyName: 'dataItemName', modelName: '@DataItem', displayName: 'DashboardWebStringId.ConditionalFormatting.CalculatedBy', simpleFormAdapterItem: 'selectBoxEditor' };
export let chartItemFormatRuleSerializationsInfoBase = dashboardItemFormatRuleSerializationsInfo.concat([showInLegend, displayName, dataItemName]);
