﻿/**
* DevExpress Dashboard (pivot-item-format-rule.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { CellsItemFormatRule } from './cells-item-format-rule';
import { pivotItemFormatRuleSerializationsInfo } from './metadata/_pivot-item-format-rule';
export class PivotItemFormatRule extends CellsItemFormatRule {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return pivotItemFormatRuleSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'PivotItemFormatRule';
    }
}
