﻿/**
* DevExpress Dashboard (_style-settings-utils.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { AppearanceSettings } from '../style-settings/appearance-settings';
import { BarStyleSettings } from '../style-settings/bar-style-settings';
import { ColorStyleSettings } from '../style-settings/color-style-settings';
import { IconSettings } from '../style-settings/icon-settings';
export let styleSettingsTypesMap = {
    'AppearanceSettings': AppearanceSettings,
    'IconSettings': IconSettings,
    'BarStyleSettings': BarStyleSettings,
    'ColorStyleSettings': ColorStyleSettings,
};
export let styleSettingsTypes = Object.keys(styleSettingsTypesMap);
