﻿/**
* DevExpress Dashboard (bar-style-settings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { ColorStyleSettings } from './color-style-settings';
import { StyleSettingsBase } from './style-settings-base';
export declare class BarStyleSettings extends ColorStyleSettings {
    constructor(modelJson?: any, serializer?: ModelSerializer);
    clone(): StyleSettingsBase;
    init(): void;
}
