﻿/**
* DevExpress Dashboard (_dashboard-component-name-generator.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
export interface IDashboardComponent {
    getUniqueNamePrefix: () => string;
}
export declare class DashboardUniqueNameGenerator extends Disposable {
    private _propertyName;
    private _startIndex;
    private _componentsCollections;
    constructor(_propertyName: string, _startIndex: number, ...collections: Array<ko.ObservableArray<IDashboardComponent>>);
    private _ensureUniqueName;
}
