﻿/**
* DevExpress Dashboard (_date-utils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DayOfWeekNumber } from '../../data/_formatter';
export declare function tryConvertToDateTime(value: any): any;
export declare function patchDateTime(storageDTO: any): void;
export declare function toStringArray(value: any): any;
export declare function toUtcDate(value: any): Date;
export declare function fromUtcDateToString(date: Date): string;
export declare function serializeDate(date: Date): string;
export declare function clone(date: Date): Date;
export declare function addDays(date: Date, days: number): void;
export type CalendarWeekRule = 'FirstDay' | 'FirstFullWeek' | 'FirstFourDayWeek';
export declare function getIsStartOfFirstWeek(calendarWeekRule: CalendarWeekRule): {
    (date: any): boolean;
};
export declare function divideIntoWeeks(start: Date, end: Date, firstDayOfWeek: DayOfWeekNumber, calendarWeekRule: CalendarWeekRule, add: {
    (date: Date): void;
}): void;
export declare function getStartOfFirstWeek(year: number, firstDayOfWeek: DayOfWeekNumber, calendarWeekRule: CalendarWeekRule): Date;
