﻿/**
* DevExpress Dashboard (_limit-data-state.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class LimitDataState {
    constructor() {
        this._visible = false;
        this._enabled = true;
    }
    get enabled() {
        return this._enabled;
    }
    setReduced() {
        this._visible = true;
        this._enabled = true;
    }
    getViewModel() {
        return {
            isReduceMode: this._visible,
            isReduced: this._enabled,
        };
    }
    toggle() {
        this._enabled = !this._enabled;
    }
    reset() {
        this._visible = false;
        this._enabled = true;
    }
}
