﻿/**
* DevExpress Dashboard (_card-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../../data-item/metadata/_data-item';
import { sparklineArgumentPropertyName } from '../../../metadata/_base-metadata';
import { kpiDashboardItemSerializationsInfo } from '../../kpi/metadata/_kpi-item';
export let cards = { propertyName: 'cards', modelName: 'Cards', displayName: 'DashboardStringId.DefaultNameCardItem', array: true };
export let cardSparklineArgument = { propertyName: sparklineArgumentPropertyName, modelName: 'SparklineArgument', displayName: 'DashboardStringId.CardCalculationAlongSparklineArgument', info: dataItemLinkSerializationsInfo };
export let cardDashboardItemSerializationsInfo = kpiDashboardItemSerializationsInfo.concat([cards, cardSparklineArgument]);
