﻿/**
* DevExpress Dashboard (chart-legend.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { chartLegendSerializationsInfo } from './metadata/_chart-legend';
export class ChartLegend extends SerializableModel {
    constructor(JSON = {}, serializer = new ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return chartLegendSerializationsInfo;
    }
}
