﻿/**
* DevExpress Dashboard (_custom-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { PropertyCategory } from '../../../metadata/_base-metadata';
import { dataDashboardItemSerializationsInfo } from '../../metadata/_data-dashboard-item';
export let customItemType = { propertyName: 'customItemType', modelName: '@CustomItemType' };
export let sliceTables = { propertyName: 'sliceTables', modelName: 'SliceTables', array: true, category: PropertyCategory.Data };
export let interactivityTargets = { propertyName: 'interactivityTargets', modelName: 'InteractivityTargets', array: true };
export let coloringDimensions = { propertyName: 'coloringDimensions', modelName: 'ColoringDimensions', array: true };
export let coloringMeasures = { propertyName: 'coloringMeasures', modelName: 'ColoringMeasures', array: true };
export let customDashboardItemSerializationsInfo = dataDashboardItemSerializationsInfo.concat([customItemType, sliceTables, interactivityTargets]);
