﻿/**
* DevExpress Dashboard (tree-view-item.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { IDashboardSerializationInfo } from '../../metadata/_base-metadata';
import { FilterElementItemBase } from './filter-element-item-base';
export declare class TreeViewItem extends FilterElementItemBase {
    autoExpand: ko.Observable<boolean>;
    constructor(dashboardItemJSON?: any, serializer?: ModelSerializer);
    protected _getInfoCore(): IDashboardSerializationInfo[];
    protected _getDefaultItemType(): string;
    protected _allowAllValue(): boolean;
    protected _isMultiselectable(): boolean;
}
