﻿/**
* DevExpress Dashboard (gauge.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DataItemNumericFormat } from '../../data-item/data-item-format';
import { IDashboardSerializationInfoArray } from '../../metadata/_base-metadata';
import { DataDashboardItem } from '../data-dashboard-item';
import { KpiElement } from '../kpi/kpi-element';
export declare class Gauge extends KpiElement {
    minimum: ko.Observable<number>;
    maximum: ko.Observable<number>;
    scaleLabelNumericFormat: DataItemNumericFormat;
    constructor(dataItemProvider: DataDashboardItem, modelJson?: any, serializer?: ModelSerializer);
    protected _getInfoCore(): IDashboardSerializationInfoArray;
    protected _getDefaultItemType(): string;
}
