﻿/**
* DevExpress Dashboard (_kpi-element.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { absoluteVariationNumericFormat, dataItemLinkSerializationsInfo, percentOfTargetNumericFormat, percentVariationNumericFormat } from '../../../data-item/metadata/_data-item';
import { actualValuePropertyName, itemType, name, targetValuePropertyName } from '../../../metadata/_base-metadata';
import { DeltaOptions } from '../../options/delta-options';
export let kpiItemdeltaOptions = { propertyName: 'deltaOptions', modelName: 'DeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: DeltaOptions };
export let kpiItemActualValue = { propertyName: actualValuePropertyName, modelName: 'ActualValue', info: dataItemLinkSerializationsInfo, displayName: 'DashboardStringId.ActualValueCaption' };
export let kpiItemTargetValue = { propertyName: targetValuePropertyName, modelName: 'TargetValue', info: dataItemLinkSerializationsInfo, displayName: 'DashboardStringId.TargetValueCaption' };
export let kpiElementSerializationsInfo = [itemType, name, kpiItemdeltaOptions, kpiItemActualValue, kpiItemTargetValue, absoluteVariationNumericFormat, percentVariationNumericFormat, percentOfTargetNumericFormat];
