﻿/**
* DevExpress Dashboard (_chart-item-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { argumentsPropertyName } from '../../metadata/_base-metadata';
import { coloringOptions } from '../options/metadata/_coloring-options';
import { seriesDashboardItemSerializationsInfo } from './_series-item';
export let chartArgumentsMeta = { propertyName: argumentsPropertyName, modelName: 'Arguments', displayName: 'DashboardStringId.ChartCalculationAlongArguments', array: true };
export let chartItemBaseSerializationsInfo = seriesDashboardItemSerializationsInfo.concat([chartArgumentsMeta, coloringOptions]);
