﻿/**
* DevExpress Dashboard (_dashboard-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { componentName, itemType, name_ViewModel, parseBool, PropertyCategory } from '../../metadata/_base-metadata';
export let showCaption = { propertyName: 'showCaption', modelName: '@ShowCaption', displayName: 'DashboardWebStringId.ShowCaptionText', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let showCaptionDefaultFalse = { propertyName: 'showCaption', modelName: '@ShowCaption', displayName: 'DashboardWebStringId.ShowCaptionText', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let parentContainer = { propertyName: 'parentContainer', modelName: '@ParentContainer' };
export let dashboardItemSerializationsInfo = [itemType, componentName, name_ViewModel, showCaption, parentContainer];
