﻿/**
* DevExpress Dashboard (_sparkline-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool } from '../../../metadata/_base-metadata';
export let viewType = { propertyName: 'viewType', modelName: '@ViewType', displayName: 'DashboardWebStringId.Sparkline.ViewType', defaultVal: 'Line' };
export let highlightMinMaxPoints = { propertyName: 'highlightMinMaxPoints', modelName: '@HighlightMinMaxPoints', displayName: 'DashboardWebStringId.Sparkline.HighlightMinMaxPoints', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let highlightStartEndPoints = { propertyName: 'highlightStartEndPoints', modelName: '@HighlightStartEndPoints', displayName: 'DashboardWebStringId.Sparkline.HighlightStartEndPoints', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let sparklineOptionsSerializationsInfo = [viewType, highlightMinMaxPoints, highlightStartEndPoints];
