﻿/**
* DevExpress Dashboard (sparkline-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { sparklineOptionsSerializationsInfo } from './metadata/_sparkline-options';
export class SparklineOptions extends SerializableModel {
    constructor(JSON = {}, serializer = new ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return sparklineOptionsSerializationsInfo;
    }
}
