﻿/**
* DevExpress Dashboard (dashboard-tab-page.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DashboardItem } from '../dashboard-item';
import { tabPageSerializationInfo } from './metadata/_dashboard-tab-page';
export class DashboardTabPage extends DashboardItem {
    constructor(dashboardItemJSON = {}, serializer = new ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this._uniqueNamePrefix = 'dashboardTabPage';
    }
    _getInfoCore() {
        return tabPageSerializationInfo;
    }
    getUniqueNamePrefix() {
        return this._uniqueNamePrefix;
    }
    _getDefaultItemType() {
        return 'Page';
    }
}
