﻿/**
* DevExpress Dashboard (_dashboard-tab-page.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool, PropertyCategory } from '../../../metadata/_base-metadata';
import { dashboardItemSerializationsInfo } from '../../metadata/_dashboard-item';
import { _tabItemInteractivityOptions } from '../../options/interactivity-options';
export let showItemAsTabPage = { propertyName: 'showItemAsTabPage', modelName: '@ShowItemAsTabPage', displayName: 'DashboardWebStringId.DisplayItemAsPage', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let tabPageSerializationInfo = dashboardItemSerializationsInfo.concat([_tabItemInteractivityOptions, showItemAsTabPage]);
