﻿/**
* DevExpress Dashboard (dashboard-layout-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DashboardLayoutNode } from './dashboard-layout-node';
import { _layoutItemTypeMap } from './_layout-utils';
export class DashboardLayoutItem extends DashboardLayoutNode {
    get _template() { return 'dx-dashboard-item'; }
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() { return 'LayoutItem'; }
    _deleteDashbordItem() {
        if (this._dashboard()) {
            this._dashboard().items.remove(this.item);
        }
    }
}
_layoutItemTypeMap['LayoutItem'] = DashboardLayoutItem;
