﻿/**
* DevExpress Dashboard (layout-dimension-options.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import { LayoutDimensionMode } from '../enums';
import { SerializableModel } from '../serializable-model';
export declare class LayoutDimensionOptions extends SerializableModel {
    mode: ko.Observable<LayoutDimensionMode>;
    value: ko.Observable<number>;
    constructor(model?: any, serializer?: IModelSerializer, info?: ISerializationInfoArray);
}
