﻿/**
* DevExpress Dashboard (layout-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SerializableModel } from '../serializable-model';
import { layoutOptionsSerializationInfo } from './metadata/_layout-options';
export class LayoutOptions extends SerializableModel {
    constructor(model, serializer, info) {
        super(model, serializer, info);
    }
    getInfo() {
        return layoutOptionsSerializationInfo;
    }
}
