﻿/**
* DevExpress Dashboard (_dashboard-layout-mode-helper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import devices from 'devextreme/core/devices';
import { touch } from 'devextreme/core/utils/support';
export class DashboardLayoutModeHelper {
    static get isMobile() {
        if (DashboardLayoutModeHelper._forceMobileMode !== null)
            return DashboardLayoutModeHelper._forceMobileMode;
        return devices.current().phone || devices.current().tablet;
    }
    static set isMobile(value) {
        DashboardLayoutModeHelper._forceMobileMode = value;
    }
    static get isTouch() {
        if (DashboardLayoutModeHelper._forceTouchMode !== null)
            return DashboardLayoutModeHelper._forceTouchMode;
        return touch;
    }
    static set isTouch(value) {
        DashboardLayoutModeHelper._forceTouchMode = value;
    }
}
DashboardLayoutModeHelper._forceTouchMode = null;
DashboardLayoutModeHelper._forceMobileMode = null;
