﻿/**
* DevExpress Dashboard (_utils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DateTimeGroupInterval } from '../model';
export type CalendarZoomLevel = 'century' | 'decade' | 'month' | 'year';
export declare class CalendarHelper {
    static getCalendarMaxZoomLevel(groupInterval: DateTimeGroupInterval): CalendarZoomLevel;
    static getCalendarType(groupInterval: DateTimeGroupInterval): 'date' | 'datetime' | 'time';
}
