﻿/**
* DevExpress Dashboard (_custom-fake-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { localizationId } from '../../data/_localization-ids';
import { localizer } from '../../data/_localizer';
import { baseItem } from './_base-item';
export class customFakeItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var div = document.createElement('div');
        div.classList.add('dx-dashboard-custom-item-notsupported-message');
        div.innerText = localizer.getString(localizationId.MessageCustomItemIsNotSupported);
        element.appendChild(div);
        return false;
    }
    _ensureToolbarIsRendered() {
        return null;
    }
}
