﻿/**
* DevExpress Dashboard (_text-item.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
/// <reference types="jquery" />
import { DxElement } from '../../common/common-interfaces';
import { dataControllerBase } from '../../data/data-controllers/_data-controller-base';
import { baseItem } from './_base-item';
export declare class textItem extends baseItem {
    div: JQuery;
    $textContent: JQuery;
    private _dataController;
    protected get dataController(): dataControllerBase;
    protected set dataController(dataController: dataControllerBase);
    constructor(container: HTMLElement, options: any);
    protected renderContentUnsafe(element: HTMLElement, changeExisting: boolean, afterRenderCallback?: any): boolean;
    _getWidget(): DxElement;
    _setContent(): void;
    _updateDocvariableValues(htmlText: any): any;
    dispose(): void;
}
