﻿/**
* DevExpress Dashboard (_cssHelper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare function createCssPropertyWrapper(propertyName: string, propertyValue: any): {
    propertyName: string;
    propertyValue: any;
};
export declare function getEmptyCssPropertyWrappersArray(): Array<{
    propertyName: string;
    propertyValue: any;
}>;
export declare function findStylesElement(relativeElement?: Element): Element;
export declare function createStylesElement(rootElement?: Element, nonce?: string): void;
export declare function removeStylesElement(): void;
export declare function addToStyles(styles: string, relativeElement: Element): () => void;
export declare function createCssClass(cssSelector: string, cssProperties: Array<{
    propertyName: string;
    propertyValue: any;
}>, relativeElement?: Element): () => void;
export declare function convertCssPropertyWrappersToString(properties: Array<{
    propertyName: string;
    propertyValue: any;
}>): string;
export declare function convertCssPropertyWrappersToObject(properties: Array<{
    propertyName: string;
    propertyValue: any;
}>): object;
