﻿/**
* DevExpress Dashboard (_export-localization.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export type LocalizationObjectType = {
    displayValue: string;
    value: string;
};
export declare var paperKind: {
    letter?: LocalizationObjectType;
    legal?: LocalizationObjectType;
    executive?: LocalizationObjectType;
    a5?: LocalizationObjectType;
    a4?: LocalizationObjectType;
    a3?: LocalizationObjectType;
};
export declare var pageLayout: {
    auto?: LocalizationObjectType;
    portrait?: LocalizationObjectType;
    landscape?: LocalizationObjectType;
};
export declare var scaleMode: {
    none?: LocalizationObjectType;
    useScaleFactor?: LocalizationObjectType;
    autoFitToPageWidth?: LocalizationObjectType;
};
export declare var dashboardStatePosition: {
    below?: LocalizationObjectType;
    separatePage?: LocalizationObjectType;
};
export declare var excelDashboardStatePosition: {
    below?: LocalizationObjectType;
    separateSheet?: LocalizationObjectType;
};
export declare var imageFormat: {
    png?: LocalizationObjectType;
    gif?: LocalizationObjectType;
    jpg?: LocalizationObjectType;
};
export declare var excelFormat: {
    csv?: LocalizationObjectType;
    xls?: LocalizationObjectType;
    xlsx?: LocalizationObjectType;
};
export declare var sizeMode: {
    none?: LocalizationObjectType;
    stretch?: LocalizationObjectType;
    zoom?: LocalizationObjectType;
};
