﻿/**
* DevExpress Dashboard (_widget-item-factory.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import DOMComponent from 'devextreme/core/dom_component';
import dxChart from 'devextreme/viz/chart';
import dxCircularGauge from 'devextreme/viz/circular_gauge';
import dxLinearGauge from 'devextreme/viz/linear_gauge';
import dxPieChart from 'devextreme/viz/pie_chart';
export declare const defaultWidgetsMap: {
    chart: typeof dxChart;
    piechart: typeof dxPieChart;
    circulargauge: typeof dxCircularGauge;
    lineargauge: typeof dxLinearGauge;
};
export declare let widgetItemFactory: {
    createWidget: (widgetType: keyof typeof defaultWidgetsMap, container: HTMLElement, options: Object) => DOMComponent;
    getAdditionalOptions: (widgetType: any, container: any, options: any) => any;
    __resetFactory: () => void;
    __replaceWidget: (widgetName: keyof typeof defaultWidgetsMap, newWidget: any) => void;
};
