﻿/**
* DevExpress Dashboard (_ko-components-helper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { _registerDxDashboardButtonGroup, _registerDxDashboardCheckedButton } from '../designer/button-group-editor/_button-group';
import { _registerDxDashboardColorsComponent } from '../designer/color-scheme-editor-extension/internal/_color-tree-view-model';
import { _registerDxDashboardStyleSettingsEditor } from '../designer/conditional-formatting/_style-settings-editor';
import { _registerDxDashboardStyleSettingsEditorItem } from '../designer/conditional-formatting/_style-settings-editor-item';
import { _registerDxDashboardCurrencySelector } from '../designer/currency-selector/_currency-selector';
import { _registerDxDashboardItemMenu } from '../designer/items/_dashboard-item-menu';
import { _registerDxDashboardGroupDataItems } from '../designer/items/binding-details/_data-item-container-surface';
import { _registerDxDashboardDataItemLink } from '../designer/items/sections/_data-item-link';
import { _registerDxDatasourceChooser } from '../designer/ui-widgets/field-chooser/_datasource-chooser-surface';
import { _registerDxFieldChooser } from '../designer/ui-widgets/field-chooser/_field-chooser-surface';
import { _registerDashboardDockingLayout } from './docking-layout/_docking-layout-bindings';
import { _registerDxLayoutItem } from './docking-layout/core/_layout-item';
import { _registerDxDashboardLayoutGroup } from './docking-layout/group-item/_group-item-bindings';
import { _registerDashboardLayoutTabs, _registerDxDashboardLayoutTabContainer } from './docking-layout/tab-container-item/_tab-container-item-bindings';
import { _registerDashboardStandaloneItem } from './mobile-layout-extension/_dashboard-standalone-item';
import { _registerDashboardMobileLayoutWidget } from './mobile-layout-extension/_mobile-layout';
import { _registerDashboardTitle } from './viewer/title/_title-component';
export const _registerKoComponents = () => {
    _registerDxLayoutItem();
    _registerDashboardDockingLayout();
    _registerDxDashboardItemMenu();
    _registerDxDashboardLayoutGroup();
    _registerDxDashboardLayoutTabContainer();
    _registerDashboardLayoutTabs();
    _registerDashboardStandaloneItem();
    _registerDashboardMobileLayoutWidget();
    _registerDashboardTitle();
    _registerDxDashboardButtonGroup();
    _registerDxDashboardCheckedButton();
    _registerDxDashboardColorsComponent();
    _registerDxDashboardStyleSettingsEditorItem();
    _registerDxDashboardStyleSettingsEditor();
    _registerDxDashboardCurrencySelector();
    _registerDxDashboardGroupDataItems();
    _registerDxDashboardDataItemLink();
    _registerDxDatasourceChooser();
    _registerDxFieldChooser();
};
