﻿/**
* DevExpress Dashboard (_ko-element-accessor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
export interface ElementAccessorKoComponentArgs {
    onInitialize?: (args: ElementAccessorEventArgs) => void;
    onDisposing?: (args: ElementAccessorEventArgs) => void;
    targetElement?: ko.Observable<HTMLElement>;
}
export interface ElementAccessorEventArgs {
    element: HTMLElement;
}
