﻿/**
* DevExpress Dashboard (_text-item-data-controller.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as $ from 'jquery';
import { dataControllerBase } from './_data-controller-base';
export class textItemDataController extends dataControllerBase {
    constructor(options) {
        super(options);
        this.displayTexts = {};
        this._initialize();
    }
    _initialize() {
        var that = this, multiData = that.multiData;
        multiData && $.each(multiData.getMeasures(), function (_, measure) {
            that.displayTexts[measure.id] = multiData.getMeasureValue(measure.id).getDisplayText();
        });
    }
    getDisplayText(id) {
        return this.displayTexts[id];
    }
}
