﻿/**
* DevExpress Dashboard (_item-data-tuple.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class itemDataTuple {
    constructor(axisPoints) {
        this._axisPoints = axisPoints;
    }
    getAxisPoint(axisName) {
        if (axisName) {
            return this._axisPoints.filter(axisPoint => {
                return axisPoint.getAxisName() == axisName;
            })[0];
        }
        else {
            return this._axisPoints[0];
        }
    }
}
