﻿/**
* DevExpress Dashboard (_default.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare const defaultLocalization: {
    'DashboardStringId.ActionClearMasterFilter': string;
    'DashboardStringId.ActionClearSelection': string;
    'DashboardStringId.ActionOtherValues': string;
    'DashboardStringId.ActionDrillUp': string;
    'DashboardStringId.ActionExportTo': string;
    'DashboardStringId.ActionExportToPdf': string;
    'DashboardStringId.ActionExportToImage': string;
    'DashboardStringId.ActionExportToExcel': string;
    'DashboardStringId.RangeFilterCustomDateTimePeriod': string;
    'DashboardStringId.ActionExportTemplate': string;
    'DashboardStringId.ActionAllowMultiselection': string;
    'DashboardStringId.DashboardNullValue': string;
    'DashboardStringId.TopNOthersValue': string;
    'DashboardStringId.DashboardErrorValue': string;
    'DashboardStringId.DateTimeQuarterFormat': string;
    'DashboardStringId.MessageLoading': string;
    'DashboardStringId.ParametersFormCaption': string;
    'DashboardStringId.ParametersSelectorText': string;
    'DashboardStringId.ParametersFormAllowNullColumnCaption': string;
    'DashboardStringId.ParametersFormValueColumnCaption': string;
    'DashboardStringId.ParametersFormNameColumnCaption': string;
    'DashboardStringId.ButtonOK': string;
    'DashboardStringId.ButtonCancel': string;
    'DashboardStringId.SelectDate': string;
    'DashboardStringId.ButtonReset': string;
    'DashboardStringId.ButtonSubmit': string;
    'DashboardStringId.ButtonApply': string;
    'DashboardStringId.ButtonExport': string;
    'DashboardStringId.GridResetColumnWidths': string;
    'DashboardStringId.GridSortAscending': string;
    'DashboardStringId.GridSortDescending': string;
    'DashboardStringId.GridClearSorting': string;
    'DashboardStringId.PivotGridTotal': string;
    'DashboardStringId.PivotGridGrandTotal': string;
    'DashboardStringId.ChartTotalValue': string;
    'DashboardStringId.PageLayout': string;
    'DashboardStringId.PageLayoutAuto': string;
    'DashboardStringId.PageLayoutPortrait': string;
    'DashboardStringId.PageLayoutLandscape': string;
    'DashboardStringId.PaperKind': string;
    'DashboardStringId.PaperKindLetter': string;
    'DashboardStringId.PaperKindLegal': string;
    'DashboardStringId.PaperKindExecutive': string;
    'DashboardStringId.PaperKindA5': string;
    'DashboardStringId.PaperKindA4': string;
    'DashboardStringId.PaperKindA3': string;
    'DashboardStringId.ScaleMode': string;
    'DashboardStringId.ScaleModeNone': string;
    'DashboardStringId.ScaleModeUseScaleFactor': string;
    'DashboardStringId.ScaleModeAutoFitToPagesWidth': string;
    'DashboardStringId.AutoFitPageCount': string;
    'DashboardStringId.ScaleFactor': string;
    'DashboardStringId.PrintHeadersOnEveryPage': string;
    'DashboardStringId.FitToPageWidth': string;
    'DashboardStringId.SizeMode': string;
    'DashboardStringId.SizeModeNone': string;
    'DashboardStringId.SizeModeStretch': string;
    'DashboardStringId.SizeModeZoom': string;
    'DashboardStringId.AutoArrangeContent': string;
    'DashboardStringId.ImageFormat': string;
    'DashboardStringId.ExcelFormat': string;
    'DashboardStringId.CsvValueSeparator': string;
    'DashboardStringId.ExportFilters': string;
    'DashboardStringId.ExportParameters': string;
    'DashboardStringId.DashboardStatePosition': string;
    'DashboardStringId.Resolution': string;
    'DashboardStringId.ShowTitle': string;
    'DashboardStringId.Title': string;
    'DashboardStringId.FileName': string;
    'DashboardStringId.FilterStatePresentationAfter': string;
    'DashboardStringId.FilterStatePresentationAfterAndSplitPage': string;
    'DashboardStringId.FilterStatePresentationSplitSheet': string;
    'DashboardStringId.MessageCustomItemIsNotSupported': string;
    'DashboardStringId.MessageGridHasNoData': string;
    'DashboardStringId.MessagePivotHasNoData': string;
    'DashboardStringId.SparklineTooltipStartValue': string;
    'DashboardStringId.SparklineTooltipEndValue': string;
    'DashboardStringId.SparklineTooltipMinValue': string;
    'DashboardStringId.SparklineTooltipMaxValue': string;
    'DashboardStringId.OpenCaption': string;
    'DashboardStringId.HighCaption': string;
    'DashboardStringId.LowCaption': string;
    'DashboardStringId.CloseCaption': string;
    'DashboardStringId.InitialExtent': string;
    'DashboardStringId.FilterElementShowAllItem': string;
    'DashboardStringId.NumericFormatUnitSymbolThousands': string;
    'DashboardStringId.NumericFormatUnitSymbolMillions': string;
    'DashboardStringId.NumericFormatUnitSymbolBillions': string;
    'DashboardStringId.ActionSelectDateTimePeriod': string;
    'DashboardStringId.RangeFilterSelectRange': string;
    'DashboardStringId.FilterElementCheckedComboBoxNoDataCaption': string;
    'DashboardStringId.FilterElementRadioComboBoxNoDataCaption': string;
    'DashboardStringId.FilterElementNoDataToDisplay': string;
    'DashboardWebStringId.FilterElementCheckedComboBoxSelected': string;
    'DashboardStringId.RangeFilterSelectRangeFromCaption': string;
    'DashboardStringId.RangeFilterSelectRangeToCaption': string;
    'DashboardWebStringId.DashboardParameters': string;
    'DashboardStringId.DataSourceDataMember': string;
    'DashboardStringId.DescriptionMeasures': string;
    'DashboardWebStringId.TextBoxFormatText': string;
    'DashboardStringId.NumericFormatUnitCaption': string;
    'DashboardWebStringId.SummaryType': string;
    'DashboardStringId.CalculationTypeExpression': string;
    'DevExpressWebStringId.CalculatedFieldDataType': string;
    'DashboardStringId.ValueCaption': string;
    'DashboardStringId.Value1Caption': string;
    'DashboardStringId.Value2Caption': string;
    'DashboardStringId.CommandFormatRuleTopBottom': string;
    'DashboardStringId.CommandFormatRuleAboveBelowAverage': string;
    'DashboardStringId.CommandFormatRuleBar': string;
    'DashboardStringId.CommandFormatRuleColorRangeBar': string;
    'DashboardStringId.CommandFormatRuleGradientRangeBar': string;
    'DashboardStringId.FormatRuleStyleAppearance': string;
    'DashboardStringId.FormatRuleStyleIcons': string;
    'DashboardStringId.FormatRuleNegativeStyle': string;
    'DashboardStringId.CommandFormatRuleExpression': string;
    'DashboardWebStringId.TopNMode': string;
    'DashboardStringId.CommandFormatRuleRangeSet': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges2': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges3': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges4': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges5': string;
    'DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges': string;
    'DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges': string;
    'DashboardStringId.CommandFormatRuleValue': string;
    'DashboardStringId.CommandFormatRuleDateOccurring': string;
    'DashboardWebStringId.ConditionalFormatting.Appearance.BackColor': string;
    'DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor': string;
    'DashboardStringId.DescriptionBoundImageAttribute': string;
    'DashboardWebStringId.ShowCaptionText': string;
    'DashboardWebStringId.DisplayItemAsPage': string;
    'DashboardStringId.DefaultNameItemGroup': string;
    'DashboardStringId.DefaultNameTabContainerItem': string;
    'DashboardStringId.DefaultDataSourceName': string;
    'DashboardWebStringId.CrossDataSourceFiltering': string;
    'DashboardStringId.RangeFilterCalculationAlongSeries': string;
    'DashboardStringId.RangeFilterCalculationAlongArgument': string;
    'DashboardStringId.DescriptionItemSeries': string;
    'DashboardStringId.DescriptionSeries': string;
    'DashboardWebStringId.Chart.SeriesType': string;
    'DashboardStringId.DescriptionDimensions': string;
    'DashboardWebStringId.TreeView.AutoExpand': string;
    'DashboardWebStringId.ConditionalFormatting.ConditionMinimum': string;
    'DashboardWebStringId.ConditionalFormatting.ConditionMaximum': string;
    'DashboardStringId.DescriptionItemDimension': string;
    'DashboardStringId.DescriptionItemMeasure': string;
    'DashboardWebStringId.Grid.MergeCells': string;
    'DashboardWebStringId.Grid.ColumnWidthMode': string;
    'DashboardWebStringId.Grid.BandedRows': string;
    'DashboardWebStringId.Grid.VerticalLines': string;
    'DashboardWebStringId.Grid.HorizontalLines': string;
    'DashboardWebStringId.Grid.ColumnHeaders': string;
    'DashboardWebStringId.Grid.WordWrap': string;
    'DashboardWebStringId.Grid.ShowFilterRow': string;
    'DashboardWebStringId.Grid.UpdateTotals': string;
    'DashboardWebStringId.Grid.GridColumnFilter': string;
    'DashboardStringId.ActualValueCaption': string;
    'DashboardStringId.TargetValueCaption': string;
    'DashboardStringId.UriPatternCaption': string;
    'DashboardStringId.UriCaption': string;
    'DashboardStringId.DisplayValueCaption': string;
    'DashboardStringId.WeightCaption': string;
    'DashboardStringId.DescriptionItemColor': string;
    'DashboardStringId.Latitude': string;
    'DashboardStringId.Longitude': string;
    'DashboardWebStringId.GeoPointMapClusterization': string;
    'DashboardWebStringId.MapLockNavigation': string;
    'DashboardWebStringId.WeightedLegendGalleryGroup': string;
    'DashboardStringId.DescriptionItemArgument': string;
    'DashboardWebStringId.PieMapIsWeighted': string;
    'DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters': string;
    'DashboardWebStringId.InteractivityOptions.DrillDown': string;
    'DashboardWebStringId.Pie.ShowCaptions': string;
    'DashboardStringId.DescriptionColumns': string;
    'DashboardStringId.DescriptionRows': string;
    'DashboardStringId.DescriptionValues': string;
    'DashboardStringId.DescriptionArguments': string;
    'DashboardStringId.TextGroupIntervalAlphabetical': string;
    'DashboardStringId.ActionMaximizeDashboardItem': string;
    'DashboardStringId.ActionRestoreDashboardItem': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder': string;
    'DevExpress.DashboardCommon.DashboardParameter.Visible': string;
    'DevExpress.DashboardCommon.DashboardParameter.Description': string;
    'DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect': string;
    'DevExpress.DashboardCommon.DashboardParameter.AllowNull': string;
    'DevExpress.DashboardCommon.DashboardParameter.SelectAllValues': string;
    'DevExpress.DashboardCommon.StaticListLookUpSettings.Values': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.Ascending': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.Descending': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.None': string;
    'DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions': string;
    'DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute': string;
    'DashboardStringId.CommandFormatRuleTopN': string;
    'DashboardWebStringId.Type': string;
    'DashboardWebStringId.Grid.ColumnWidth': string;
    'DashboardWebStringId.AccordionTab.ShowTotals': string;
    'DashboardWebStringId.AccordionTab.Layout': string;
    'DashboardWebStringId.AccordionTab.PivotInitialState': string;
    'DashboardWebStringId.AccordionTab.ImageOptions': string;
    'DashboardWebStringId.AccordionTab.Labels': string;
    'DashboardWebStringId.AccordionTab.MapLegend': string;
    'DashboardWebStringId.AccordionTab.WeightedLegend': string;
    'DashboardWebStringId.AccordionTab.Common': string;
    'DashboardWebStringId.AccordionTab.ChartLegend': string;
    'DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode': string;
    'DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode': string;
    'DashboardWebStringId.Grid.ManualGridColumnWidthMode': string;
    'DashboardStringId.DateTimeIntervalYear': string;
    'DashboardStringId.DateTimeIntervalQuarter': string;
    'DashboardStringId.DateTimeIntervalMonth': string;
    'DashboardStringId.DateTimeIntervalWeek': string;
    'DashboardStringId.DateTimeIntervalDay': string;
    'DashboardStringId.DateTimeIntervalHour': string;
    'DashboardStringId.DateTimeIntervalMinute': string;
    'DashboardStringId.DateTimeIntervalSecond': string;
    'DashboardStringId.DateTimeGroupIntervalYear': string;
    'DashboardStringId.DateTimeGroupIntervalQuarter': string;
    'DashboardStringId.DateTimeGroupIntervalMonth': string;
    'DashboardStringId.DateTimeGroupIntervalDay': string;
    'DashboardStringId.DateTimeGroupIntervalHour': string;
    'DashboardStringId.DateTimeGroupIntervalMinute': string;
    'DashboardStringId.DateTimeGroupIntervalSecond': string;
    'DashboardStringId.DateTimeGroupIntervalDayOfYear': string;
    'DashboardStringId.DateTimeGroupIntervalDayOfWeek': string;
    'DashboardStringId.DateTimeGroupIntervalWeekOfYear': string;
    'DashboardStringId.DateTimeGroupIntervalWeekOfMonth': string;
    'DashboardStringId.DateTimeGroupIntervalMonthYear': string;
    'DashboardStringId.DateTimeGroupIntervalQuarterYear': string;
    'DashboardStringId.DateTimeGroupIntervalWeekYear': string;
    'DashboardStringId.DateTimeGroupIntervalDayMonthYear': string;
    'DashboardStringId.DateTimeGroupIntervalDateHour': string;
    'DashboardStringId.DateTimeGroupIntervalDateHourMinute': string;
    'DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond': string;
    'DashboardStringId.DateTimeGroupIntervalExactDate': string;
    'DashboardStringId.GroupIntervalNone': string;
    'DashboardWebStringId.Treemap.StripedLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.TileLabelsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.TileLabelsNone': string;
    'DashboardWebStringId.Treemap.TileLabelsValue': string;
    'DashboardWebStringId.Treemap.TileLabelsArgument': string;
    'DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.TileTooltipsArgument': string;
    'DashboardWebStringId.Treemap.TileTooltipsValue': string;
    'DashboardWebStringId.Treemap.TileTooltipsNone': string;
    'DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection': string;
    'DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection': string;
    'DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection': string;
    'DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection': string;
    'DashboardWebStringId.Treemap.LayoutDirection': string;
    'DashboardWebStringId.Treemap.GroupLabelsNone': string;
    'DashboardWebStringId.Treemap.GroupLabelsArgument': string;
    'DashboardWebStringId.Treemap.GroupLabelsValue': string;
    'DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.GroupTooltipsNone': string;
    'DashboardWebStringId.Treemap.GroupTooltipsArgument': string;
    'DashboardWebStringId.Treemap.GroupTooltipsValue': string;
    'DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue': string;
    'DashboardStringId.RankOrderAscending': string;
    'DashboardStringId.RankOrderDescending': string;
    'DashboardStringId.DateTimeFormatYearFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatYearFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatLongCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatShortCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption': string;
    'DashboardStringId.ExactDateFormatYear': string;
    'DashboardStringId.ExactDateFormatQuarter': string;
    'DashboardStringId.ExactDateFormatMonth': string;
    'DashboardStringId.ExactDateFormatDay': string;
    'DashboardStringId.ExactDateFormatHour': string;
    'DashboardStringId.ExactDateFormatMinute': string;
    'DashboardStringId.ExactDateFormatSecond': string;
    'DashboardWebStringId.FormatType': string;
    'DashboardWebStringId.TopN.Top': string;
    'DashboardWebStringId.TopN.Bottom': string;
    'DashboardWebStringId.DimensionSortBy': string;
    'DashboardStringId.NumericFormatUnitAutoCaption': string;
    'DashboardStringId.NumericFormatFormatTypeAutoCaption': string;
    'DashboardStringId.NumericFormatFormatTypeGeneralCaption': string;
    'DashboardStringId.NumericFormatFormatTypeNumberCaption': string;
    'DashboardStringId.NumericFormatFormatTypeCurrencyCaption': string;
    'DashboardStringId.NumericFormatFormatTypeScientificCaption': string;
    'DashboardStringId.NumericFormatFormatTypePercentCaption': string;
    'DashboardStringId.NumericFormatUnitOnesCaption': string;
    'DashboardStringId.NumericFormatUnitThousandsCaption': string;
    'DashboardStringId.NumericFormatUnitMillionsCaption': string;
    'DashboardStringId.NumericFormatUnitBillionsCaption': string;
    'DashboardStringId.DeltaValueTypeActualValueCaption': string;
    'DashboardStringId.DeltaValueTypeAbsoluteVariationCaption': string;
    'DashboardStringId.DeltaValueTypePercentVariationCaption': string;
    'DashboardStringId.DeltaValueTypePercentOfTargetCaption': string;
    'DashboardStringId.DeltaValueTypeTargetValueCaption': string;
    'DashboardStringId.GaugeScaleLabelFormatCaption': string;
    'DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption': string;
    'DashboardStringId.DeltaIndicationModeLessIsGoodCaption': string;
    'DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption': string;
    'DashboardStringId.DeltaIndicationModeWarningIfLessCaption': string;
    'DashboardStringId.DeltaIndicationModeNoIndicationCaption': string;
    'DashboardStringId.DeltaThresholdTypeAbsolute': string;
    'DashboardStringId.DeltaThresholdTypePercent': string;
    'DashboardStringId.CommandDimensionGroupChildValues': string;
    'DashboardStringId.SeriesTypeBar': string;
    'DashboardStringId.SeriesTypeStackedBar': string;
    'DashboardStringId.SeriesTypeFullStackedBar': string;
    'DashboardStringId.SeriesTypePoint': string;
    'DashboardStringId.SeriesTypeLine': string;
    'DashboardStringId.SeriesTypeStackedLine': string;
    'DashboardStringId.SeriesTypeFullStackedLine': string;
    'DashboardStringId.SeriesTypeStepLine': string;
    'DashboardStringId.SeriesTypeSpline': string;
    'DashboardStringId.SeriesTypeArea': string;
    'DashboardStringId.SeriesTypeStackedArea': string;
    'DashboardStringId.SeriesTypeFullStackedArea': string;
    'DashboardStringId.SeriesTypeStepArea': string;
    'DashboardStringId.SeriesTypeSplineArea': string;
    'DashboardStringId.SeriesTypeStackedSplineArea': string;
    'DashboardStringId.SeriesTypeFullStackedSplineArea': string;
    'DashboardWebStringId.Chart.ShowLegend': string;
    'DashboardStringId.DefaultNameBoundImageItem': string;
    'DashboardStringId.DefaultNameImageItem': string;
    'DashboardStringId.DefaultNameTextBoxItem': string;
    'DashboardStringId.DefaultNameCardItem': string;
    'DashboardStringId.DefaultNameChartItem': string;
    'DashboardStringId.DefaultNameComboBoxItem': string;
    'DashboardStringId.DefaultNameListBoxItem': string;
    'DashboardStringId.DefaultNameTreeViewItem': string;
    'DashboardStringId.DefaultNameGaugeItem': string;
    'DashboardStringId.DefaultNameGridItem': string;
    'DashboardStringId.GridHyperlinkUriPatternErrorMessage': string;
    'DashboardWebStringId.DefaultNameBubbleMapItem': string;
    'DashboardWebStringId.DefaultNameChoroplethMapItem': string;
    'DashboardWebStringId.DefaultNameGeoPointMapItem': string;
    'DashboardWebStringId.DefaultNamePieMapItem': string;
    'DashboardStringId.DefaultNamePieItem': string;
    'DashboardStringId.DefaultNamePivotItem': string;
    'DashboardStringId.DefaultNameRangeFilterItem': string;
    'DashboardStringId.DefaultNameScatterChartItem': string;
    'DashboardStringId.DefaultNameTreemapItem': string;
    'DashboardStringId.DescriptionMaps': string;
    'DashboardStringId.EntireRangePeriodCaption': string;
    'DashboardStringId.CalculationTypePercentOfTotal': string;
    'DashboardStringId.CalculationTypeDifference': string;
    'DashboardStringId.CalculationTypePercentageDifference': string;
    'DashboardStringId.CalculationTypeRunningTotal': string;
    'DashboardStringId.CalculationTypeMovingCalculation': string;
    'DashboardStringId.CalculationTypeRank': string;
    'DashboardStringId.ColorPaletteIndex': string;
    'DashboardStringId.DifferenceCalculationTargetPrevious': string;
    'DashboardStringId.DifferenceCalculationTargetNext': string;
    'DashboardStringId.DifferenceCalculationTargetFirst': string;
    'DashboardStringId.DifferenceCalculationTargetLast': string;
    'DashboardStringId.SummaryTypeCount': string;
    'DashboardStringId.SummaryTypeSum': string;
    'DashboardStringId.SummaryTypeMin': string;
    'DashboardStringId.SummaryTypeMax': string;
    'DashboardStringId.SummaryTypeAverage': string;
    'DashboardStringId.SummaryTypeStdDev': string;
    'DashboardStringId.SummaryTypeStdDevp': string;
    'DashboardStringId.SummaryTypeVar': string;
    'DashboardStringId.SummaryTypeVarp': string;
    'DashboardStringId.SummaryTypeCountDistinct': string;
    'DashboardStringId.SummaryTypeMedian': string;
    'DashboardStringId.SummaryTypeMode': string;
    'DashboardStringId.RankTypeUnique': string;
    'DashboardStringId.RankTypeCompetition': string;
    'DashboardStringId.RankTypeDense': string;
    'DashboardStringId.RankTypeModified': string;
    'DashboardStringId.RankTypePercentile': string;
    'DashboardStringId.CardCalculationAlongCards': string;
    'DashboardStringId.CardCalculationAlongSparklineArgument': string;
    'DashboardStringId.CardCalculationAlongCardsAndSparklineArgument': string;
    'DashboardStringId.CardCalculationAlongSparklineArgumentAndCards': string;
    'DashboardStringId.ChartCalculationAlongArguments': string;
    'DashboardStringId.ChartCalculationAlongSeries': string;
    'DashboardStringId.ChartCalculationAlongArgumentsAndSeries': string;
    'DashboardStringId.ChartCalculationAlongSeriesAndArguments': string;
    'DashboardStringId.GridCalculationAlongRows': string;
    'DashboardStringId.GridCalculationAlongSparklineArgument': string;
    'DashboardStringId.GridCalculationAlongRowsAndSparklineArgument': string;
    'DashboardStringId.GridCalculationAlongSparklineArgumentAndRows': string;
    'DashboardStringId.PivotCalculationAlongColumns': string;
    'DashboardStringId.PivotCalculationAlongRows': string;
    'DashboardStringId.PivotCalculationAlongColumnsAndRows': string;
    'DashboardStringId.PivotCalculationAlongRowsAndColumns': string;
    'DashboardStringId.PivotCalculationAlongGroupsInColumns': string;
    'DashboardStringId.PivotCalculationAlongGroupsInRows': string;
    'DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows': string;
    'DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns': string;
    'DashboardStringId.PieCalculationAlongArguments': string;
    'DashboardStringId.PieCalculationAlongSeries': string;
    'DashboardStringId.PieCalculationAlongArgumentsAndSeries': string;
    'DashboardStringId.PieCalculationAlongSeriesAndArguments': string;
    'DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries': string;
    'DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument': string;
    'DashboardStringId.GaugeCalculationAlongGauges': string;
    'DashboardStringId.ScatterCalculationAlongArguments': string;
    'DashboardStringId.CalculationAlongSpecificDimensions': string;
    'DashboardStringId.CalculatedFieldTypeString': string;
    'DashboardStringId.CalculatedFieldTypeLong': string;
    'DashboardStringId.CalculatedFieldTypeDecimal': string;
    'DashboardStringId.CalculatedFieldTypeBoolean': string;
    'DashboardStringId.CalculatedFieldTypeDateTime': string;
    'DashboardStringId.CalculatedFieldTypeDouble': string;
    'DashboardStringId.CalculatedFieldTypeAuto': string;
    'DashboardStringId.CalculatedFieldTypeObject': string;
    'DashboardStringId.DefaultEFDataSourceName': string;
    'DashboardStringId.DefaultExcelDataSourceName': string;
    'DashboardStringId.DefaultFileExtractDataSourceName': string;
    'DashboardStringId.DefaultFederationDataSourceName': string;
    'DashboardStringId.DefaultObjectDataSourceName': string;
    'DashboardStringId.DefaultOlapDataSourceName': string;
    'DashboardStringId.DefaultSqlDataSourceName': string;
    'DashboardStringId.DefaultJsonDataSourceName': string;
    'DashboardStringId.DefaultMongoDBDataSourceName': string;
    'DashboardStringId.DefaultXpoDataSourceName': string;
    'DashboardStringId.OlapRaggedHierarchyNoneItemCaption': string;
    'DashboardStringId.FormatRuleApplyToColumn': string;
    'DashboardStringId.SeriesTypeSideBySideRangeBar': string;
    'DashboardStringId.SeriesTypeRangeArea': string;
    'DashboardStringId.SeriesTypeHighLowClose': string;
    'DashboardStringId.SeriesTypeCandleStick': string;
    'DashboardStringId.SeriesTypeStock': string;
    'DashboardWebStringId.StyleSettings': string;
    'DashboardStringId.ParametersFormCalendarTodayButton': string;
    'DashboardStringId.TreemapLabelArgumentTemplate': string;
    'DashboardStringId.TreemapLabelValueTemplate': string;
    'DashboardStringId.SearchNullValuePrompt': string;
    'DashboardStringId.CustomItems': string;
    'DashboardStringId.FormatRuleAllowNegativeAxis': string;
    'DashboardStringId.FormatRuleDrawAxis': string;
    'DashboardStringId.FormatRuleShowBarOnly': string;
    'DashboardStringId.CommandFormatRuleBottomN': string;
    'DashboardStringId.FormatConditionAppearanceNone': string;
    'DashboardStringId.FormatConditionAppearanceCustom': string;
    'DashboardStringId.FormatConditionAppearancePaleRed': string;
    'DashboardStringId.FormatConditionAppearancePaleYellow': string;
    'DashboardStringId.FormatConditionAppearancePaleGreen': string;
    'DashboardStringId.FormatConditionAppearancePaleBlue': string;
    'DashboardStringId.FormatConditionAppearancePalePurple': string;
    'DashboardStringId.FormatConditionAppearancePaleCyan': string;
    'DashboardStringId.FormatConditionAppearancePaleOrange': string;
    'DashboardStringId.FormatConditionAppearancePaleGray': string;
    'DashboardStringId.FormatConditionAppearanceRed': string;
    'DashboardStringId.FormatConditionAppearanceYellow': string;
    'DashboardStringId.FormatConditionAppearanceGreen': string;
    'DashboardStringId.FormatConditionAppearanceBlue': string;
    'DashboardStringId.FormatConditionAppearancePurple': string;
    'DashboardStringId.FormatConditionAppearanceCyan': string;
    'DashboardStringId.FormatConditionAppearanceOrange': string;
    'DashboardStringId.FormatConditionAppearanceGray': string;
    'DashboardStringId.FormatConditionAppearanceGradientRed': string;
    'DashboardStringId.FormatConditionAppearanceGradientYellow': string;
    'DashboardStringId.FormatConditionAppearanceGradientGreen': string;
    'DashboardStringId.FormatConditionAppearanceGradientBlue': string;
    'DashboardStringId.FormatConditionAppearanceGradientPurple': string;
    'DashboardStringId.FormatConditionAppearanceGradientCyan': string;
    'DashboardStringId.FormatConditionAppearanceGradientOrange': string;
    'DashboardStringId.FormatConditionAppearanceGradientTransparent': string;
    'DashboardStringId.FormatConditionAppearanceFontBold': string;
    'DashboardStringId.FormatConditionAppearanceFontItalic': string;
    'DashboardStringId.FormatConditionAppearanceFontUnderline': string;
    'DashboardStringId.FormatConditionAppearanceFontGrayed': string;
    'DashboardStringId.FormatConditionAppearanceFontRed': string;
    'DashboardStringId.FormatConditionAppearanceFontYellow': string;
    'DashboardStringId.FormatConditionAppearanceFontGreen': string;
    'DashboardStringId.FormatConditionAppearanceFontBlue': string;
    'DashboardStringId.IntersectionLevelModeFirst': string;
    'DashboardStringId.IntersectionLevelModeLast': string;
    'DashboardStringId.IntersectionLevelModeAuto': string;
    'DashboardStringId.IntersectionLevelModeAll': string;
    'DashboardStringId.IntersectionLevelModeSpecific': string;
    'DashboardStringId.FormatRuleApplyToRow': string;
    'DashboardStringId.FormatRuleApplyTo': string;
    'DashboardStringId.FormatRuleApplyToChartElement': string;
    'DashboardStringId.ChartElementPointCaption': string;
    'DashboardStringId.ChartElementLineOrAreaCaption': string;
    'DashboardWebStringId.FilterItem.AllowEmptyFilter': string;
    'DashboardStringId.FormatConditionAppearanceFontStrikeout': string;
    'DashboardStringId.FormatConditionAutomaticValueType': string;
    'DashboardStringId.FormatConditionNumberValueType': string;
    'DashboardStringId.FormatConditionPercentValueType': string;
    'DashboardStringId.CommandFormatRuleRangeIcons': string;
    'DashboardStringId.CommandFormatRuleGreaterThan': string;
    'DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo': string;
    'DashboardStringId.CommandFormatRuleLessThan': string;
    'DashboardStringId.CommandFormatRuleLessThanOrEqualTo': string;
    'DashboardStringId.CommandFormatRuleEqualTo': string;
    'DashboardStringId.CommandFormatRuleNotEqualTo': string;
    'DashboardStringId.CommandFormatRuleBetween': string;
    'DashboardStringId.CommandFormatRuleNotBetween': string;
    'DashboardStringId.CommandFormatRuleBetweenOrEqual': string;
    'DashboardStringId.CommandFormatRuleNotBetweenOrEqual': string;
    'DashboardStringId.CommandFormatRuleContains': string;
    'DashboardStringId.ColorAutoAssigned': string;
    'DashboardStringId.CalculationTypeNone': string;
    'DashboardStringId.UndoText': string;
    'DashboardStringId.RedoText': string;
    'DashboardStringId.DashboardCurrencyUseCurrentCurrency': string;
    'DashboardStringId.CommandDimensionSortModeDisplayText': string;
    'DashboardStringId.CommandDimensionSortModeValue': string;
    'DashboardStringId.CommandDimensionSortModeID': string;
    'DashboardStringId.CommandDimensionSortModeKey': string;
    'DashboardWebStringId.Chart.AddPane': string;
    'DashboardStringId.MapShapeNoneAttribute': string;
    'DashboardStringId.DefaultPeriodName': string;
    'DashboardStringId.CardLayoutTemplateStretchedCaption': string;
    'DashboardStringId.CardLayoutTemplateCenteredCaption': string;
    'DashboardStringId.CardLayoutTemplateCompactCaption': string;
    'DashboardStringId.CardLayoutTemplateLightweightCaption': string;
    'DashboardStringId.CardLayoutTemplateCustomCaption': string;
    'DashboardStringId.CardLayoutTemplateNoneCaption': string;
    'DashboardStringId.CardRowDataElementTypeTitleCaption': string;
    'DashboardStringId.CardRowDataElementTypeSubtitleCaption': string;
    'DashboardStringId.CardRowDataElementTypeActualValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeTargetValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption': string;
    'DashboardStringId.CardRowDataElementTypePercentVariationCaption': string;
    'DashboardStringId.CardRowDataElementTypePercentOfTargetCaption': string;
    'DashboardStringId.CardRowDataElementTypeDimensionValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeCardNameCaption': string;
    'DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption': string;
    'DashboardStringId.CardRowDataElementTypeSparklineCaption': string;
    'DashboardStringId.FormatRuleApplyToAllElements': string;
    'DashboardWebStringId.FormatRuleApplyToDimensionElement': string;
    'DashboardWebStringId.FormatRuleApplyToTextElement': string;
    'DashboardStringId.FormatRuleDisplayInLegend': string;
    'DashboardStringId.FormatRuleDisplayName': string;
    'DashboardStringId.LegendItemFormatString': string;
    'DashboardWebStringId.Pie.LabelPosition': string;
    'DashboardWebStringId.Pie.LabelPositionOutside': string;
    'DashboardWebStringId.Pie.LabelPositionInside': string;
    'DashboardStringId.IncludeExportDashboardState': string;
    'DashboardStringId.PointLabelContentTypeArgument': string;
    'DashboardStringId.PointLabelContentTypeSeriesName': string;
    'DashboardStringId.PointLabelContentTypeValue': string;
    'DashboardStringId.PointLabelContentTypePercent': string;
    'DashboardWebStringId.DashboardMenu': string;
    'DashboardWebStringId.DashboardMenuNew': string;
    'DashboardWebStringId.DashboardMenuOpen': string;
    'DashboardWebStringId.DashboardMenuSave': string;
    'DashboardWebStringId.DashboardMenuCurrency': string;
    'DashboardWebStringId.DashboardMenuDataSources': string;
    'DashboardWebStringId.DashboardMenuColorScheme': string;
    'DashboardWebStringId.DashboardMenuNewDashboardCreate': string;
    'DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder': string;
    'DashboardWebStringId.Binding.DefaultEmptyPlaceholder': string;
    'DashboardWebStringId.Binding.DefaultSelectedPlaceholder': string;
    'DashboardWebStringId.Binding.DataSource': string;
    'DashboardWebStringId.Binding.Argument': string;
    'DashboardWebStringId.Binding.Attribute': string;
    'DashboardWebStringId.Binding.Sparkline': string;
    'DashboardWebStringId.Binding.Columns': string;
    'DashboardWebStringId.Binding.TooltipDimensions': string;
    'DashboardWebStringId.Binding.TooltipMeasures': string;
    'DashboardWebStringId.Binding.HiddenDimensions': string;
    'DashboardWebStringId.Binding.HiddenMeasures': string;
    'DashboardWebStringId.Binding.AddDimension': string;
    'DashboardWebStringId.Binding.AddMeasure': string;
    'DashboardWebStringId.Binding.AddColumn': string;
    'DashboardWebStringId.Binding.AddRow': string;
    'DashboardWebStringId.Binding.AddValue': string;
    'DashboardWebStringId.Binding.AddSeries': string;
    'DashboardWebStringId.Binding.SetLatitude': string;
    'DashboardWebStringId.Binding.SetLongitude': string;
    'DashboardWebStringId.Binding.SetArgument': string;
    'DashboardWebStringId.Binding.AddArgument': string;
    'DashboardWebStringId.Binding.SetWeight': string;
    'DashboardWebStringId.Binding.SetColor': string;
    'DashboardWebStringId.Binding.SetAttribute': string;
    'DashboardWebStringId.Binding.SetValue': string;
    'DashboardWebStringId.Binding.XAxis': string;
    'DashboardWebStringId.Binding.YAxis': string;
    'DashboardWebStringId.Binding.ConfigureDimension': string;
    'DashboardWebStringId.Binding.ConfigureMeasure': string;
    'DashboardWebStringId.Binding.ConfigureSeries': string;
    'DashboardWebStringId.Binding.ConfigureArgument': string;
    'DashboardWebStringId.Binding.ConfigureValue': string;
    'DashboardWebStringId.Binding.ConfigureAttribute': string;
    'DashboardWebStringId.Binding.ConfigureLatitude': string;
    'DashboardWebStringId.Binding.ConfigureLongitude': string;
    'DashboardWebStringId.Binding.ConfigureColumn': string;
    'DashboardWebStringId.Binding.ConfigureRow': string;
    'DashboardWebStringId.Binding.ConfigureWeight': string;
    'DashboardWebStringId.Binding.ConfigureColor': string;
    'DashboardWebStringId.Binding.ShowAll': string;
    'DashboardWebStringId.ColorScheme.Color': string;
    'DashboardWebStringId.ColorScheme.Colors': string;
    'DashboardWebStringId.Parameters.ParameterList': string;
    'DashboardWebStringId.Parameters.AddParameter': string;
    'DashboardWebStringId.Parameters.AddParameter.Tooltip': string;
    'DashboardWebStringId.Parameters.NoSelectedParameter': string;
    'DashboardWebStringId.Parameters.Reorder': string;
    'DashboardWebStringId.Parameters.Done': string;
    'DashboardWebStringId.Currency.Currency': string;
    'DashboardWebStringId.Currency.CurrencyCulture': string;
    'DashboardWebStringId.Currency.DefaultCurrencyWarning': string;
    'DashboardWebStringId.Preview': string;
    'DashboardWebStringId.Add': string;
    'DashboardWebStringId.DataSources.UsedDataSources': string;
    'DashboardWebStringId.DataSources.DataItems': string;
    'DashboardWebStringId.DataSources.AddQuery': string;
    'DashboardWebStringId.DataSources.ManageQueries': string;
    'DashboardWebStringId.DataSources.AddCalculatedField': string;
    'DashboardWebStringId.DataSources.AddDataSource': string;
    'DashboardWebStringId.DataSources.RenameDataSource': string;
    'DashboardWebStringId.DataSources.NoUsedDataSources': string;
    'DashboardWebStringId.DataSources.NoAvailableDataSources': string;
    'DashboardWebStringId.DataSources.ChooseDataSource': string;
    'DashboardWebStringId.DataSources.CreateDataSource': string;
    'DashboardWebStringId.DataSources.CreateNewDataSource': string;
    'DashboardWebStringId.DataSources.CreateDataSource.Tooltip': string;
    'DashboardWebStringId.DataSources.EditCalculatedField': string;
    'DashboardWebStringId.DataSources.CalculatedField.Name': string;
    'DashboardWebStringId.DataSources.CalculatedField.FieldType': string;
    'DashboardWebStringId.DataSources.CalculatedField.UniqueNameError': string;
    'DashboardWebStringId.DataSources.CalculatedField.Corrupted': string;
    'DashboardWebStringId.DataSources.Edit': string;
    'DashboardWebStringId.DataSources.Rename': string;
    'DashboardWebStringId.DataSources.NewDataSourceName': string;
    'DashboardWebStringId.DataSources.DataSourceNameExistsMessage': string;
    'DashboardStringId.MessageCollectionTypesNotSupported': string;
    'DashboardWebStringId.New.DashboardName': string;
    'DashboardWebStringId.Bindings': string;
    'DashboardWebStringId.Interactivity': string;
    'DashboardWebStringId.Filters': string;
    'DashboardWebStringId.Options': string;
    'DashboardWebStringId.Remove': string;
    'DashboardWebStringId.MasterFilterMode': string;
    'DashboardWebStringId.Title.Text': string;
    'DashboardWebStringId.Title.Visible': string;
    'DashboardWebStringId.Title.IncludeMasterFilter': string;
    'DashboardWebStringId.Title.Aligment': string;
    'DashboardWebStringId.Title.Image': string;
    'DashboardWebStringId.DataSources.Cancel': string;
    'DashboardWebStringId.DataSources.IncludeToTheDashboard': string;
    'DashboardWebStringId.DataSources.AvailableDataSourcesError': string;
    'DashboardWebStringId.DataSources.DashboardDataSourceWizard': string;
    'DashboardWebStringId.Viewer': string;
    'DashboardWebStringId.Loading': string;
    'DashboardWebStringId.ClickHereInvitation': string;
    'DashboardWebStringId.BindDataInvitation': string;
    'DashboardWebStringId.AddItemInvitation': string;
    'DashboardWebStringId.Parameters.Values': string;
    'DashboardWebStringId.Binding.Cards': string;
    'DashboardWebStringId.Binding.AddCard': string;
    'DashboardWebStringId.Binding.ConfigureCard': string;
    'DashboardWebStringId.Binding.AddValues': string;
    'DashboardWebStringId.Binding.ConfigureValues': string;
    'DashboardWebStringId.Binding.Maps': string;
    'DashboardWebStringId.Binding.AddMap': string;
    'DashboardWebStringId.Binding.ConfigureMap': string;
    'DashboardWebStringId.Binding.Gauges': string;
    'DashboardWebStringId.Binding.AddGauge': string;
    'DashboardWebStringId.Binding.ConfigureGauge': string;
    'DashboardWebStringId.InteractivityOptions': string;
    'DashboardWebStringId.Binding.Values': string;
    'DashboardWebStringId.Binding.RemovePane': string;
    'DashboardWebStringId.ClickToSetFilterCriteria': string;
    'DashboardWebStringId.DataSources.OK': string;
    'DashboardWebStringId.DataSources.Save': string;
    'DashboardWebStringId.Cards.ArrangementMode': string;
    'DashboardWebStringId.Cards.ArrangementMode.Auto': string;
    'DashboardWebStringId.Cards.ArrangementMode.FixedRows': string;
    'DashboardWebStringId.Cards.ArrangementMode.FixedColumns': string;
    'DashboardWebStringId.Cards.LineCount': string;
    'DashboardWebStringId.ConditionalFormatting': string;
    'DashboardWebStringId.CollectionEditor.NoItems': string;
    'DashboardWebStringId.CollectionEditor.Totals.NoItems': string;
    'DashboardWebStringId.CollectionEditor.Parameters.NoItems': string;
    'DashboardWebStringId.PivotGrid.AutoExpandColumnGroups': string;
    'DashboardWebStringId.PivotGrid.AutoExpandRowGroups': string;
    'DashboardWebStringId.PivotGrid.ColumnGrandTotals': string;
    'DashboardWebStringId.PivotGrid.RowGrandTotals': string;
    'DashboardWebStringId.PivotGrid.ColumnTotals': string;
    'DashboardWebStringId.PivotGrid.RowTotals': string;
    'DashboardWebStringId.PivotGrid.ValuesPosition': string;
    'DashboardWebStringId.PivotGrid.ValuesPositionColumns': string;
    'DashboardWebStringId.PivotGrid.ValuesPositionRows': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPosition': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPositionBottom': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPositionTop': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPosition': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear': string;
    'DashboardWebStringId.PivotGrid.LayoutType': string;
    'DashboardWebStringId.PivotGrid.LayoutTypeCompact': string;
    'DashboardWebStringId.PivotGrid.LayoutTypeTabular': string;
    'DashboardWebStringId.Options.Caption': string;
    'DashboardWebStringId.InteractivityOptions.IsMasterFilter': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.None': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Series': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Points': string;
    'DashboardWebStringId.ColoringOptions': string;
    'DashboardWebStringId.DataSources.Filter': string;
    'DashboardWebStringId.Chart.Rotated': string;
    'DashboardWebStringId.Chart.Panes': string;
    'DashboardWebStringId.Chart.Legend': string;
    'DashboardWebStringId.Chart.AxisX': string;
    'DashboardWebStringId.Chart.AxisY': string;
    'DashboardWebStringId.Chart.AxisYSecondary': string;
    'DashboardWebStringId.Chart.PointLabelOptions': string;
    'DashboardWebStringId.Chart.AxisXMeasure': string;
    'DashboardWebStringId.Chart.AxisYMeasure': string;
    'DashboardWebStringId.Chart.Weight': string;
    'DashboardWebStringId.Chart.Content': string;
    'DashboardWebStringId.Chart.ArgumentAndWeight': string;
    'DashboardWebStringId.Chart.ArgumentAndValues': string;
    'DashboardWebStringId.Chart.Reverse': string;
    'DashboardWebStringId.Chart.Visible': string;
    'DashboardWebStringId.Chart.Title': string;
    'DashboardWebStringId.Chart.TitleText': string;
    'DashboardWebStringId.Chart.EnableZooming': string;
    'DashboardWebStringId.Chart.LimitVisiblePoints': string;
    'DashboardWebStringId.Chart.VisiblePointsCount': string;
    'DashboardWebStringId.Chart.AlwaysShowZeroLevel': string;
    'DashboardWebStringId.Chart.GridLines': string;
    'DashboardWebStringId.Chart.LogarithmicScale': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase2': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase5': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase10': string;
    'DashboardWebStringId.Chart.Position': string;
    'DashboardWebStringId.Chart.IsInsideOfDiagram': string;
    'DashboardWebStringId.Chart.PrimaryAxisY': string;
    'DashboardWebStringId.Chart.SecondaryAxisY': string;
    'DashboardWebStringId.Chart.Name': string;
    'DashboardWebStringId.Chart.PlotOnSecondaryAxis': string;
    'DashboardWebStringId.Chart.IgnoreEmptyPoints': string;
    'DashboardWebStringId.Chart.ShowPointMarkers': string;
    'DashboardWebStringId.Chart.Value': string;
    'DashboardWebStringId.Chart.ShowZeroValues': string;
    'DashboardWebStringId.Chart.OverlappingMode': string;
    'DashboardWebStringId.Chart.Orientation': string;
    'DashboardWebStringId.Chart.ShowPointLablels': string;
    'DashboardWebStringId.Chart.TooltipContent': string;
    'DashboardWebStringId.Chart.LabelContent': string;
    'DashboardWebStringId.Card.SparklineOptions': string;
    'DashboardWebStringId.Card.SparklineVisible': string;
    'DashboardWebStringId.Chart.Position.TopLeftVertical': string;
    'DashboardWebStringId.Chart.Position.TopLeftHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopCenterHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopRightVertical': string;
    'DashboardWebStringId.Chart.Position.TopRightHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomLeftVertical': string;
    'DashboardWebStringId.Chart.Position.BottomLeftHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomCenterHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomRightVertical': string;
    'DashboardWebStringId.Chart.Position.BottomRightHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopCenterVertical': string;
    'DashboardWebStringId.Chart.Position.BottomCenterVertical': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Empty': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Solid': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dash': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dot': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDot': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot': string;
    'DashboardWebStringId.Chart.Indicator.Type': string;
    'DashboardWebStringId.Chart.Indicator.Type.Regression': string;
    'DashboardWebStringId.Chart.Indicator.Type.Trend': string;
    'DashboardWebStringId.Chart.Indicator.LegendText': string;
    'DashboardWebStringId.Chart.Indicator.ShowInLegend': string;
    'DashboardWebStringId.Chart.Indicator.Thickness': string;
    'DashboardWebStringId.Chart.Indicator.ValueLevel': string;
    'DashboardWebStringId.Chart.Indicator.ValueLevel.Value': string;
    'DashboardWebStringId.Chart.Indicator.Visible': string;
    'DashboardWebStringId.Chart.Indicator.Color': string;
    'DashboardWebStringId.Chart.Indicator.Value': string;
    'DashboardWebStringId.Chart.Indicators': string;
    'DashboardWebStringId.Chart.IndicatorSettings': string;
    'DashboardWebStringId.FilterItem.Type': string;
    'DashboardWebStringId.FilterItem.Type.Standard': string;
    'DashboardWebStringId.FilterItem.Type.Checked': string;
    'DashboardWebStringId.FilterItem.Type.Radio': string;
    'DashboardWebStringId.FilterItem.ShowAllValue': string;
    'DashboardWebStringId.FilterItem.EnableSearch': string;
    'DashboardWebStringId.Gauge.Min': string;
    'DashboardWebStringId.Gauge.Max': string;
    'DashboardWebStringId.Gauge.ScaleOptions': string;
    'DashboardWebStringId.Gauge.Type': string;
    'DashboardWebStringId.Gauge.Type.FullQuarterGauge': string;
    'DashboardWebStringId.Gauge.Type.HalfCircular': string;
    'DashboardWebStringId.Gauge.Type.LeftQuarterCircular': string;
    'DashboardWebStringId.Gauge.Type.RightQuarterCircular': string;
    'DashboardWebStringId.Gauge.Type.ThreeFourthCircular': string;
    'DashboardWebStringId.Gauge.Type.LinearHorizontal': string;
    'DashboardWebStringId.Gauge.Type.LinearVertical': string;
    'DashboardWebStringId.Gauge.Captions': string;
    'DashboardWebStringId.Gauge.Scale.Custom': string;
    'DashboardWebStringId.Gauge.Scale.Auto': string;
    'DashboardWebStringId.Grid.ColumnType': string;
    'DashboardWebStringId.Grid.DisplayMode': string;
    'DashboardWebStringId.Grid.DisplayMode.Value': string;
    'DashboardWebStringId.Grid.DisplayMode.Bar': string;
    'DashboardWebStringId.Grid.DisplayMode.Text': string;
    'DashboardWebStringId.Grid.DisplayMode.Image': string;
    'DashboardWebStringId.Grid.FixedWidth': string;
    'DashboardWebStringId.Grid.WidthType': string;
    'DashboardWebStringId.Grid.WidthType.Weight': string;
    'DashboardWebStringId.Grid.WidthType.FitToContent': string;
    'DashboardWebStringId.Grid.DeltaOptions': string;
    'DashboardWebStringId.Grid.ShowStartEndValues': string;
    'DashboardWebStringId.Grid.TotalType': string;
    'DashboardWebStringId.Grid.Dimension': string;
    'DashboardWebStringId.Grid.Measure': string;
    'DashboardWebStringId.Grid.Delta': string;
    'DashboardWebStringId.Grid.Sparkline': string;
    'DashboardWebStringId.Grid.Hyperlink': string;
    'DashboardWebStringId.Grid.Options': string;
    'DashboardWebStringId.Map.ShapeFileLoaded': string;
    'DashboardWebStringId.Map.AttributeFileLoaded': string;
    'DashboardWebStringId.Map.ValueMap': string;
    'DashboardWebStringId.Map.DeltaMap': string;
    'DashboardWebStringId.Map.TooltipCaption': string;
    'DashboardWebStringId.Map.TooltipActualValueCaption': string;
    'DashboardWebStringId.Map.TooltipDeltaCaption': string;
    'DashboardWebStringId.Map.CustomMapOptions': string;
    'DashboardWebStringId.Map.CustomMapOptionsSource': string;
    'DashboardWebStringId.Map.CustomMapOptionsUrl': string;
    'DashboardWebStringId.Map.CustomMapOptionsFile': string;
    'DashboardWebStringId.Map.CustomMapUrl': string;
    'DashboardWebStringId.Map.CustomMapFile': string;
    'DashboardWebStringId.Map.CustomAttributeFile': string;
    'DashboardWebStringId.Map.AttributeDimension': string;
    'DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle': string;
    'DashboardWebStringId.Map.AttributeName': string;
    'DashboardWebStringId.Map.TooltipAttribute': string;
    'DashboardWebStringId.Map.TooltipDimensions': string;
    'DashboardWebStringId.Map.Area.Custom': string;
    'DashboardWebStringId.Map.Area.WorldCountries': string;
    'DashboardWebStringId.Map.Area.Europe': string;
    'DashboardWebStringId.Map.Area.Asia': string;
    'DashboardWebStringId.Map.Area.NorthAmerica': string;
    'DashboardWebStringId.Map.Area.SouthAmerica': string;
    'DashboardWebStringId.Map.Area.Africa': string;
    'DashboardWebStringId.Map.Area.USA': string;
    'DashboardWebStringId.Map.Area.Canada': string;
    'DashboardWebStringId.Map.Viewport': string;
    'DashboardWebStringId.Map.ShapeTitleAttribute': string;
    'DashboardWebStringId.Map.UseBindingAttribute': string;
    'DashboardWebStringId.Map.WeightedLegendType': string;
    'DashboardWebStringId.Map.WeightedLegendType.Linear': string;
    'DashboardWebStringId.Map.WeightedLegendType.Nested': string;
    'DashboardWebStringId.Map.Orientation.Vertical': string;
    'DashboardWebStringId.Map.Orientation.Horizontal': string;
    'DashboardWebStringId.Map.Position.TopLeft': string;
    'DashboardWebStringId.Map.Position.TopCenter': string;
    'DashboardWebStringId.Map.Position.TopRight': string;
    'DashboardWebStringId.Map.Position.BottomLeft': string;
    'DashboardWebStringId.Map.Position.BottomCenter': string;
    'DashboardWebStringId.Map.Position.BottomRight': string;
    'DashboardWebStringId.Map.Viewport.TopLatitude': string;
    'DashboardWebStringId.Map.Viewport.LeftLongitude': string;
    'DashboardWebStringId.Map.Viewport.RightLongitude': string;
    'DashboardWebStringId.Map.Viewport.BottomLatitude': string;
    'DashboardWebStringId.Map.Viewport.CenterPointLatitude': string;
    'DashboardWebStringId.Map.Viewport.CenterPointLongitude': string;
    'DashboardWebStringId.Map.Viewport.CreateViewerPaddings': string;
    'DashboardWebStringId.Map.ShowLegend': string;
    'DashboardWebStringId.Map.ShowWeightedLegend': string;
    'DashboardWebStringId.Pie.Type': string;
    'DashboardWebStringId.Pie': string;
    'DashboardWebStringId.Pie.Donut': string;
    'DashboardWebStringId.Pie.LabelContentType.None': string;
    'DashboardWebStringId.Pie.LabelContentType.Argument': string;
    'DashboardWebStringId.Pie.LabelContentType.Percent': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent': string;
    'DashboardWebStringId.Pie.LabelContentType.Value': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue': string;
    'DashboardWebStringId.Pie.LabelContentType.ValueAndPercent': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent': string;
    'DashboardWebStringId.Image.BindingMode': string;
    'DashboardWebStringId.Image.BindingMode.BinaryArray': string;
    'DashboardWebStringId.Image.BindingMode.Uri': string;
    'DashboardWebStringId.RangeFilter.UriPattern': string;
    'DashboardWebStringId.Image.SizeMode.Clip': string;
    'DashboardWebStringId.Image.SizeMode.Stretch': string;
    'DashboardWebStringId.Image.SizeMode.Zoom': string;
    'DashboardWebStringId.Image.SizeMode.Squeeze': string;
    'DashboardWebStringId.Image.HorizontalAlignment': string;
    'DashboardWebStringId.Image.VerticalAlignment': string;
    'DashboardWebStringId.Image.Alignment.Left': string;
    'DashboardWebStringId.Image.Alignment.Center': string;
    'DashboardWebStringId.Image.Alignment.Right': string;
    'DashboardWebStringId.Image.Alignment.Top': string;
    'DashboardWebStringId.Image.Alignment.Bottom': string;
    'DashboardWebStringId.SeriesItem.SeriesDimensions': string;
    'DashboardWebStringId.TextBox.Text': string;
    'DashboardWebStringId.Chart.Orientation.Default': string;
    'DashboardWebStringId.Chart.Orientation.RotateRight': string;
    'DashboardWebStringId.Chart.Orientation.RotateLeft': string;
    'DashboardWebStringId.Chart.OverlappingMode.Hide': string;
    'DashboardWebStringId.Chart.OverlappingMode.None': string;
    'DashboardWebStringId.Chart.Position.Outside': string;
    'DashboardWebStringId.Chart.Position.Inside': string;
    'DashboardWebStringId.Chart.SeriesType.Weighted': string;
    'DashboardWebStringId.Coloring.MeasuresColoringMode': string;
    'DashboardWebStringId.Coloring.Global': string;
    'DashboardWebStringId.Coloring.Local': string;
    'DashboardWebStringId.Delta.ValueType': string;
    'DashboardWebStringId.Delta.ResultIndication': string;
    'DashboardWebStringId.Delta.ThresholdType': string;
    'DashboardWebStringId.Delta.ThresholdValue': string;
    'DashboardWebStringId.Sparkline.ViewType': string;
    'DashboardWebStringId.Sparkline.HighlightMinMaxPoints': string;
    'DashboardWebStringId.Sparkline.HighlightStartEndPoints': string;
    'DashboardWebStringId.Title.Aligment.Left': string;
    'DashboardWebStringId.Title.Aligment.Center': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.StaticList': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType': string;
    'DashboardWebStringId.Parameters.DefaultValue': string;
    'DashboardWebStringId.DataItem': string;
    'DashboardWebStringId.DataItem.Precision': string;
    'DashboardWebStringId.DataItem.IncludeGroupSeparator': string;
    'DashboardWebStringId.DataItem.ShowValues': string;
    'DashboardWebStringId.DataItem.ShowTotals': string;
    'DashboardWebStringId.DataItem.ShowGrandTotals': string;
    'DashboardWebStringId.Dialog.ConfirmSaving': string;
    'DashboardWebStringId.Dialog.Warning': string;
    'DashboardWebStringId.Dimension.GroupInterval': string;
    'DashboardWebStringId.Dimension.SortMode': string;
    'DashboardWebStringId.Dialog.ArgumentMode': string;
    'DashboardWebStringId.Calculations': string;
    'DashboardWebStringId.Calculations.Expression': string;
    'DashboardWebStringId.Calculations.DifferenceCalculation': string;
    'DashboardWebStringId.Calculations.Moving': string;
    'DashboardWebStringId.Calculations.RunningTotal': string;
    'DashboardWebStringId.Calculations.PercentOfTotal': string;
    'DashboardWebStringId.Calculations.Rank': string;
    'DashboardWebStringId.Calculations.DefinitionMode': string;
    'DashboardWebStringId.Calculations.WindowDefinition': string;
    'DashboardWebStringId.Calculations.WindowDefinitionModeSpecific': string;
    'DashboardWebStringId.Calculations.WindowDefinitionModePredefined': string;
    'DashboardWebStringId.Calculations.DifferenceType': string;
    'DashboardWebStringId.TreemapLayoutAlgorithm': string;
    'DashboardWebStringId.TilesLabelContentType': string;
    'DashboardWebStringId.TilesTooltipContentType': string;
    'DashboardWebStringId.GroupsLabelContentType': string;
    'DashboardWebStringId.GroupsTooltipContentType': string;
    'DashboardWebStringId.ShowOthersValue': string;
    'DashboardWebStringId.TopNEnabled': string;
    'DashboardWebStringId.Parameters.StaticListLookUpSettings': string;
    'DashboardWebStringId.Parameters.DynamicListLookUpSettings': string;
    'DashboardWebStringId.ConvertTo': string;
    'DashboardWebStringId.Duplicate': string;
    'DashboardWebStringId.DataSourceWizard': string;
    'DashboardWebStringId.RangeFilter.CustomPeriods': string;
    'DashboardWebStringId.RangeFilter.StartMode': string;
    'DashboardWebStringId.RangeFilter.EndMode': string;
    'DashboardWebStringId.RangeFilter.StartIntervalAndOffset': string;
    'DashboardWebStringId.RangeFilter.EndIntervalAndOffset': string;
    'DashboardWebStringId.RangeFilter.StartDate': string;
    'DashboardWebStringId.RangeFilter.EndDate': string;
    'DashboardWebStringId.RangeFilter.None': string;
    'DashboardWebStringId.RangeFilter.Fixed': string;
    'DashboardWebStringId.RangeFilter.Flow': string;
    'DashboardWebStringId.Tabs.Binding': string;
    'DashboardWebStringId.Tabs.DataShaping': string;
    'DashboardWebStringId.Tabs.Format': string;
    'DashboardWebStringId.Calculations.Types.Moving': string;
    'DashboardWebStringId.Parameters.SortByMember': string;
    'DashboardWebStringId.Parameters.LookUpSettingsTypeCaption': string;
    'DashboardWebStringId.Dashboard.Items': string;
    'DashboardWebStringId.Dashboard.Groups': string;
    'DashboardWebStringId.Dashboard.LayoutItems': string;
    'DashboardWebStringId.Dashboard.ComponentName': string;
    'DashboardWebStringId.ButtonConfirm': string;
    'DashboardWebStringId.Colorization.GroupInterval': string;
    'DashboardWebStringId.ButtonOn': string;
    'DashboardWebStringId.ButtonOff': string;
    'DashboardWebStringId.ButtonYes': string;
    'DashboardWebStringId.ButtonNo': string;
    'DashboardWebStringId.ButtonDiscrete': string;
    'DashboardWebStringId.ButtonContinuous': string;
    'DashboardWebStringId.ButtonVisible': string;
    'DashboardWebStringId.ButtonHidden': string;
    'DashboardWebStringId.Calculations.PreviousValuesCount': string;
    'DashboardWebStringId.Calculations.NextValuesCount': string;
    'DashboardWebStringId.Calculations.RankType': string;
    'DashboardWebStringId.Calculations.RankOrder': string;
    'DashboardWebStringId.TileOptions': string;
    'DashboardWebStringId.MapLockNavigationLocked': string;
    'DashboardWebStringId.MapLockNavigationUnlocked': string;
    'DashboardWebStringId.ConditionalFormatting.BarOptions': string;
    'DashboardWebStringId.ConditionalFormatting.CalculatedBy': string;
    'DashboardWebStringId.ConditionalFormatting.IconType': string;
    'DashboardStringId.FormatRulePredefinedColor': string;
    'DashboardStringId.FormatRuleCustomColor': string;
    'DashboardWebStringId.FormatConditionPredefinedAppearanceCaption': string;
    'DashboardWebStringId.FormatConditionCustomAppearanceCaption': string;
    'DashboardWebStringId.FormatConditionRangeSetNoStyleCaption': string;
    'DashboardWebStringId.EditorAutomaticValue': string;
    'DashboardWebStringId.ConditionalFormatting.Save': string;
    'DashboardWebStringId.ConditionalFormatting.AppearanceType': string;
    'DashboardWebStringId.ConditionalFormatting.FontStyle': string;
    'DashboardWebStringId.ConditionalFormatting.FontFamily': string;
    'DashboardWebStringId.ConditionalFormatting.FontRegular': string;
    'DashboardWebStringId.ConditionalFormatting.CustomStyleSettings': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.None': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode': string;
    'DashboardWebStringId.ConditionalFormatting.GradientRangeBar': string;
    'DashboardWebStringId.ConditionalFormatting.RangeGradient': string;
    'DashboardWebStringId.ConditionalFormatting.SegmentNumber': string;
    'DashboardWebStringId.ConditionalFormatting.ValueComparison': string;
    'DashboardWebStringId.ConditionalFormatting.Ranges': string;
    'DashboardWebStringId.ConditionalFormatting.AverageType': string;
    'DashboardWebStringId.ConditionalFormatting.Above': string;
    'DashboardWebStringId.ConditionalFormatting.AboveOrEqual': string;
    'DashboardWebStringId.ConditionalFormatting.Below': string;
    'DashboardWebStringId.ConditionalFormatting.BelowOrEqual': string;
    'DashboardWebStringId.ConditionalFormatting.StyleSettingsType': string;
    'DashboardWebStringId.ConditionalFormatting.Positive': string;
    'DashboardWebStringId.ConditionalFormatting.Negative': string;
    'DashboardWebStringId.ConditionalFormatting.MinimumType': string;
    'DashboardWebStringId.ConditionalFormatting.MaximumType': string;
    'DashboardWebStringId.ConditionalFormatting.DateType': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNone': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringToday': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem': string;
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard': string;
    'DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue': string;
    'DashboardWebStringId.Colorization.NoSelectedSchema': string;
    'DashboardWebStringId.Colorization.ColorSchemes': string;
    'DashboardWebStringId.LayoutHasBeenChangedDialogMessage': string;
    'DashboardWebStringId.SaveConfirmationDialogMessage': string;
    'DashboardWebStringId.SaveChangesDialogMessage': string;
    'DashboardWebStringId.Dialog.Save': string;
    'DashboardWebStringId.Dialog.DoNotSave': string;
    'DashboardWebStringId.Dialog.UnsupportedCalculatedField': string;
    'DashboardWebStringId.Colorization.ColorSchemeType': string;
    'DashboardWebStringId.Colorization.MeasureNames': string;
    'DashboardWebStringId.Colorization.AddColor': string;
    'DashboardWebStringId.Colorization.ValidationSelectMeasure': string;
    'DashboardWebStringId.ColoringModeAuto': string;
    'DashboardWebStringId.ColoringModeOff': string;
    'DashboardWebStringId.ColoringModeOn': string;
    'DashboardWebStringId.ColorScheme.Empty': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage': string;
    'DashboardWebStringId.ConditionalFormatting.Miscellaneous': string;
    'DashboardWebStringId.Dashboards': string;
    'DashboardWebStringId.EditInDesigner': string;
    'DashboardWebStringId.NoDashboards': string;
    'DashboardWebStringId.AddNewDashboard': string;
    'DashboardWebStringId.NewDashboard': string;
    'DashboardWebStringId.Binding.Searching': string;
    'DashboardWebStringId.Binding.EmptySearchResult': string;
    'DashboardWebStringId.Errors.AttemptToLoadData': string;
    'DashboardWebStringId.ConditionType': string;
    'DashboardWebStringId.ConditionalFormatting.UnsupportedDataType': string;
    'DashboardWebStringId.FormatRule': string;
    'DashboardWebStringId.Notification.DashboardSaving': string;
    'DashboardWebStringId.Notification.DashboardSaved': string;
    'DashboardWebStringId.Notification.DashboardCanNotBeSaved': string;
    'DashboardWebStringId.Notification.DashboardSavingIsNotAvailable': string;
    'DashboardWebStringId.Notification.AttemptToLoadDashboards': string;
    'DashboardWebStringId.Notification.DashboardLoading': string;
    'DashboardWebStringId.Notification.AttemptToLoadDashboard': string;
    'DashboardWebStringId.Notification.AttemptToConnectionStrings': string;
    'DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode': string;
    'DashboardWebStringId.Notification.AttemptToLoadParameterValues': string;
    'DashboardWebStringId.Notification.AttemptToGetUnderlyingData': string;
    'DashboardWebStringId.Notification.AttemptToConvertItemToType': string;
    'DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues': string;
    'DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource': string;
    'DashboardWebStringId.Notification.AttemptToGetColorScheme': string;
    'DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies': string;
    'DashboardWebStringId.Notification.AttemptToPerformExport': string;
    'DashboardWebStringId.Notification.NewDashboardCannotBeCreated': string;
    'DashboardWebStringId.Notification.ErrorHasOccuredOn': string;
    'DashboardWebStringId.Notification.UnsupportedDataSourceType': string;
    'DashboardWebStringId.Notification.QueryDoesNotExist': string;
    'DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded': string;
    'DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip': string;
    'DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip': string;
    'DashboardWebStringId.ConditionalFormatting.Condition': string;
    'DashboardWebStringId.CardLayout.MinWidth': string;
    'DashboardWebStringId.CardLayout.MaxWidth': string;
    'DashboardWebStringId.CardLayout.Editor.CardLayout': string;
    'DashboardWebStringId.CardLayout.Editor.FormatOptions': string;
    'DashboardWebStringId.CardLayout.LayoutOptions': string;
    'DashboardWebStringId.CardLayout.ResetTemplate': string;
    'DashboardWebStringId.CardLayout.ApplyToAllCards': string;
    'DashboardWebStringId.Binding.ValuesPattern': string;
    'DashboardWebStringId.Parameters.ParameterNameShouldBeUnique': string;
    'DashboardWebStringId.Title.ImageEmbedded': string;
    'DashboardWebStringId.Title.ImageLinked': string;
    'DashboardWebStringId.Title.ImageNone': string;
    'DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod': string;
    'DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod': string;
    'DashboardWebStringId.MobileLayout.Back': string;
    'DashboardWebStringId.MobileLayout.SwitchToViewer': string;
    'DashboardWebStringId.Search': string;
    'DashboardWebStringId.SearchFontFamilies': string;
    'DashboardStringId.DefaultNameTabPage': string;
    'DashboardStringId.DefaultNameChartPane': string;
    'DashboardStringId.DefaultNameChartIndicator': string;
    'DashboardStringId.NewCalculatedFieldNamePrefix': string;
    'DashboardStringId.NewParameterNamePrefix': string;
    'AnalyticsCoreStringId.Parameter_Type_String': string;
    'AnalyticsCoreStringId.Parameter_Type_DateTime': string;
    'AnalyticsCoreStringId.Parameter_Type_Int16': string;
    'AnalyticsCoreStringId.Parameter_Type_Int32': string;
    'AnalyticsCoreStringId.Parameter_Type_Int64': string;
    'AnalyticsCoreStringId.Parameter_Type_Float': string;
    'AnalyticsCoreStringId.Parameter_Type_Double': string;
    'AnalyticsCoreStringId.Parameter_Type_Decimal': string;
    'AnalyticsCoreStringId.Parameter_Type_Boolean': string;
    'AnalyticsCoreStringId.Parameter_Type_Guid': string;
    'AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption': string;
    'DataAccessUIStringId.FiltersView': string;
    'DashboardStringId.SeriesTypeGroupArea': string;
    'DashboardStringId.SeriesTypeGroupBar': string;
    'DashboardStringId.SeriesTypeGroupBubble': string;
    'DashboardStringId.SeriesTypeGroupFinancial': string;
    'DashboardStringId.SeriesTypeGroupPointLine': string;
    'DashboardStringId.SeriesTypeGroupRange': string;
    'DashboardStringId.FunctionCategoryWindow': string;
    'DashboardStringId.FunctionCategoryAggregate': string;
    'DashboardStringId.FunctionCategoryAdvanced': string;
    'DashboardStringId.FunctionDescriptionRunningCustomAggregate': string;
    'DashboardStringId.FunctionDescriptionWindowCustomAggregate': string;
    'DashboardStringId.FunctionDescriptionWindowAvg': string;
    'DashboardStringId.FunctionDescriptionRunningMin': string;
    'DashboardStringId.FunctionDescriptionTotal': string;
    'DashboardStringId.FunctionDescriptionRankCompetition': string;
    'DashboardStringId.FunctionDescriptionLookup': string;
    'DashboardStringId.FunctionDescriptionRunningCount': string;
    'DashboardStringId.FunctionDescriptionWindowMax': string;
    'DashboardStringId.FunctionDescriptionVarp': string;
    'DashboardStringId.FunctionDescriptionRunningAvg': string;
    'DashboardStringId.FunctionDescriptionFirst': string;
    'DashboardStringId.FunctionDescriptionWindowMin': string;
    'DashboardStringId.FunctionDescriptionWindowStdDev': string;
    'DashboardStringId.FunctionDescriptionLast': string;
    'DashboardStringId.FunctionDescriptionWindowCount': string;
    'DashboardStringId.FunctionDescriptionCountDistinct': string;
    'DashboardStringId.FunctionDescriptionIndex': string;
    'DashboardStringId.FunctionDescriptionWindowStdDevp': string;
    'DashboardStringId.FunctionDescriptionWindowMode': string;
    'DashboardStringId.FunctionDescriptionRunningMax': string;
    'DashboardStringId.FunctionDescriptionRankPercentile': string;
    'DashboardStringId.FunctionDescriptionRankDense': string;
    'DashboardStringId.FunctionDescriptionWindowSum': string;
    'DashboardStringId.FunctionDescriptionWindowCountDistinct': string;
    'DashboardStringId.FunctionDescriptionStdDevp': string;
    'DashboardStringId.FunctionDescriptionSize': string;
    'DashboardStringId.FunctionDescriptionMedian': string;
    'DashboardStringId.FunctionDescriptionRankModified': string;
    'DashboardStringId.FunctionDescriptionWindowMedian': string;
    'DashboardStringId.FunctionDescriptionRunningSum': string;
    'DashboardStringId.FunctionDescriptionWindowVarp': string;
    'DashboardStringId.FunctionDescriptionWindowVar': string;
    'DashboardStringId.FunctionDescriptionStdDev': string;
    'DashboardStringId.FunctionDescriptionRankUnique': string;
    'DashboardStringId.FunctionDescriptionVar': string;
    'DashboardStringId.FunctionDescriptionAggr': string;
    'DashboardStringId.FunctionDescriptionAggrJoinRule': string;
    'DashboardStringId.FunctionDescriptionWindowDefinition': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc': string;
    'DashboardStringId.AggregateExFunctionDescriptionCountNotNull': string;
    'DashboardStringId.AggregateExFunctionDescriptionMode': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear': string;
    'DashboardStringId.FunctionDescriptionGetDateWeekYear': string;
    'DashboardStringId.FunctionDescriptionGetDateWeekYear2': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime': string;
    'DashboardStringId.SparklineIndicationModeLine': string;
    'DashboardStringId.SparklineIndicationModeArea': string;
    'DashboardStringId.SparklineIndicationModeBar': string;
    'DashboardStringId.SparklineIndicationModeWinLoss': string;
    'DashboardStringId.DefaultNameDateFilterItem': string;
    'DashboardWebStringId.DateFilter.FilterType': string;
    'DashboardWebStringId.DateFilter.FilterTypeExact': string;
    'DashboardWebStringId.DateFilter.FilterTypeAfter': string;
    'DashboardWebStringId.DateFilter.FilterTypeBefore': string;
    'DashboardWebStringId.DateFilter.FilterTypeBetween': string;
    'DashboardWebStringId.DateFilter.ArrangementMode': string;
    'DashboardWebStringId.DateFilter.ArrangementModeAutoHeight': string;
    'DashboardWebStringId.DateFilter.ArrangementModeHorizontal': string;
    'DashboardWebStringId.DateFilter.ArrangementModeVertical': string;
    'DashboardWebStringId.DateFilter.DatePickerLocation': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationFar': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationNear': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationHidden': string;
    'DashboardStringId.DateFilterDisplayTextPattern': string;
    'DashboardStringId.DateFilterDatePickerButtonDefaultText': string;
    'DashboardStringId.FromDatePeriodCaption': string;
    'DashboardStringId.ToDatePeriodCaption': string;
    'DashboardStringId.FromToDatePeriodCaption': string;
    'DashboardStringId.UniqueNameValidationMessage': string;
    'DashboardStringId.NumberRangeValidationMessage': string;
    'DashboardStringId.GridTotalAutoTemplate': string;
    'DashboardStringId.GridTotalValueTemplate': string;
    'DashboardStringId.GridTotalTemplate': string;
    'DashboardStringId.GridTotalTypeCount': string;
    'DashboardStringId.GridTotalTypeMin': string;
    'DashboardStringId.GridTotalTypeMax': string;
    'DashboardStringId.GridTotalTypeAvg': string;
    'DashboardStringId.GridTotalTypeSum': string;
    'DashboardStringId.GridTotalTypeAuto': string;
    'DashboardStringId.ActionShowDataInspector': string;
    'DashboardStringId.InspectedData': string;
    'DashboardStringId.InspectedTypeFormatString': string;
    'DashboardStringId.AggregatedDataType': string;
    'DashboardStringId.RawDataType': string;
    'DashboardStringId.OLAPUnavailableRawData': string;
    'DashboardStringId.SparklineValuesSeparator': string;
    'DashboardStringId.SparklineArgumentValueSeparator': string;
    'DashboardStringId.DataInspectorButtonClose': string;
    'DashboardWebStringId.Grid.FilterClause.ApplyFilter': string;
    'DashboardWebStringId.Grid.FilterClause.ResetOperation': string;
    'DashboardWebStringId.Grid.FilterClause.Contains': string;
    'DashboardWebStringId.Grid.FilterClause.DoesNotContain': string;
    'DashboardWebStringId.Grid.FilterClause.StartsWith': string;
    'DashboardWebStringId.Grid.FilterClause.EndsWith': string;
    'DashboardWebStringId.Grid.FilterClause.Equals': string;
    'DashboardWebStringId.Grid.FilterClause.DoesNotEqual': string;
    'DashboardWebStringId.Grid.FilterClause.Less': string;
    'DashboardWebStringId.Grid.FilterClause.Greater': string;
    'DashboardWebStringId.Grid.FilterClause.LessOrEqual': string;
    'DashboardWebStringId.Grid.FilterClause.GreaterOrEqual': string;
    'DashboardWebStringId.Grid.FilterClause.Between': string;
    'DashboardWebStringId.Grid.FilterClause.BetweenStart': string;
    'DashboardWebStringId.Grid.FilterClause.BetweenEnd': string;
    'DashboardWebStringId.AccordionTab.Content': string;
    'DashboardWebStringId.TextBoxItemEditor.NoFields': string;
    'DashboardWebStringId.TextBoxItemEditor.InsertField': string;
    'DashboardWebStringId.TextBoxItemEditor.EditTextButton': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogCaption': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogClose': string;
    'DashboardStringId.StartDate': string;
    'DashboardStringId.EndDate': string;
    'DashboardWebStringId.AccordionTab.MeasureFilter': string;
    'DashboardStringId.FunctionDescriptionAggregateFilter': string;
    'DashboardWebStringId.TabPages': string;
    'DashboardWebStringId.More': string;
    'DashboardStringId.MeasureFilterCaptionFormatString': string;
    'DashboardWebStringId.AccordionTab.ItemFilter': string;
    'DashboardWebStringId.AccordionTab.VisibleDataFilter': string;
    'DashboardStringId.LayoutDimensionModeAuto': string;
    'DashboardStringId.LayoutDimensionModeFixed': string;
    'DashboardWebStringId.DesignerToolbar.Width': string;
    'DashboardWebStringId.DesignerToolbar.Height': string;
    'DashboardWebStringId.DesignerToolbar.Pixels': string;
    'DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError': string;
    'DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage': string;
    'DevExpressWebStringId.AriaLabel.EmptyDashboardItem': string;
    'DevExpressWebStringId.AriaLabel.DashboardItem': string;
    'DevExpressWebStringId.AriaLabel.DashboardMasterFilter': string;
    'DevExpressWebStringId.AriaLabel.DashboardItemUpdated': string;
    'DevExpressWebStringId.AriaLabel.DashboardTitle': string;
};
export type DashboardLocalizationId = keyof typeof defaultLocalization;
export declare function tryLocalize(key: DashboardLocalizationId | string): any;
export declare function getLocalizationById(key: DashboardLocalizationId): any;
export declare function formatLocalizable(localizationId: DashboardLocalizationId, arg1: any): any;
export declare function getDefaultLocalization(): {
    'DashboardStringId.ActionClearMasterFilter': string;
    'DashboardStringId.ActionClearSelection': string;
    'DashboardStringId.ActionOtherValues': string;
    'DashboardStringId.ActionDrillUp': string;
    'DashboardStringId.ActionExportTo': string;
    'DashboardStringId.ActionExportToPdf': string;
    'DashboardStringId.ActionExportToImage': string;
    'DashboardStringId.ActionExportToExcel': string;
    'DashboardStringId.RangeFilterCustomDateTimePeriod': string;
    'DashboardStringId.ActionExportTemplate': string;
    'DashboardStringId.ActionAllowMultiselection': string;
    'DashboardStringId.DashboardNullValue': string;
    'DashboardStringId.TopNOthersValue': string;
    'DashboardStringId.DashboardErrorValue': string;
    'DashboardStringId.DateTimeQuarterFormat': string;
    'DashboardStringId.MessageLoading': string;
    'DashboardStringId.ParametersFormCaption': string;
    'DashboardStringId.ParametersSelectorText': string;
    'DashboardStringId.ParametersFormAllowNullColumnCaption': string;
    'DashboardStringId.ParametersFormValueColumnCaption': string;
    'DashboardStringId.ParametersFormNameColumnCaption': string;
    'DashboardStringId.ButtonOK': string;
    'DashboardStringId.ButtonCancel': string;
    'DashboardStringId.SelectDate': string;
    'DashboardStringId.ButtonReset': string;
    'DashboardStringId.ButtonSubmit': string;
    'DashboardStringId.ButtonApply': string;
    'DashboardStringId.ButtonExport': string;
    'DashboardStringId.GridResetColumnWidths': string;
    'DashboardStringId.GridSortAscending': string;
    'DashboardStringId.GridSortDescending': string;
    'DashboardStringId.GridClearSorting': string;
    'DashboardStringId.PivotGridTotal': string;
    'DashboardStringId.PivotGridGrandTotal': string;
    'DashboardStringId.ChartTotalValue': string;
    'DashboardStringId.PageLayout': string;
    'DashboardStringId.PageLayoutAuto': string;
    'DashboardStringId.PageLayoutPortrait': string;
    'DashboardStringId.PageLayoutLandscape': string;
    'DashboardStringId.PaperKind': string;
    'DashboardStringId.PaperKindLetter': string;
    'DashboardStringId.PaperKindLegal': string;
    'DashboardStringId.PaperKindExecutive': string;
    'DashboardStringId.PaperKindA5': string;
    'DashboardStringId.PaperKindA4': string;
    'DashboardStringId.PaperKindA3': string;
    'DashboardStringId.ScaleMode': string;
    'DashboardStringId.ScaleModeNone': string;
    'DashboardStringId.ScaleModeUseScaleFactor': string;
    'DashboardStringId.ScaleModeAutoFitToPagesWidth': string;
    'DashboardStringId.AutoFitPageCount': string;
    'DashboardStringId.ScaleFactor': string;
    'DashboardStringId.PrintHeadersOnEveryPage': string;
    'DashboardStringId.FitToPageWidth': string;
    'DashboardStringId.SizeMode': string;
    'DashboardStringId.SizeModeNone': string;
    'DashboardStringId.SizeModeStretch': string;
    'DashboardStringId.SizeModeZoom': string;
    'DashboardStringId.AutoArrangeContent': string;
    'DashboardStringId.ImageFormat': string;
    'DashboardStringId.ExcelFormat': string;
    'DashboardStringId.CsvValueSeparator': string;
    'DashboardStringId.ExportFilters': string;
    'DashboardStringId.ExportParameters': string;
    'DashboardStringId.DashboardStatePosition': string;
    'DashboardStringId.Resolution': string;
    'DashboardStringId.ShowTitle': string;
    'DashboardStringId.Title': string;
    'DashboardStringId.FileName': string;
    'DashboardStringId.FilterStatePresentationAfter': string;
    'DashboardStringId.FilterStatePresentationAfterAndSplitPage': string;
    'DashboardStringId.FilterStatePresentationSplitSheet': string;
    'DashboardStringId.MessageCustomItemIsNotSupported': string;
    'DashboardStringId.MessageGridHasNoData': string;
    'DashboardStringId.MessagePivotHasNoData': string;
    'DashboardStringId.SparklineTooltipStartValue': string;
    'DashboardStringId.SparklineTooltipEndValue': string;
    'DashboardStringId.SparklineTooltipMinValue': string;
    'DashboardStringId.SparklineTooltipMaxValue': string;
    'DashboardStringId.OpenCaption': string;
    'DashboardStringId.HighCaption': string;
    'DashboardStringId.LowCaption': string;
    'DashboardStringId.CloseCaption': string;
    'DashboardStringId.InitialExtent': string;
    'DashboardStringId.FilterElementShowAllItem': string;
    'DashboardStringId.NumericFormatUnitSymbolThousands': string;
    'DashboardStringId.NumericFormatUnitSymbolMillions': string;
    'DashboardStringId.NumericFormatUnitSymbolBillions': string;
    'DashboardStringId.ActionSelectDateTimePeriod': string;
    'DashboardStringId.RangeFilterSelectRange': string;
    'DashboardStringId.FilterElementCheckedComboBoxNoDataCaption': string;
    'DashboardStringId.FilterElementRadioComboBoxNoDataCaption': string;
    'DashboardStringId.FilterElementNoDataToDisplay': string;
    'DashboardWebStringId.FilterElementCheckedComboBoxSelected': string;
    'DashboardStringId.RangeFilterSelectRangeFromCaption': string;
    'DashboardStringId.RangeFilterSelectRangeToCaption': string;
    'DashboardWebStringId.DashboardParameters': string;
    'DashboardStringId.DataSourceDataMember': string;
    'DashboardStringId.DescriptionMeasures': string;
    'DashboardWebStringId.TextBoxFormatText': string;
    'DashboardStringId.NumericFormatUnitCaption': string;
    'DashboardWebStringId.SummaryType': string;
    'DashboardStringId.CalculationTypeExpression': string;
    'DevExpressWebStringId.CalculatedFieldDataType': string;
    'DashboardStringId.ValueCaption': string;
    'DashboardStringId.Value1Caption': string;
    'DashboardStringId.Value2Caption': string;
    'DashboardStringId.CommandFormatRuleTopBottom': string;
    'DashboardStringId.CommandFormatRuleAboveBelowAverage': string;
    'DashboardStringId.CommandFormatRuleBar': string;
    'DashboardStringId.CommandFormatRuleColorRangeBar': string;
    'DashboardStringId.CommandFormatRuleGradientRangeBar': string;
    'DashboardStringId.FormatRuleStyleAppearance': string;
    'DashboardStringId.FormatRuleStyleIcons': string;
    'DashboardStringId.FormatRuleNegativeStyle': string;
    'DashboardStringId.CommandFormatRuleExpression': string;
    'DashboardWebStringId.TopNMode': string;
    'DashboardStringId.CommandFormatRuleRangeSet': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges2': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges3': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges4': string;
    'DashboardStringId.CommandFormatRuleRangeSetRanges5': string;
    'DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges': string;
    'DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges': string;
    'DashboardStringId.CommandFormatRuleValue': string;
    'DashboardStringId.CommandFormatRuleDateOccurring': string;
    'DashboardWebStringId.ConditionalFormatting.Appearance.BackColor': string;
    'DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor': string;
    'DashboardStringId.DescriptionBoundImageAttribute': string;
    'DashboardWebStringId.ShowCaptionText': string;
    'DashboardWebStringId.DisplayItemAsPage': string;
    'DashboardStringId.DefaultNameItemGroup': string;
    'DashboardStringId.DefaultNameTabContainerItem': string;
    'DashboardStringId.DefaultDataSourceName': string;
    'DashboardWebStringId.CrossDataSourceFiltering': string;
    'DashboardStringId.RangeFilterCalculationAlongSeries': string;
    'DashboardStringId.RangeFilterCalculationAlongArgument': string;
    'DashboardStringId.DescriptionItemSeries': string;
    'DashboardStringId.DescriptionSeries': string;
    'DashboardWebStringId.Chart.SeriesType': string;
    'DashboardStringId.DescriptionDimensions': string;
    'DashboardWebStringId.TreeView.AutoExpand': string;
    'DashboardWebStringId.ConditionalFormatting.ConditionMinimum': string;
    'DashboardWebStringId.ConditionalFormatting.ConditionMaximum': string;
    'DashboardStringId.DescriptionItemDimension': string;
    'DashboardStringId.DescriptionItemMeasure': string;
    'DashboardWebStringId.Grid.MergeCells': string;
    'DashboardWebStringId.Grid.ColumnWidthMode': string;
    'DashboardWebStringId.Grid.BandedRows': string;
    'DashboardWebStringId.Grid.VerticalLines': string;
    'DashboardWebStringId.Grid.HorizontalLines': string;
    'DashboardWebStringId.Grid.ColumnHeaders': string;
    'DashboardWebStringId.Grid.WordWrap': string;
    'DashboardWebStringId.Grid.ShowFilterRow': string;
    'DashboardWebStringId.Grid.UpdateTotals': string;
    'DashboardWebStringId.Grid.GridColumnFilter': string;
    'DashboardStringId.ActualValueCaption': string;
    'DashboardStringId.TargetValueCaption': string;
    'DashboardStringId.UriPatternCaption': string;
    'DashboardStringId.UriCaption': string;
    'DashboardStringId.DisplayValueCaption': string;
    'DashboardStringId.WeightCaption': string;
    'DashboardStringId.DescriptionItemColor': string;
    'DashboardStringId.Latitude': string;
    'DashboardStringId.Longitude': string;
    'DashboardWebStringId.GeoPointMapClusterization': string;
    'DashboardWebStringId.MapLockNavigation': string;
    'DashboardWebStringId.WeightedLegendGalleryGroup': string;
    'DashboardStringId.DescriptionItemArgument': string;
    'DashboardWebStringId.PieMapIsWeighted': string;
    'DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters': string;
    'DashboardWebStringId.InteractivityOptions.DrillDown': string;
    'DashboardWebStringId.Pie.ShowCaptions': string;
    'DashboardStringId.DescriptionColumns': string;
    'DashboardStringId.DescriptionRows': string;
    'DashboardStringId.DescriptionValues': string;
    'DashboardStringId.DescriptionArguments': string;
    'DashboardStringId.TextGroupIntervalAlphabetical': string;
    'DashboardStringId.ActionMaximizeDashboardItem': string;
    'DashboardStringId.ActionRestoreDashboardItem': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember': string;
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder': string;
    'DevExpress.DashboardCommon.DashboardParameter.Visible': string;
    'DevExpress.DashboardCommon.DashboardParameter.Description': string;
    'DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect': string;
    'DevExpress.DashboardCommon.DashboardParameter.AllowNull': string;
    'DevExpress.DashboardCommon.DashboardParameter.SelectAllValues': string;
    'DevExpress.DashboardCommon.StaticListLookUpSettings.Values': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.Ascending': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.Descending': string;
    'DevExpress.DashboardCommon.DimensionSortOrder.None': string;
    'DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions': string;
    'DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute': string;
    'DashboardStringId.CommandFormatRuleTopN': string;
    'DashboardWebStringId.Type': string;
    'DashboardWebStringId.Grid.ColumnWidth': string;
    'DashboardWebStringId.AccordionTab.ShowTotals': string;
    'DashboardWebStringId.AccordionTab.Layout': string;
    'DashboardWebStringId.AccordionTab.PivotInitialState': string;
    'DashboardWebStringId.AccordionTab.ImageOptions': string;
    'DashboardWebStringId.AccordionTab.Labels': string;
    'DashboardWebStringId.AccordionTab.MapLegend': string;
    'DashboardWebStringId.AccordionTab.WeightedLegend': string;
    'DashboardWebStringId.AccordionTab.Common': string;
    'DashboardWebStringId.AccordionTab.ChartLegend': string;
    'DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode': string;
    'DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode': string;
    'DashboardWebStringId.Grid.ManualGridColumnWidthMode': string;
    'DashboardStringId.DateTimeIntervalYear': string;
    'DashboardStringId.DateTimeIntervalQuarter': string;
    'DashboardStringId.DateTimeIntervalMonth': string;
    'DashboardStringId.DateTimeIntervalWeek': string;
    'DashboardStringId.DateTimeIntervalDay': string;
    'DashboardStringId.DateTimeIntervalHour': string;
    'DashboardStringId.DateTimeIntervalMinute': string;
    'DashboardStringId.DateTimeIntervalSecond': string;
    'DashboardStringId.DateTimeGroupIntervalYear': string;
    'DashboardStringId.DateTimeGroupIntervalQuarter': string;
    'DashboardStringId.DateTimeGroupIntervalMonth': string;
    'DashboardStringId.DateTimeGroupIntervalDay': string;
    'DashboardStringId.DateTimeGroupIntervalHour': string;
    'DashboardStringId.DateTimeGroupIntervalMinute': string;
    'DashboardStringId.DateTimeGroupIntervalSecond': string;
    'DashboardStringId.DateTimeGroupIntervalDayOfYear': string;
    'DashboardStringId.DateTimeGroupIntervalDayOfWeek': string;
    'DashboardStringId.DateTimeGroupIntervalWeekOfYear': string;
    'DashboardStringId.DateTimeGroupIntervalWeekOfMonth': string;
    'DashboardStringId.DateTimeGroupIntervalMonthYear': string;
    'DashboardStringId.DateTimeGroupIntervalQuarterYear': string;
    'DashboardStringId.DateTimeGroupIntervalWeekYear': string;
    'DashboardStringId.DateTimeGroupIntervalDayMonthYear': string;
    'DashboardStringId.DateTimeGroupIntervalDateHour': string;
    'DashboardStringId.DateTimeGroupIntervalDateHourMinute': string;
    'DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond': string;
    'DashboardStringId.DateTimeGroupIntervalExactDate': string;
    'DashboardStringId.GroupIntervalNone': string;
    'DashboardWebStringId.Treemap.StripedLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm': string;
    'DashboardWebStringId.Treemap.TileLabelsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.TileLabelsNone': string;
    'DashboardWebStringId.Treemap.TileLabelsValue': string;
    'DashboardWebStringId.Treemap.TileLabelsArgument': string;
    'DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.TileTooltipsArgument': string;
    'DashboardWebStringId.Treemap.TileTooltipsValue': string;
    'DashboardWebStringId.Treemap.TileTooltipsNone': string;
    'DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection': string;
    'DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection': string;
    'DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection': string;
    'DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection': string;
    'DashboardWebStringId.Treemap.LayoutDirection': string;
    'DashboardWebStringId.Treemap.GroupLabelsNone': string;
    'DashboardWebStringId.Treemap.GroupLabelsArgument': string;
    'DashboardWebStringId.Treemap.GroupLabelsValue': string;
    'DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue': string;
    'DashboardWebStringId.Treemap.GroupTooltipsNone': string;
    'DashboardWebStringId.Treemap.GroupTooltipsArgument': string;
    'DashboardWebStringId.Treemap.GroupTooltipsValue': string;
    'DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue': string;
    'DashboardStringId.RankOrderAscending': string;
    'DashboardStringId.RankOrderDescending': string;
    'DashboardStringId.DateTimeFormatYearFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatYearFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatQuarterFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatMonthFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption': string;
    'DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatLongCaption': string;
    'DashboardStringId.DateTimeFormatDateFormatShortCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption': string;
    'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption': string;
    'DashboardStringId.ExactDateFormatYear': string;
    'DashboardStringId.ExactDateFormatQuarter': string;
    'DashboardStringId.ExactDateFormatMonth': string;
    'DashboardStringId.ExactDateFormatDay': string;
    'DashboardStringId.ExactDateFormatHour': string;
    'DashboardStringId.ExactDateFormatMinute': string;
    'DashboardStringId.ExactDateFormatSecond': string;
    'DashboardWebStringId.FormatType': string;
    'DashboardWebStringId.TopN.Top': string;
    'DashboardWebStringId.TopN.Bottom': string;
    'DashboardWebStringId.DimensionSortBy': string;
    'DashboardStringId.NumericFormatUnitAutoCaption': string;
    'DashboardStringId.NumericFormatFormatTypeAutoCaption': string;
    'DashboardStringId.NumericFormatFormatTypeGeneralCaption': string;
    'DashboardStringId.NumericFormatFormatTypeNumberCaption': string;
    'DashboardStringId.NumericFormatFormatTypeCurrencyCaption': string;
    'DashboardStringId.NumericFormatFormatTypeScientificCaption': string;
    'DashboardStringId.NumericFormatFormatTypePercentCaption': string;
    'DashboardStringId.NumericFormatUnitOnesCaption': string;
    'DashboardStringId.NumericFormatUnitThousandsCaption': string;
    'DashboardStringId.NumericFormatUnitMillionsCaption': string;
    'DashboardStringId.NumericFormatUnitBillionsCaption': string;
    'DashboardStringId.DeltaValueTypeActualValueCaption': string;
    'DashboardStringId.DeltaValueTypeAbsoluteVariationCaption': string;
    'DashboardStringId.DeltaValueTypePercentVariationCaption': string;
    'DashboardStringId.DeltaValueTypePercentOfTargetCaption': string;
    'DashboardStringId.DeltaValueTypeTargetValueCaption': string;
    'DashboardStringId.GaugeScaleLabelFormatCaption': string;
    'DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption': string;
    'DashboardStringId.DeltaIndicationModeLessIsGoodCaption': string;
    'DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption': string;
    'DashboardStringId.DeltaIndicationModeWarningIfLessCaption': string;
    'DashboardStringId.DeltaIndicationModeNoIndicationCaption': string;
    'DashboardStringId.DeltaThresholdTypeAbsolute': string;
    'DashboardStringId.DeltaThresholdTypePercent': string;
    'DashboardStringId.CommandDimensionGroupChildValues': string;
    'DashboardStringId.SeriesTypeBar': string;
    'DashboardStringId.SeriesTypeStackedBar': string;
    'DashboardStringId.SeriesTypeFullStackedBar': string;
    'DashboardStringId.SeriesTypePoint': string;
    'DashboardStringId.SeriesTypeLine': string;
    'DashboardStringId.SeriesTypeStackedLine': string;
    'DashboardStringId.SeriesTypeFullStackedLine': string;
    'DashboardStringId.SeriesTypeStepLine': string;
    'DashboardStringId.SeriesTypeSpline': string;
    'DashboardStringId.SeriesTypeArea': string;
    'DashboardStringId.SeriesTypeStackedArea': string;
    'DashboardStringId.SeriesTypeFullStackedArea': string;
    'DashboardStringId.SeriesTypeStepArea': string;
    'DashboardStringId.SeriesTypeSplineArea': string;
    'DashboardStringId.SeriesTypeStackedSplineArea': string;
    'DashboardStringId.SeriesTypeFullStackedSplineArea': string;
    'DashboardWebStringId.Chart.ShowLegend': string;
    'DashboardStringId.DefaultNameBoundImageItem': string;
    'DashboardStringId.DefaultNameImageItem': string;
    'DashboardStringId.DefaultNameTextBoxItem': string;
    'DashboardStringId.DefaultNameCardItem': string;
    'DashboardStringId.DefaultNameChartItem': string;
    'DashboardStringId.DefaultNameComboBoxItem': string;
    'DashboardStringId.DefaultNameListBoxItem': string;
    'DashboardStringId.DefaultNameTreeViewItem': string;
    'DashboardStringId.DefaultNameGaugeItem': string;
    'DashboardStringId.DefaultNameGridItem': string;
    'DashboardStringId.GridHyperlinkUriPatternErrorMessage': string;
    'DashboardWebStringId.DefaultNameBubbleMapItem': string;
    'DashboardWebStringId.DefaultNameChoroplethMapItem': string;
    'DashboardWebStringId.DefaultNameGeoPointMapItem': string;
    'DashboardWebStringId.DefaultNamePieMapItem': string;
    'DashboardStringId.DefaultNamePieItem': string;
    'DashboardStringId.DefaultNamePivotItem': string;
    'DashboardStringId.DefaultNameRangeFilterItem': string;
    'DashboardStringId.DefaultNameScatterChartItem': string;
    'DashboardStringId.DefaultNameTreemapItem': string;
    'DashboardStringId.DescriptionMaps': string;
    'DashboardStringId.EntireRangePeriodCaption': string;
    'DashboardStringId.CalculationTypePercentOfTotal': string;
    'DashboardStringId.CalculationTypeDifference': string;
    'DashboardStringId.CalculationTypePercentageDifference': string;
    'DashboardStringId.CalculationTypeRunningTotal': string;
    'DashboardStringId.CalculationTypeMovingCalculation': string;
    'DashboardStringId.CalculationTypeRank': string;
    'DashboardStringId.ColorPaletteIndex': string;
    'DashboardStringId.DifferenceCalculationTargetPrevious': string;
    'DashboardStringId.DifferenceCalculationTargetNext': string;
    'DashboardStringId.DifferenceCalculationTargetFirst': string;
    'DashboardStringId.DifferenceCalculationTargetLast': string;
    'DashboardStringId.SummaryTypeCount': string;
    'DashboardStringId.SummaryTypeSum': string;
    'DashboardStringId.SummaryTypeMin': string;
    'DashboardStringId.SummaryTypeMax': string;
    'DashboardStringId.SummaryTypeAverage': string;
    'DashboardStringId.SummaryTypeStdDev': string;
    'DashboardStringId.SummaryTypeStdDevp': string;
    'DashboardStringId.SummaryTypeVar': string;
    'DashboardStringId.SummaryTypeVarp': string;
    'DashboardStringId.SummaryTypeCountDistinct': string;
    'DashboardStringId.SummaryTypeMedian': string;
    'DashboardStringId.SummaryTypeMode': string;
    'DashboardStringId.RankTypeUnique': string;
    'DashboardStringId.RankTypeCompetition': string;
    'DashboardStringId.RankTypeDense': string;
    'DashboardStringId.RankTypeModified': string;
    'DashboardStringId.RankTypePercentile': string;
    'DashboardStringId.CardCalculationAlongCards': string;
    'DashboardStringId.CardCalculationAlongSparklineArgument': string;
    'DashboardStringId.CardCalculationAlongCardsAndSparklineArgument': string;
    'DashboardStringId.CardCalculationAlongSparklineArgumentAndCards': string;
    'DashboardStringId.ChartCalculationAlongArguments': string;
    'DashboardStringId.ChartCalculationAlongSeries': string;
    'DashboardStringId.ChartCalculationAlongArgumentsAndSeries': string;
    'DashboardStringId.ChartCalculationAlongSeriesAndArguments': string;
    'DashboardStringId.GridCalculationAlongRows': string;
    'DashboardStringId.GridCalculationAlongSparklineArgument': string;
    'DashboardStringId.GridCalculationAlongRowsAndSparklineArgument': string;
    'DashboardStringId.GridCalculationAlongSparklineArgumentAndRows': string;
    'DashboardStringId.PivotCalculationAlongColumns': string;
    'DashboardStringId.PivotCalculationAlongRows': string;
    'DashboardStringId.PivotCalculationAlongColumnsAndRows': string;
    'DashboardStringId.PivotCalculationAlongRowsAndColumns': string;
    'DashboardStringId.PivotCalculationAlongGroupsInColumns': string;
    'DashboardStringId.PivotCalculationAlongGroupsInRows': string;
    'DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows': string;
    'DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns': string;
    'DashboardStringId.PieCalculationAlongArguments': string;
    'DashboardStringId.PieCalculationAlongSeries': string;
    'DashboardStringId.PieCalculationAlongArgumentsAndSeries': string;
    'DashboardStringId.PieCalculationAlongSeriesAndArguments': string;
    'DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries': string;
    'DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument': string;
    'DashboardStringId.GaugeCalculationAlongGauges': string;
    'DashboardStringId.ScatterCalculationAlongArguments': string;
    'DashboardStringId.CalculationAlongSpecificDimensions': string;
    'DashboardStringId.CalculatedFieldTypeString': string;
    'DashboardStringId.CalculatedFieldTypeLong': string;
    'DashboardStringId.CalculatedFieldTypeDecimal': string;
    'DashboardStringId.CalculatedFieldTypeBoolean': string;
    'DashboardStringId.CalculatedFieldTypeDateTime': string;
    'DashboardStringId.CalculatedFieldTypeDouble': string;
    'DashboardStringId.CalculatedFieldTypeAuto': string;
    'DashboardStringId.CalculatedFieldTypeObject': string;
    'DashboardStringId.DefaultEFDataSourceName': string;
    'DashboardStringId.DefaultExcelDataSourceName': string;
    'DashboardStringId.DefaultFileExtractDataSourceName': string;
    'DashboardStringId.DefaultFederationDataSourceName': string;
    'DashboardStringId.DefaultObjectDataSourceName': string;
    'DashboardStringId.DefaultOlapDataSourceName': string;
    'DashboardStringId.DefaultSqlDataSourceName': string;
    'DashboardStringId.DefaultJsonDataSourceName': string;
    'DashboardStringId.DefaultMongoDBDataSourceName': string;
    'DashboardStringId.DefaultXpoDataSourceName': string;
    'DashboardStringId.OlapRaggedHierarchyNoneItemCaption': string;
    'DashboardStringId.FormatRuleApplyToColumn': string;
    'DashboardStringId.SeriesTypeSideBySideRangeBar': string;
    'DashboardStringId.SeriesTypeRangeArea': string;
    'DashboardStringId.SeriesTypeHighLowClose': string;
    'DashboardStringId.SeriesTypeCandleStick': string;
    'DashboardStringId.SeriesTypeStock': string;
    'DashboardWebStringId.StyleSettings': string;
    'DashboardStringId.ParametersFormCalendarTodayButton': string;
    'DashboardStringId.TreemapLabelArgumentTemplate': string;
    'DashboardStringId.TreemapLabelValueTemplate': string;
    'DashboardStringId.SearchNullValuePrompt': string;
    'DashboardStringId.CustomItems': string;
    'DashboardStringId.FormatRuleAllowNegativeAxis': string;
    'DashboardStringId.FormatRuleDrawAxis': string;
    'DashboardStringId.FormatRuleShowBarOnly': string;
    'DashboardStringId.CommandFormatRuleBottomN': string;
    'DashboardStringId.FormatConditionAppearanceNone': string;
    'DashboardStringId.FormatConditionAppearanceCustom': string;
    'DashboardStringId.FormatConditionAppearancePaleRed': string;
    'DashboardStringId.FormatConditionAppearancePaleYellow': string;
    'DashboardStringId.FormatConditionAppearancePaleGreen': string;
    'DashboardStringId.FormatConditionAppearancePaleBlue': string;
    'DashboardStringId.FormatConditionAppearancePalePurple': string;
    'DashboardStringId.FormatConditionAppearancePaleCyan': string;
    'DashboardStringId.FormatConditionAppearancePaleOrange': string;
    'DashboardStringId.FormatConditionAppearancePaleGray': string;
    'DashboardStringId.FormatConditionAppearanceRed': string;
    'DashboardStringId.FormatConditionAppearanceYellow': string;
    'DashboardStringId.FormatConditionAppearanceGreen': string;
    'DashboardStringId.FormatConditionAppearanceBlue': string;
    'DashboardStringId.FormatConditionAppearancePurple': string;
    'DashboardStringId.FormatConditionAppearanceCyan': string;
    'DashboardStringId.FormatConditionAppearanceOrange': string;
    'DashboardStringId.FormatConditionAppearanceGray': string;
    'DashboardStringId.FormatConditionAppearanceGradientRed': string;
    'DashboardStringId.FormatConditionAppearanceGradientYellow': string;
    'DashboardStringId.FormatConditionAppearanceGradientGreen': string;
    'DashboardStringId.FormatConditionAppearanceGradientBlue': string;
    'DashboardStringId.FormatConditionAppearanceGradientPurple': string;
    'DashboardStringId.FormatConditionAppearanceGradientCyan': string;
    'DashboardStringId.FormatConditionAppearanceGradientOrange': string;
    'DashboardStringId.FormatConditionAppearanceGradientTransparent': string;
    'DashboardStringId.FormatConditionAppearanceFontBold': string;
    'DashboardStringId.FormatConditionAppearanceFontItalic': string;
    'DashboardStringId.FormatConditionAppearanceFontUnderline': string;
    'DashboardStringId.FormatConditionAppearanceFontGrayed': string;
    'DashboardStringId.FormatConditionAppearanceFontRed': string;
    'DashboardStringId.FormatConditionAppearanceFontYellow': string;
    'DashboardStringId.FormatConditionAppearanceFontGreen': string;
    'DashboardStringId.FormatConditionAppearanceFontBlue': string;
    'DashboardStringId.IntersectionLevelModeFirst': string;
    'DashboardStringId.IntersectionLevelModeLast': string;
    'DashboardStringId.IntersectionLevelModeAuto': string;
    'DashboardStringId.IntersectionLevelModeAll': string;
    'DashboardStringId.IntersectionLevelModeSpecific': string;
    'DashboardStringId.FormatRuleApplyToRow': string;
    'DashboardStringId.FormatRuleApplyTo': string;
    'DashboardStringId.FormatRuleApplyToChartElement': string;
    'DashboardStringId.ChartElementPointCaption': string;
    'DashboardStringId.ChartElementLineOrAreaCaption': string;
    'DashboardWebStringId.FilterItem.AllowEmptyFilter': string;
    'DashboardStringId.FormatConditionAppearanceFontStrikeout': string;
    'DashboardStringId.FormatConditionAutomaticValueType': string;
    'DashboardStringId.FormatConditionNumberValueType': string;
    'DashboardStringId.FormatConditionPercentValueType': string;
    'DashboardStringId.CommandFormatRuleRangeIcons': string;
    'DashboardStringId.CommandFormatRuleGreaterThan': string;
    'DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo': string;
    'DashboardStringId.CommandFormatRuleLessThan': string;
    'DashboardStringId.CommandFormatRuleLessThanOrEqualTo': string;
    'DashboardStringId.CommandFormatRuleEqualTo': string;
    'DashboardStringId.CommandFormatRuleNotEqualTo': string;
    'DashboardStringId.CommandFormatRuleBetween': string;
    'DashboardStringId.CommandFormatRuleNotBetween': string;
    'DashboardStringId.CommandFormatRuleBetweenOrEqual': string;
    'DashboardStringId.CommandFormatRuleNotBetweenOrEqual': string;
    'DashboardStringId.CommandFormatRuleContains': string;
    'DashboardStringId.ColorAutoAssigned': string;
    'DashboardStringId.CalculationTypeNone': string;
    'DashboardStringId.UndoText': string;
    'DashboardStringId.RedoText': string;
    'DashboardStringId.DashboardCurrencyUseCurrentCurrency': string;
    'DashboardStringId.CommandDimensionSortModeDisplayText': string;
    'DashboardStringId.CommandDimensionSortModeValue': string;
    'DashboardStringId.CommandDimensionSortModeID': string;
    'DashboardStringId.CommandDimensionSortModeKey': string;
    'DashboardWebStringId.Chart.AddPane': string;
    'DashboardStringId.MapShapeNoneAttribute': string;
    'DashboardStringId.DefaultPeriodName': string;
    'DashboardStringId.CardLayoutTemplateStretchedCaption': string;
    'DashboardStringId.CardLayoutTemplateCenteredCaption': string;
    'DashboardStringId.CardLayoutTemplateCompactCaption': string;
    'DashboardStringId.CardLayoutTemplateLightweightCaption': string;
    'DashboardStringId.CardLayoutTemplateCustomCaption': string;
    'DashboardStringId.CardLayoutTemplateNoneCaption': string;
    'DashboardStringId.CardRowDataElementTypeTitleCaption': string;
    'DashboardStringId.CardRowDataElementTypeSubtitleCaption': string;
    'DashboardStringId.CardRowDataElementTypeActualValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeTargetValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption': string;
    'DashboardStringId.CardRowDataElementTypePercentVariationCaption': string;
    'DashboardStringId.CardRowDataElementTypePercentOfTargetCaption': string;
    'DashboardStringId.CardRowDataElementTypeDimensionValueCaption': string;
    'DashboardStringId.CardRowDataElementTypeCardNameCaption': string;
    'DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption': string;
    'DashboardStringId.CardRowDataElementTypeSparklineCaption': string;
    'DashboardStringId.FormatRuleApplyToAllElements': string;
    'DashboardWebStringId.FormatRuleApplyToDimensionElement': string;
    'DashboardWebStringId.FormatRuleApplyToTextElement': string;
    'DashboardStringId.FormatRuleDisplayInLegend': string;
    'DashboardStringId.FormatRuleDisplayName': string;
    'DashboardStringId.LegendItemFormatString': string;
    'DashboardWebStringId.Pie.LabelPosition': string;
    'DashboardWebStringId.Pie.LabelPositionOutside': string;
    'DashboardWebStringId.Pie.LabelPositionInside': string;
    'DashboardStringId.IncludeExportDashboardState': string;
    'DashboardStringId.PointLabelContentTypeArgument': string;
    'DashboardStringId.PointLabelContentTypeSeriesName': string;
    'DashboardStringId.PointLabelContentTypeValue': string;
    'DashboardStringId.PointLabelContentTypePercent': string;
    'DashboardWebStringId.DashboardMenu': string;
    'DashboardWebStringId.DashboardMenuNew': string;
    'DashboardWebStringId.DashboardMenuOpen': string;
    'DashboardWebStringId.DashboardMenuSave': string;
    'DashboardWebStringId.DashboardMenuCurrency': string;
    'DashboardWebStringId.DashboardMenuDataSources': string;
    'DashboardWebStringId.DashboardMenuColorScheme': string;
    'DashboardWebStringId.DashboardMenuNewDashboardCreate': string;
    'DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder': string;
    'DashboardWebStringId.Binding.DefaultEmptyPlaceholder': string;
    'DashboardWebStringId.Binding.DefaultSelectedPlaceholder': string;
    'DashboardWebStringId.Binding.DataSource': string;
    'DashboardWebStringId.Binding.Argument': string;
    'DashboardWebStringId.Binding.Attribute': string;
    'DashboardWebStringId.Binding.Sparkline': string;
    'DashboardWebStringId.Binding.Columns': string;
    'DashboardWebStringId.Binding.TooltipDimensions': string;
    'DashboardWebStringId.Binding.TooltipMeasures': string;
    'DashboardWebStringId.Binding.HiddenDimensions': string;
    'DashboardWebStringId.Binding.HiddenMeasures': string;
    'DashboardWebStringId.Binding.AddDimension': string;
    'DashboardWebStringId.Binding.AddMeasure': string;
    'DashboardWebStringId.Binding.AddColumn': string;
    'DashboardWebStringId.Binding.AddRow': string;
    'DashboardWebStringId.Binding.AddValue': string;
    'DashboardWebStringId.Binding.AddSeries': string;
    'DashboardWebStringId.Binding.SetLatitude': string;
    'DashboardWebStringId.Binding.SetLongitude': string;
    'DashboardWebStringId.Binding.SetArgument': string;
    'DashboardWebStringId.Binding.AddArgument': string;
    'DashboardWebStringId.Binding.SetWeight': string;
    'DashboardWebStringId.Binding.SetColor': string;
    'DashboardWebStringId.Binding.SetAttribute': string;
    'DashboardWebStringId.Binding.SetValue': string;
    'DashboardWebStringId.Binding.XAxis': string;
    'DashboardWebStringId.Binding.YAxis': string;
    'DashboardWebStringId.Binding.ConfigureDimension': string;
    'DashboardWebStringId.Binding.ConfigureMeasure': string;
    'DashboardWebStringId.Binding.ConfigureSeries': string;
    'DashboardWebStringId.Binding.ConfigureArgument': string;
    'DashboardWebStringId.Binding.ConfigureValue': string;
    'DashboardWebStringId.Binding.ConfigureAttribute': string;
    'DashboardWebStringId.Binding.ConfigureLatitude': string;
    'DashboardWebStringId.Binding.ConfigureLongitude': string;
    'DashboardWebStringId.Binding.ConfigureColumn': string;
    'DashboardWebStringId.Binding.ConfigureRow': string;
    'DashboardWebStringId.Binding.ConfigureWeight': string;
    'DashboardWebStringId.Binding.ConfigureColor': string;
    'DashboardWebStringId.Binding.ShowAll': string;
    'DashboardWebStringId.ColorScheme.Color': string;
    'DashboardWebStringId.ColorScheme.Colors': string;
    'DashboardWebStringId.Parameters.ParameterList': string;
    'DashboardWebStringId.Parameters.AddParameter': string;
    'DashboardWebStringId.Parameters.AddParameter.Tooltip': string;
    'DashboardWebStringId.Parameters.NoSelectedParameter': string;
    'DashboardWebStringId.Parameters.Reorder': string;
    'DashboardWebStringId.Parameters.Done': string;
    'DashboardWebStringId.Currency.Currency': string;
    'DashboardWebStringId.Currency.CurrencyCulture': string;
    'DashboardWebStringId.Currency.DefaultCurrencyWarning': string;
    'DashboardWebStringId.Preview': string;
    'DashboardWebStringId.Add': string;
    'DashboardWebStringId.DataSources.UsedDataSources': string;
    'DashboardWebStringId.DataSources.DataItems': string;
    'DashboardWebStringId.DataSources.AddQuery': string;
    'DashboardWebStringId.DataSources.ManageQueries': string;
    'DashboardWebStringId.DataSources.AddCalculatedField': string;
    'DashboardWebStringId.DataSources.AddDataSource': string;
    'DashboardWebStringId.DataSources.RenameDataSource': string;
    'DashboardWebStringId.DataSources.NoUsedDataSources': string;
    'DashboardWebStringId.DataSources.NoAvailableDataSources': string;
    'DashboardWebStringId.DataSources.ChooseDataSource': string;
    'DashboardWebStringId.DataSources.CreateDataSource': string;
    'DashboardWebStringId.DataSources.CreateNewDataSource': string;
    'DashboardWebStringId.DataSources.CreateDataSource.Tooltip': string;
    'DashboardWebStringId.DataSources.EditCalculatedField': string;
    'DashboardWebStringId.DataSources.CalculatedField.Name': string;
    'DashboardWebStringId.DataSources.CalculatedField.FieldType': string;
    'DashboardWebStringId.DataSources.CalculatedField.UniqueNameError': string;
    'DashboardWebStringId.DataSources.CalculatedField.Corrupted': string;
    'DashboardWebStringId.DataSources.Edit': string;
    'DashboardWebStringId.DataSources.Rename': string;
    'DashboardWebStringId.DataSources.NewDataSourceName': string;
    'DashboardWebStringId.DataSources.DataSourceNameExistsMessage': string;
    'DashboardStringId.MessageCollectionTypesNotSupported': string;
    'DashboardWebStringId.New.DashboardName': string;
    'DashboardWebStringId.Bindings': string;
    'DashboardWebStringId.Interactivity': string;
    'DashboardWebStringId.Filters': string;
    'DashboardWebStringId.Options': string;
    'DashboardWebStringId.Remove': string;
    'DashboardWebStringId.MasterFilterMode': string;
    'DashboardWebStringId.Title.Text': string;
    'DashboardWebStringId.Title.Visible': string;
    'DashboardWebStringId.Title.IncludeMasterFilter': string;
    'DashboardWebStringId.Title.Aligment': string;
    'DashboardWebStringId.Title.Image': string;
    'DashboardWebStringId.DataSources.Cancel': string;
    'DashboardWebStringId.DataSources.IncludeToTheDashboard': string;
    'DashboardWebStringId.DataSources.AvailableDataSourcesError': string;
    'DashboardWebStringId.DataSources.DashboardDataSourceWizard': string;
    'DashboardWebStringId.Viewer': string;
    'DashboardWebStringId.Loading': string;
    'DashboardWebStringId.ClickHereInvitation': string;
    'DashboardWebStringId.BindDataInvitation': string;
    'DashboardWebStringId.AddItemInvitation': string;
    'DashboardWebStringId.Parameters.Values': string;
    'DashboardWebStringId.Binding.Cards': string;
    'DashboardWebStringId.Binding.AddCard': string;
    'DashboardWebStringId.Binding.ConfigureCard': string;
    'DashboardWebStringId.Binding.AddValues': string;
    'DashboardWebStringId.Binding.ConfigureValues': string;
    'DashboardWebStringId.Binding.Maps': string;
    'DashboardWebStringId.Binding.AddMap': string;
    'DashboardWebStringId.Binding.ConfigureMap': string;
    'DashboardWebStringId.Binding.Gauges': string;
    'DashboardWebStringId.Binding.AddGauge': string;
    'DashboardWebStringId.Binding.ConfigureGauge': string;
    'DashboardWebStringId.InteractivityOptions': string;
    'DashboardWebStringId.Binding.Values': string;
    'DashboardWebStringId.Binding.RemovePane': string;
    'DashboardWebStringId.ClickToSetFilterCriteria': string;
    'DashboardWebStringId.DataSources.OK': string;
    'DashboardWebStringId.DataSources.Save': string;
    'DashboardWebStringId.Cards.ArrangementMode': string;
    'DashboardWebStringId.Cards.ArrangementMode.Auto': string;
    'DashboardWebStringId.Cards.ArrangementMode.FixedRows': string;
    'DashboardWebStringId.Cards.ArrangementMode.FixedColumns': string;
    'DashboardWebStringId.Cards.LineCount': string;
    'DashboardWebStringId.ConditionalFormatting': string;
    'DashboardWebStringId.CollectionEditor.NoItems': string;
    'DashboardWebStringId.CollectionEditor.Totals.NoItems': string;
    'DashboardWebStringId.CollectionEditor.Parameters.NoItems': string;
    'DashboardWebStringId.PivotGrid.AutoExpandColumnGroups': string;
    'DashboardWebStringId.PivotGrid.AutoExpandRowGroups': string;
    'DashboardWebStringId.PivotGrid.ColumnGrandTotals': string;
    'DashboardWebStringId.PivotGrid.RowGrandTotals': string;
    'DashboardWebStringId.PivotGrid.ColumnTotals': string;
    'DashboardWebStringId.PivotGrid.RowTotals': string;
    'DashboardWebStringId.PivotGrid.ValuesPosition': string;
    'DashboardWebStringId.PivotGrid.ValuesPositionColumns': string;
    'DashboardWebStringId.PivotGrid.ValuesPositionRows': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPosition': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPositionBottom': string;
    'DashboardWebStringId.PivotGrid.RowTotalsPositionTop': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPosition': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar': string;
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear': string;
    'DashboardWebStringId.PivotGrid.LayoutType': string;
    'DashboardWebStringId.PivotGrid.LayoutTypeCompact': string;
    'DashboardWebStringId.PivotGrid.LayoutTypeTabular': string;
    'DashboardWebStringId.Options.Caption': string;
    'DashboardWebStringId.InteractivityOptions.IsMasterFilter': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.None': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single': string;
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Series': string;
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Points': string;
    'DashboardWebStringId.ColoringOptions': string;
    'DashboardWebStringId.DataSources.Filter': string;
    'DashboardWebStringId.Chart.Rotated': string;
    'DashboardWebStringId.Chart.Panes': string;
    'DashboardWebStringId.Chart.Legend': string;
    'DashboardWebStringId.Chart.AxisX': string;
    'DashboardWebStringId.Chart.AxisY': string;
    'DashboardWebStringId.Chart.AxisYSecondary': string;
    'DashboardWebStringId.Chart.PointLabelOptions': string;
    'DashboardWebStringId.Chart.AxisXMeasure': string;
    'DashboardWebStringId.Chart.AxisYMeasure': string;
    'DashboardWebStringId.Chart.Weight': string;
    'DashboardWebStringId.Chart.Content': string;
    'DashboardWebStringId.Chart.ArgumentAndWeight': string;
    'DashboardWebStringId.Chart.ArgumentAndValues': string;
    'DashboardWebStringId.Chart.Reverse': string;
    'DashboardWebStringId.Chart.Visible': string;
    'DashboardWebStringId.Chart.Title': string;
    'DashboardWebStringId.Chart.TitleText': string;
    'DashboardWebStringId.Chart.EnableZooming': string;
    'DashboardWebStringId.Chart.LimitVisiblePoints': string;
    'DashboardWebStringId.Chart.VisiblePointsCount': string;
    'DashboardWebStringId.Chart.AlwaysShowZeroLevel': string;
    'DashboardWebStringId.Chart.GridLines': string;
    'DashboardWebStringId.Chart.LogarithmicScale': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase2': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase5': string;
    'DashboardWebStringId.Chart.LogarithmicScaleBase10': string;
    'DashboardWebStringId.Chart.Position': string;
    'DashboardWebStringId.Chart.IsInsideOfDiagram': string;
    'DashboardWebStringId.Chart.PrimaryAxisY': string;
    'DashboardWebStringId.Chart.SecondaryAxisY': string;
    'DashboardWebStringId.Chart.Name': string;
    'DashboardWebStringId.Chart.PlotOnSecondaryAxis': string;
    'DashboardWebStringId.Chart.IgnoreEmptyPoints': string;
    'DashboardWebStringId.Chart.ShowPointMarkers': string;
    'DashboardWebStringId.Chart.Value': string;
    'DashboardWebStringId.Chart.ShowZeroValues': string;
    'DashboardWebStringId.Chart.OverlappingMode': string;
    'DashboardWebStringId.Chart.Orientation': string;
    'DashboardWebStringId.Chart.ShowPointLablels': string;
    'DashboardWebStringId.Chart.TooltipContent': string;
    'DashboardWebStringId.Chart.LabelContent': string;
    'DashboardWebStringId.Card.SparklineOptions': string;
    'DashboardWebStringId.Card.SparklineVisible': string;
    'DashboardWebStringId.Chart.Position.TopLeftVertical': string;
    'DashboardWebStringId.Chart.Position.TopLeftHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopCenterHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopRightVertical': string;
    'DashboardWebStringId.Chart.Position.TopRightHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomLeftVertical': string;
    'DashboardWebStringId.Chart.Position.BottomLeftHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomCenterHorizontal': string;
    'DashboardWebStringId.Chart.Position.BottomRightVertical': string;
    'DashboardWebStringId.Chart.Position.BottomRightHorizontal': string;
    'DashboardWebStringId.Chart.Position.TopCenterVertical': string;
    'DashboardWebStringId.Chart.Position.BottomCenterVertical': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Empty': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Solid': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dash': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dot': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDot': string;
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot': string;
    'DashboardWebStringId.Chart.Indicator.Type': string;
    'DashboardWebStringId.Chart.Indicator.Type.Regression': string;
    'DashboardWebStringId.Chart.Indicator.Type.Trend': string;
    'DashboardWebStringId.Chart.Indicator.LegendText': string;
    'DashboardWebStringId.Chart.Indicator.ShowInLegend': string;
    'DashboardWebStringId.Chart.Indicator.Thickness': string;
    'DashboardWebStringId.Chart.Indicator.ValueLevel': string;
    'DashboardWebStringId.Chart.Indicator.ValueLevel.Value': string;
    'DashboardWebStringId.Chart.Indicator.Visible': string;
    'DashboardWebStringId.Chart.Indicator.Color': string;
    'DashboardWebStringId.Chart.Indicator.Value': string;
    'DashboardWebStringId.Chart.Indicators': string;
    'DashboardWebStringId.Chart.IndicatorSettings': string;
    'DashboardWebStringId.FilterItem.Type': string;
    'DashboardWebStringId.FilterItem.Type.Standard': string;
    'DashboardWebStringId.FilterItem.Type.Checked': string;
    'DashboardWebStringId.FilterItem.Type.Radio': string;
    'DashboardWebStringId.FilterItem.ShowAllValue': string;
    'DashboardWebStringId.FilterItem.EnableSearch': string;
    'DashboardWebStringId.Gauge.Min': string;
    'DashboardWebStringId.Gauge.Max': string;
    'DashboardWebStringId.Gauge.ScaleOptions': string;
    'DashboardWebStringId.Gauge.Type': string;
    'DashboardWebStringId.Gauge.Type.FullQuarterGauge': string;
    'DashboardWebStringId.Gauge.Type.HalfCircular': string;
    'DashboardWebStringId.Gauge.Type.LeftQuarterCircular': string;
    'DashboardWebStringId.Gauge.Type.RightQuarterCircular': string;
    'DashboardWebStringId.Gauge.Type.ThreeFourthCircular': string;
    'DashboardWebStringId.Gauge.Type.LinearHorizontal': string;
    'DashboardWebStringId.Gauge.Type.LinearVertical': string;
    'DashboardWebStringId.Gauge.Captions': string;
    'DashboardWebStringId.Gauge.Scale.Custom': string;
    'DashboardWebStringId.Gauge.Scale.Auto': string;
    'DashboardWebStringId.Grid.ColumnType': string;
    'DashboardWebStringId.Grid.DisplayMode': string;
    'DashboardWebStringId.Grid.DisplayMode.Value': string;
    'DashboardWebStringId.Grid.DisplayMode.Bar': string;
    'DashboardWebStringId.Grid.DisplayMode.Text': string;
    'DashboardWebStringId.Grid.DisplayMode.Image': string;
    'DashboardWebStringId.Grid.FixedWidth': string;
    'DashboardWebStringId.Grid.WidthType': string;
    'DashboardWebStringId.Grid.WidthType.Weight': string;
    'DashboardWebStringId.Grid.WidthType.FitToContent': string;
    'DashboardWebStringId.Grid.DeltaOptions': string;
    'DashboardWebStringId.Grid.ShowStartEndValues': string;
    'DashboardWebStringId.Grid.TotalType': string;
    'DashboardWebStringId.Grid.Dimension': string;
    'DashboardWebStringId.Grid.Measure': string;
    'DashboardWebStringId.Grid.Delta': string;
    'DashboardWebStringId.Grid.Sparkline': string;
    'DashboardWebStringId.Grid.Hyperlink': string;
    'DashboardWebStringId.Grid.Options': string;
    'DashboardWebStringId.Map.ShapeFileLoaded': string;
    'DashboardWebStringId.Map.AttributeFileLoaded': string;
    'DashboardWebStringId.Map.ValueMap': string;
    'DashboardWebStringId.Map.DeltaMap': string;
    'DashboardWebStringId.Map.TooltipCaption': string;
    'DashboardWebStringId.Map.TooltipActualValueCaption': string;
    'DashboardWebStringId.Map.TooltipDeltaCaption': string;
    'DashboardWebStringId.Map.CustomMapOptions': string;
    'DashboardWebStringId.Map.CustomMapOptionsSource': string;
    'DashboardWebStringId.Map.CustomMapOptionsUrl': string;
    'DashboardWebStringId.Map.CustomMapOptionsFile': string;
    'DashboardWebStringId.Map.CustomMapUrl': string;
    'DashboardWebStringId.Map.CustomMapFile': string;
    'DashboardWebStringId.Map.CustomAttributeFile': string;
    'DashboardWebStringId.Map.AttributeDimension': string;
    'DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle': string;
    'DashboardWebStringId.Map.AttributeName': string;
    'DashboardWebStringId.Map.TooltipAttribute': string;
    'DashboardWebStringId.Map.TooltipDimensions': string;
    'DashboardWebStringId.Map.Area.Custom': string;
    'DashboardWebStringId.Map.Area.WorldCountries': string;
    'DashboardWebStringId.Map.Area.Europe': string;
    'DashboardWebStringId.Map.Area.Asia': string;
    'DashboardWebStringId.Map.Area.NorthAmerica': string;
    'DashboardWebStringId.Map.Area.SouthAmerica': string;
    'DashboardWebStringId.Map.Area.Africa': string;
    'DashboardWebStringId.Map.Area.USA': string;
    'DashboardWebStringId.Map.Area.Canada': string;
    'DashboardWebStringId.Map.Viewport': string;
    'DashboardWebStringId.Map.ShapeTitleAttribute': string;
    'DashboardWebStringId.Map.UseBindingAttribute': string;
    'DashboardWebStringId.Map.WeightedLegendType': string;
    'DashboardWebStringId.Map.WeightedLegendType.Linear': string;
    'DashboardWebStringId.Map.WeightedLegendType.Nested': string;
    'DashboardWebStringId.Map.Orientation.Vertical': string;
    'DashboardWebStringId.Map.Orientation.Horizontal': string;
    'DashboardWebStringId.Map.Position.TopLeft': string;
    'DashboardWebStringId.Map.Position.TopCenter': string;
    'DashboardWebStringId.Map.Position.TopRight': string;
    'DashboardWebStringId.Map.Position.BottomLeft': string;
    'DashboardWebStringId.Map.Position.BottomCenter': string;
    'DashboardWebStringId.Map.Position.BottomRight': string;
    'DashboardWebStringId.Map.Viewport.TopLatitude': string;
    'DashboardWebStringId.Map.Viewport.LeftLongitude': string;
    'DashboardWebStringId.Map.Viewport.RightLongitude': string;
    'DashboardWebStringId.Map.Viewport.BottomLatitude': string;
    'DashboardWebStringId.Map.Viewport.CenterPointLatitude': string;
    'DashboardWebStringId.Map.Viewport.CenterPointLongitude': string;
    'DashboardWebStringId.Map.Viewport.CreateViewerPaddings': string;
    'DashboardWebStringId.Map.ShowLegend': string;
    'DashboardWebStringId.Map.ShowWeightedLegend': string;
    'DashboardWebStringId.Pie.Type': string;
    'DashboardWebStringId.Pie': string;
    'DashboardWebStringId.Pie.Donut': string;
    'DashboardWebStringId.Pie.LabelContentType.None': string;
    'DashboardWebStringId.Pie.LabelContentType.Argument': string;
    'DashboardWebStringId.Pie.LabelContentType.Percent': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent': string;
    'DashboardWebStringId.Pie.LabelContentType.Value': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue': string;
    'DashboardWebStringId.Pie.LabelContentType.ValueAndPercent': string;
    'DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent': string;
    'DashboardWebStringId.Image.BindingMode': string;
    'DashboardWebStringId.Image.BindingMode.BinaryArray': string;
    'DashboardWebStringId.Image.BindingMode.Uri': string;
    'DashboardWebStringId.RangeFilter.UriPattern': string;
    'DashboardWebStringId.Image.SizeMode.Clip': string;
    'DashboardWebStringId.Image.SizeMode.Stretch': string;
    'DashboardWebStringId.Image.SizeMode.Zoom': string;
    'DashboardWebStringId.Image.SizeMode.Squeeze': string;
    'DashboardWebStringId.Image.HorizontalAlignment': string;
    'DashboardWebStringId.Image.VerticalAlignment': string;
    'DashboardWebStringId.Image.Alignment.Left': string;
    'DashboardWebStringId.Image.Alignment.Center': string;
    'DashboardWebStringId.Image.Alignment.Right': string;
    'DashboardWebStringId.Image.Alignment.Top': string;
    'DashboardWebStringId.Image.Alignment.Bottom': string;
    'DashboardWebStringId.SeriesItem.SeriesDimensions': string;
    'DashboardWebStringId.TextBox.Text': string;
    'DashboardWebStringId.Chart.Orientation.Default': string;
    'DashboardWebStringId.Chart.Orientation.RotateRight': string;
    'DashboardWebStringId.Chart.Orientation.RotateLeft': string;
    'DashboardWebStringId.Chart.OverlappingMode.Hide': string;
    'DashboardWebStringId.Chart.OverlappingMode.None': string;
    'DashboardWebStringId.Chart.Position.Outside': string;
    'DashboardWebStringId.Chart.Position.Inside': string;
    'DashboardWebStringId.Chart.SeriesType.Weighted': string;
    'DashboardWebStringId.Coloring.MeasuresColoringMode': string;
    'DashboardWebStringId.Coloring.Global': string;
    'DashboardWebStringId.Coloring.Local': string;
    'DashboardWebStringId.Delta.ValueType': string;
    'DashboardWebStringId.Delta.ResultIndication': string;
    'DashboardWebStringId.Delta.ThresholdType': string;
    'DashboardWebStringId.Delta.ThresholdValue': string;
    'DashboardWebStringId.Sparkline.ViewType': string;
    'DashboardWebStringId.Sparkline.HighlightMinMaxPoints': string;
    'DashboardWebStringId.Sparkline.HighlightStartEndPoints': string;
    'DashboardWebStringId.Title.Aligment.Left': string;
    'DashboardWebStringId.Title.Aligment.Center': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.StaticList': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList': string;
    'DashboardWebStringId.Parameters.LookUpSettingsType': string;
    'DashboardWebStringId.Parameters.DefaultValue': string;
    'DashboardWebStringId.DataItem': string;
    'DashboardWebStringId.DataItem.Precision': string;
    'DashboardWebStringId.DataItem.IncludeGroupSeparator': string;
    'DashboardWebStringId.DataItem.ShowValues': string;
    'DashboardWebStringId.DataItem.ShowTotals': string;
    'DashboardWebStringId.DataItem.ShowGrandTotals': string;
    'DashboardWebStringId.Dialog.ConfirmSaving': string;
    'DashboardWebStringId.Dialog.Warning': string;
    'DashboardWebStringId.Dimension.GroupInterval': string;
    'DashboardWebStringId.Dimension.SortMode': string;
    'DashboardWebStringId.Dialog.ArgumentMode': string;
    'DashboardWebStringId.Calculations': string;
    'DashboardWebStringId.Calculations.Expression': string;
    'DashboardWebStringId.Calculations.DifferenceCalculation': string;
    'DashboardWebStringId.Calculations.Moving': string;
    'DashboardWebStringId.Calculations.RunningTotal': string;
    'DashboardWebStringId.Calculations.PercentOfTotal': string;
    'DashboardWebStringId.Calculations.Rank': string;
    'DashboardWebStringId.Calculations.DefinitionMode': string;
    'DashboardWebStringId.Calculations.WindowDefinition': string;
    'DashboardWebStringId.Calculations.WindowDefinitionModeSpecific': string;
    'DashboardWebStringId.Calculations.WindowDefinitionModePredefined': string;
    'DashboardWebStringId.Calculations.DifferenceType': string;
    'DashboardWebStringId.TreemapLayoutAlgorithm': string;
    'DashboardWebStringId.TilesLabelContentType': string;
    'DashboardWebStringId.TilesTooltipContentType': string;
    'DashboardWebStringId.GroupsLabelContentType': string;
    'DashboardWebStringId.GroupsTooltipContentType': string;
    'DashboardWebStringId.ShowOthersValue': string;
    'DashboardWebStringId.TopNEnabled': string;
    'DashboardWebStringId.Parameters.StaticListLookUpSettings': string;
    'DashboardWebStringId.Parameters.DynamicListLookUpSettings': string;
    'DashboardWebStringId.ConvertTo': string;
    'DashboardWebStringId.Duplicate': string;
    'DashboardWebStringId.DataSourceWizard': string;
    'DashboardWebStringId.RangeFilter.CustomPeriods': string;
    'DashboardWebStringId.RangeFilter.StartMode': string;
    'DashboardWebStringId.RangeFilter.EndMode': string;
    'DashboardWebStringId.RangeFilter.StartIntervalAndOffset': string;
    'DashboardWebStringId.RangeFilter.EndIntervalAndOffset': string;
    'DashboardWebStringId.RangeFilter.StartDate': string;
    'DashboardWebStringId.RangeFilter.EndDate': string;
    'DashboardWebStringId.RangeFilter.None': string;
    'DashboardWebStringId.RangeFilter.Fixed': string;
    'DashboardWebStringId.RangeFilter.Flow': string;
    'DashboardWebStringId.Tabs.Binding': string;
    'DashboardWebStringId.Tabs.DataShaping': string;
    'DashboardWebStringId.Tabs.Format': string;
    'DashboardWebStringId.Calculations.Types.Moving': string;
    'DashboardWebStringId.Parameters.SortByMember': string;
    'DashboardWebStringId.Parameters.LookUpSettingsTypeCaption': string;
    'DashboardWebStringId.Dashboard.Items': string;
    'DashboardWebStringId.Dashboard.Groups': string;
    'DashboardWebStringId.Dashboard.LayoutItems': string;
    'DashboardWebStringId.Dashboard.ComponentName': string;
    'DashboardWebStringId.ButtonConfirm': string;
    'DashboardWebStringId.Colorization.GroupInterval': string;
    'DashboardWebStringId.ButtonOn': string;
    'DashboardWebStringId.ButtonOff': string;
    'DashboardWebStringId.ButtonYes': string;
    'DashboardWebStringId.ButtonNo': string;
    'DashboardWebStringId.ButtonDiscrete': string;
    'DashboardWebStringId.ButtonContinuous': string;
    'DashboardWebStringId.ButtonVisible': string;
    'DashboardWebStringId.ButtonHidden': string;
    'DashboardWebStringId.Calculations.PreviousValuesCount': string;
    'DashboardWebStringId.Calculations.NextValuesCount': string;
    'DashboardWebStringId.Calculations.RankType': string;
    'DashboardWebStringId.Calculations.RankOrder': string;
    'DashboardWebStringId.TileOptions': string;
    'DashboardWebStringId.MapLockNavigationLocked': string;
    'DashboardWebStringId.MapLockNavigationUnlocked': string;
    'DashboardWebStringId.ConditionalFormatting.BarOptions': string;
    'DashboardWebStringId.ConditionalFormatting.CalculatedBy': string;
    'DashboardWebStringId.ConditionalFormatting.IconType': string;
    'DashboardStringId.FormatRulePredefinedColor': string;
    'DashboardStringId.FormatRuleCustomColor': string;
    'DashboardWebStringId.FormatConditionPredefinedAppearanceCaption': string;
    'DashboardWebStringId.FormatConditionCustomAppearanceCaption': string;
    'DashboardWebStringId.FormatConditionRangeSetNoStyleCaption': string;
    'DashboardWebStringId.EditorAutomaticValue': string;
    'DashboardWebStringId.ConditionalFormatting.Save': string;
    'DashboardWebStringId.ConditionalFormatting.AppearanceType': string;
    'DashboardWebStringId.ConditionalFormatting.FontStyle': string;
    'DashboardWebStringId.ConditionalFormatting.FontFamily': string;
    'DashboardWebStringId.ConditionalFormatting.FontRegular': string;
    'DashboardWebStringId.ConditionalFormatting.CustomStyleSettings': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.None': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension': string;
    'DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode': string;
    'DashboardWebStringId.ConditionalFormatting.GradientRangeBar': string;
    'DashboardWebStringId.ConditionalFormatting.RangeGradient': string;
    'DashboardWebStringId.ConditionalFormatting.SegmentNumber': string;
    'DashboardWebStringId.ConditionalFormatting.ValueComparison': string;
    'DashboardWebStringId.ConditionalFormatting.Ranges': string;
    'DashboardWebStringId.ConditionalFormatting.AverageType': string;
    'DashboardWebStringId.ConditionalFormatting.Above': string;
    'DashboardWebStringId.ConditionalFormatting.AboveOrEqual': string;
    'DashboardWebStringId.ConditionalFormatting.Below': string;
    'DashboardWebStringId.ConditionalFormatting.BelowOrEqual': string;
    'DashboardWebStringId.ConditionalFormatting.StyleSettingsType': string;
    'DashboardWebStringId.ConditionalFormatting.Positive': string;
    'DashboardWebStringId.ConditionalFormatting.Negative': string;
    'DashboardWebStringId.ConditionalFormatting.MinimumType': string;
    'DashboardWebStringId.ConditionalFormatting.MaximumType': string;
    'DashboardWebStringId.ConditionalFormatting.DateType': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNone': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringToday': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond': string;
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear': string;
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem': string;
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard': string;
    'DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue': string;
    'DashboardWebStringId.Colorization.NoSelectedSchema': string;
    'DashboardWebStringId.Colorization.ColorSchemes': string;
    'DashboardWebStringId.LayoutHasBeenChangedDialogMessage': string;
    'DashboardWebStringId.SaveConfirmationDialogMessage': string;
    'DashboardWebStringId.SaveChangesDialogMessage': string;
    'DashboardWebStringId.Dialog.Save': string;
    'DashboardWebStringId.Dialog.DoNotSave': string;
    'DashboardWebStringId.Dialog.UnsupportedCalculatedField': string;
    'DashboardWebStringId.Colorization.ColorSchemeType': string;
    'DashboardWebStringId.Colorization.MeasureNames': string;
    'DashboardWebStringId.Colorization.AddColor': string;
    'DashboardWebStringId.Colorization.ValidationSelectMeasure': string;
    'DashboardWebStringId.ColoringModeAuto': string;
    'DashboardWebStringId.ColoringModeOff': string;
    'DashboardWebStringId.ColoringModeOn': string;
    'DashboardWebStringId.ColorScheme.Empty': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip': string;
    'DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage': string;
    'DashboardWebStringId.ConditionalFormatting.Miscellaneous': string;
    'DashboardWebStringId.Dashboards': string;
    'DashboardWebStringId.EditInDesigner': string;
    'DashboardWebStringId.NoDashboards': string;
    'DashboardWebStringId.AddNewDashboard': string;
    'DashboardWebStringId.NewDashboard': string;
    'DashboardWebStringId.Binding.Searching': string;
    'DashboardWebStringId.Binding.EmptySearchResult': string;
    'DashboardWebStringId.Errors.AttemptToLoadData': string;
    'DashboardWebStringId.ConditionType': string;
    'DashboardWebStringId.ConditionalFormatting.UnsupportedDataType': string;
    'DashboardWebStringId.FormatRule': string;
    'DashboardWebStringId.Notification.DashboardSaving': string;
    'DashboardWebStringId.Notification.DashboardSaved': string;
    'DashboardWebStringId.Notification.DashboardCanNotBeSaved': string;
    'DashboardWebStringId.Notification.DashboardSavingIsNotAvailable': string;
    'DashboardWebStringId.Notification.AttemptToLoadDashboards': string;
    'DashboardWebStringId.Notification.DashboardLoading': string;
    'DashboardWebStringId.Notification.AttemptToLoadDashboard': string;
    'DashboardWebStringId.Notification.AttemptToConnectionStrings': string;
    'DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode': string;
    'DashboardWebStringId.Notification.AttemptToLoadParameterValues': string;
    'DashboardWebStringId.Notification.AttemptToGetUnderlyingData': string;
    'DashboardWebStringId.Notification.AttemptToConvertItemToType': string;
    'DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues': string;
    'DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource': string;
    'DashboardWebStringId.Notification.AttemptToGetColorScheme': string;
    'DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies': string;
    'DashboardWebStringId.Notification.AttemptToPerformExport': string;
    'DashboardWebStringId.Notification.NewDashboardCannotBeCreated': string;
    'DashboardWebStringId.Notification.ErrorHasOccuredOn': string;
    'DashboardWebStringId.Notification.UnsupportedDataSourceType': string;
    'DashboardWebStringId.Notification.QueryDoesNotExist': string;
    'DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded': string;
    'DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip': string;
    'DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip': string;
    'DashboardWebStringId.ConditionalFormatting.Condition': string;
    'DashboardWebStringId.CardLayout.MinWidth': string;
    'DashboardWebStringId.CardLayout.MaxWidth': string;
    'DashboardWebStringId.CardLayout.Editor.CardLayout': string;
    'DashboardWebStringId.CardLayout.Editor.FormatOptions': string;
    'DashboardWebStringId.CardLayout.LayoutOptions': string;
    'DashboardWebStringId.CardLayout.ResetTemplate': string;
    'DashboardWebStringId.CardLayout.ApplyToAllCards': string;
    'DashboardWebStringId.Binding.ValuesPattern': string;
    'DashboardWebStringId.Parameters.ParameterNameShouldBeUnique': string;
    'DashboardWebStringId.Title.ImageEmbedded': string;
    'DashboardWebStringId.Title.ImageLinked': string;
    'DashboardWebStringId.Title.ImageNone': string;
    'DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod': string;
    'DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod': string;
    'DashboardWebStringId.MobileLayout.Back': string;
    'DashboardWebStringId.MobileLayout.SwitchToViewer': string;
    'DashboardWebStringId.Search': string;
    'DashboardWebStringId.SearchFontFamilies': string;
    'DashboardStringId.DefaultNameTabPage': string;
    'DashboardStringId.DefaultNameChartPane': string;
    'DashboardStringId.DefaultNameChartIndicator': string;
    'DashboardStringId.NewCalculatedFieldNamePrefix': string;
    'DashboardStringId.NewParameterNamePrefix': string;
    'AnalyticsCoreStringId.Parameter_Type_String': string;
    'AnalyticsCoreStringId.Parameter_Type_DateTime': string;
    'AnalyticsCoreStringId.Parameter_Type_Int16': string;
    'AnalyticsCoreStringId.Parameter_Type_Int32': string;
    'AnalyticsCoreStringId.Parameter_Type_Int64': string;
    'AnalyticsCoreStringId.Parameter_Type_Float': string;
    'AnalyticsCoreStringId.Parameter_Type_Double': string;
    'AnalyticsCoreStringId.Parameter_Type_Decimal': string;
    'AnalyticsCoreStringId.Parameter_Type_Boolean': string;
    'AnalyticsCoreStringId.Parameter_Type_Guid': string;
    'AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption': string;
    'DataAccessUIStringId.FiltersView': string;
    'DashboardStringId.SeriesTypeGroupArea': string;
    'DashboardStringId.SeriesTypeGroupBar': string;
    'DashboardStringId.SeriesTypeGroupBubble': string;
    'DashboardStringId.SeriesTypeGroupFinancial': string;
    'DashboardStringId.SeriesTypeGroupPointLine': string;
    'DashboardStringId.SeriesTypeGroupRange': string;
    'DashboardStringId.FunctionCategoryWindow': string;
    'DashboardStringId.FunctionCategoryAggregate': string;
    'DashboardStringId.FunctionCategoryAdvanced': string;
    'DashboardStringId.FunctionDescriptionRunningCustomAggregate': string;
    'DashboardStringId.FunctionDescriptionWindowCustomAggregate': string;
    'DashboardStringId.FunctionDescriptionWindowAvg': string;
    'DashboardStringId.FunctionDescriptionRunningMin': string;
    'DashboardStringId.FunctionDescriptionTotal': string;
    'DashboardStringId.FunctionDescriptionRankCompetition': string;
    'DashboardStringId.FunctionDescriptionLookup': string;
    'DashboardStringId.FunctionDescriptionRunningCount': string;
    'DashboardStringId.FunctionDescriptionWindowMax': string;
    'DashboardStringId.FunctionDescriptionVarp': string;
    'DashboardStringId.FunctionDescriptionRunningAvg': string;
    'DashboardStringId.FunctionDescriptionFirst': string;
    'DashboardStringId.FunctionDescriptionWindowMin': string;
    'DashboardStringId.FunctionDescriptionWindowStdDev': string;
    'DashboardStringId.FunctionDescriptionLast': string;
    'DashboardStringId.FunctionDescriptionWindowCount': string;
    'DashboardStringId.FunctionDescriptionCountDistinct': string;
    'DashboardStringId.FunctionDescriptionIndex': string;
    'DashboardStringId.FunctionDescriptionWindowStdDevp': string;
    'DashboardStringId.FunctionDescriptionWindowMode': string;
    'DashboardStringId.FunctionDescriptionRunningMax': string;
    'DashboardStringId.FunctionDescriptionRankPercentile': string;
    'DashboardStringId.FunctionDescriptionRankDense': string;
    'DashboardStringId.FunctionDescriptionWindowSum': string;
    'DashboardStringId.FunctionDescriptionWindowCountDistinct': string;
    'DashboardStringId.FunctionDescriptionStdDevp': string;
    'DashboardStringId.FunctionDescriptionSize': string;
    'DashboardStringId.FunctionDescriptionMedian': string;
    'DashboardStringId.FunctionDescriptionRankModified': string;
    'DashboardStringId.FunctionDescriptionWindowMedian': string;
    'DashboardStringId.FunctionDescriptionRunningSum': string;
    'DashboardStringId.FunctionDescriptionWindowVarp': string;
    'DashboardStringId.FunctionDescriptionWindowVar': string;
    'DashboardStringId.FunctionDescriptionStdDev': string;
    'DashboardStringId.FunctionDescriptionRankUnique': string;
    'DashboardStringId.FunctionDescriptionVar': string;
    'DashboardStringId.FunctionDescriptionAggr': string;
    'DashboardStringId.FunctionDescriptionAggrJoinRule': string;
    'DashboardStringId.FunctionDescriptionWindowDefinition': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc': string;
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc': string;
    'DashboardStringId.AggregateExFunctionDescriptionCountNotNull': string;
    'DashboardStringId.AggregateExFunctionDescriptionMode': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear': string;
    'DashboardStringId.FunctionDescriptionGetDateWeekYear': string;
    'DashboardStringId.FunctionDescriptionGetDateWeekYear2': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean': string;
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime': string;
    'DashboardStringId.SparklineIndicationModeLine': string;
    'DashboardStringId.SparklineIndicationModeArea': string;
    'DashboardStringId.SparklineIndicationModeBar': string;
    'DashboardStringId.SparklineIndicationModeWinLoss': string;
    'DashboardStringId.DefaultNameDateFilterItem': string;
    'DashboardWebStringId.DateFilter.FilterType': string;
    'DashboardWebStringId.DateFilter.FilterTypeExact': string;
    'DashboardWebStringId.DateFilter.FilterTypeAfter': string;
    'DashboardWebStringId.DateFilter.FilterTypeBefore': string;
    'DashboardWebStringId.DateFilter.FilterTypeBetween': string;
    'DashboardWebStringId.DateFilter.ArrangementMode': string;
    'DashboardWebStringId.DateFilter.ArrangementModeAutoHeight': string;
    'DashboardWebStringId.DateFilter.ArrangementModeHorizontal': string;
    'DashboardWebStringId.DateFilter.ArrangementModeVertical': string;
    'DashboardWebStringId.DateFilter.DatePickerLocation': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationFar': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationNear': string;
    'DashboardWebStringId.DateFilter.DatePickerLocationHidden': string;
    'DashboardStringId.DateFilterDisplayTextPattern': string;
    'DashboardStringId.DateFilterDatePickerButtonDefaultText': string;
    'DashboardStringId.FromDatePeriodCaption': string;
    'DashboardStringId.ToDatePeriodCaption': string;
    'DashboardStringId.FromToDatePeriodCaption': string;
    'DashboardStringId.UniqueNameValidationMessage': string;
    'DashboardStringId.NumberRangeValidationMessage': string;
    'DashboardStringId.GridTotalAutoTemplate': string;
    'DashboardStringId.GridTotalValueTemplate': string;
    'DashboardStringId.GridTotalTemplate': string;
    'DashboardStringId.GridTotalTypeCount': string;
    'DashboardStringId.GridTotalTypeMin': string;
    'DashboardStringId.GridTotalTypeMax': string;
    'DashboardStringId.GridTotalTypeAvg': string;
    'DashboardStringId.GridTotalTypeSum': string;
    'DashboardStringId.GridTotalTypeAuto': string;
    'DashboardStringId.ActionShowDataInspector': string;
    'DashboardStringId.InspectedData': string;
    'DashboardStringId.InspectedTypeFormatString': string;
    'DashboardStringId.AggregatedDataType': string;
    'DashboardStringId.RawDataType': string;
    'DashboardStringId.OLAPUnavailableRawData': string;
    'DashboardStringId.SparklineValuesSeparator': string;
    'DashboardStringId.SparklineArgumentValueSeparator': string;
    'DashboardStringId.DataInspectorButtonClose': string;
    'DashboardWebStringId.Grid.FilterClause.ApplyFilter': string;
    'DashboardWebStringId.Grid.FilterClause.ResetOperation': string;
    'DashboardWebStringId.Grid.FilterClause.Contains': string;
    'DashboardWebStringId.Grid.FilterClause.DoesNotContain': string;
    'DashboardWebStringId.Grid.FilterClause.StartsWith': string;
    'DashboardWebStringId.Grid.FilterClause.EndsWith': string;
    'DashboardWebStringId.Grid.FilterClause.Equals': string;
    'DashboardWebStringId.Grid.FilterClause.DoesNotEqual': string;
    'DashboardWebStringId.Grid.FilterClause.Less': string;
    'DashboardWebStringId.Grid.FilterClause.Greater': string;
    'DashboardWebStringId.Grid.FilterClause.LessOrEqual': string;
    'DashboardWebStringId.Grid.FilterClause.GreaterOrEqual': string;
    'DashboardWebStringId.Grid.FilterClause.Between': string;
    'DashboardWebStringId.Grid.FilterClause.BetweenStart': string;
    'DashboardWebStringId.Grid.FilterClause.BetweenEnd': string;
    'DashboardWebStringId.AccordionTab.Content': string;
    'DashboardWebStringId.TextBoxItemEditor.NoFields': string;
    'DashboardWebStringId.TextBoxItemEditor.InsertField': string;
    'DashboardWebStringId.TextBoxItemEditor.EditTextButton': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogCaption': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose': string;
    'DashboardWebStringId.TextBoxItemEditor.DialogClose': string;
    'DashboardStringId.StartDate': string;
    'DashboardStringId.EndDate': string;
    'DashboardWebStringId.AccordionTab.MeasureFilter': string;
    'DashboardStringId.FunctionDescriptionAggregateFilter': string;
    'DashboardWebStringId.TabPages': string;
    'DashboardWebStringId.More': string;
    'DashboardStringId.MeasureFilterCaptionFormatString': string;
    'DashboardWebStringId.AccordionTab.ItemFilter': string;
    'DashboardWebStringId.AccordionTab.VisibleDataFilter': string;
    'DashboardStringId.LayoutDimensionModeAuto': string;
    'DashboardStringId.LayoutDimensionModeFixed': string;
    'DashboardWebStringId.DesignerToolbar.Width': string;
    'DashboardWebStringId.DesignerToolbar.Height': string;
    'DashboardWebStringId.DesignerToolbar.Pixels': string;
    'DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError': string;
    'DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage': string;
    'DevExpressWebStringId.AriaLabel.EmptyDashboardItem': string;
    'DevExpressWebStringId.AriaLabel.DashboardItem': string;
    'DevExpressWebStringId.AriaLabel.DashboardMasterFilter': string;
    'DevExpressWebStringId.AriaLabel.DashboardItemUpdated': string;
    'DevExpressWebStringId.AriaLabel.DashboardTitle': string;
};
