﻿/**
* DevExpress Dashboard (_rename-data-source-popup.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { RenameDataSourceViewModel } from './_rename-data-source-viewmodel';
export class RenameDataSourcePopup {
    constructor(dataSourceBrowser) {
        this._viewModel = new RenameDataSourceViewModel(dataSourceBrowser);
        this.template = {
            name: 'dx-dashboard-datasources-rename-popup',
            data: this._viewModel
        };
    }
    show(dataSource) {
        this._viewModel.show(dataSource);
    }
}
