﻿/**
* DevExpress Dashboard (chart-indicators-extension.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { extensionNameMap } from '../../common/control-options';
const name = 'chartIndicators';
const nameAlias = 'chart-indicators';
export class ChartIndicatorsExtension {
    get customChartIndicators() {
        return this.options?.customIndicatorTypes;
    }
    constructor(dashboardControl, options) {
        this.dashboardControl = dashboardControl;
        this.options = options;
        this.name = name;
    }
}
extensionNameMap[nameAlias] = name;
