﻿/**
* DevExpress Dashboard (create-dashboard.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { IExtension } from '../../common/common-interfaces';
import { DashboardControl } from '../../common/dashboard-control';
export declare class CreateDashboardExtension implements IExtension {
    private dashboardControl;
    name: string;
    private _newDashboardMenuItem;
    private _viewModel;
    constructor(dashboardControl: DashboardControl);
    start(): void;
    stop(): void;
    showCreateNewDashboard: () => void;
    performCreateDashboard(dashboardName: string, dashboardJson: string): JQueryPromise<void>;
    private _createNewDashboard;
}
