﻿/**
* DevExpress Dashboard (title-settings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IExtension } from '../../common/common-interfaces';
import { DashboardControl } from '../../common/dashboard-control';
import { DisposableObject } from '../../model/disposable-object';
export declare class DashboardTitleEditorExtension extends DisposableObject implements IExtension {
    private dashboardControl;
    name: string;
    private _menuItem;
    private _titlePreviewViewModel;
    private _titleSettingsViewModel;
    private _perDashboardSubscriptions;
    constructor(dashboardControl: DashboardControl);
    start(): void;
    stop(): void;
    dispose(): void;
    private _disposePerDashboardSubscriptions;
    private _updateTitleToolbar;
    private _createTitleSettings;
}
