﻿/**
* DevExpress Dashboard (_base-properties-composer.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class PropertiesComposerBase {
    constructor(_customizeTabs) {
        this._customizeTabs = _customizeTabs;
    }
    composeTabs(model, args) {
        var tabs = this._composeTabsCore(model, args);
        this._customizeTabs(tabs, model, args);
        return tabs;
    }
}
export class DataItemContainerPropertiesComposer extends PropertiesComposerBase {
    constructor(_customizeTabs) {
        super(_customizeTabs);
    }
}
export class DashboardItemPropertiesComposer extends PropertiesComposerBase {
    constructor(_customizeTabs) {
        super(_customizeTabs);
    }
}
