﻿/**
* DevExpress Dashboard (_rich-edit-bindings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export interface DocVariableInfo {
    id: string;
    displayName: string;
}
export interface RichEditorBindingOptions {
    initialDocument: string;
    onSaving: (document: string) => void;
    onRichEditOptionsPrepared: (options: any) => void;
    onRichEditCreated: (instance: any) => void;
    docVariables: DocVariableInfo[];
    dashboardItemWidth?: number;
    forceSave?: () => void;
    documentModified?: () => boolean;
}
