﻿/**
* DevExpress Dashboard (_text-box-item-editor-view-model.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import dxPopup from 'devextreme/ui/popup';
import * as ko from 'knockout';
import { ConfirmDialogViewModel } from '../confirm-dialog/_confirm-dialog';
import { DocVariableInfo } from './_rich-edit-bindings';
export declare class ValueAccessor {
    getValue: () => any;
    setValue: (value: any) => void;
}
export type RichEditBindingCallbacks = {
    onRichEditOptionsPrepared: (options: any) => void;
    onRichEditCreated: (richEdit: any) => void;
};
export declare class RichEditExtensionViewModel {
    private _isCloseConfirmed;
    popup: dxPopup;
    richEditorOptions: ko.Observable<any>;
    show(options: ValueAccessor, docVariables: DocVariableInfo[], dashboardItemWidth: number, callbacks: RichEditBindingCallbacks): void;
    close: () => void;
    saveAndClose: () => void;
    onHidden: () => void;
    onHiding: (args: any) => void;
    onInitialized: (args: any) => void;
    confirmDialogViewModel: ConfirmDialogViewModel;
}
