﻿/**
* DevExpress Dashboard (_dimension-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SerializableModel } from '../serializable-model';
import { definitionInfo } from './metadata/_color-scheme-entry';
export class DimensionDefinition extends SerializableModel {
    constructor(model, serializer, info) {
        super(model, serializer, definitionInfo);
    }
    getInfo() {
        return definitionInfo;
    }
}
