﻿/**
* DevExpress Dashboard (color-scheme-definition.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IDimensionDefinition } from './dimension-key';
export declare class ColorSchemeDefinition {
    dataSource: string;
    dataMember: string;
    dimensionDefinitions: IDimensionDefinition[];
    colorByMeasures: boolean;
    componentName: string;
    private name;
    key: ko.Computed<string>;
    typeText: ko.Computed<string>;
    dataSourceText: ko.Computed<string>;
    dataItems: ko.Computed<string[]>;
    constructor(dataSource: string, dataMember: string, dimensionDefinitions: IDimensionDefinition[], colorByMeasures?: boolean, componentName?: string, name?: string);
    equals(definition: ColorSchemeDefinition): boolean;
    _getDataSourceText(dataSourceName: string): string;
}
