﻿/**
* DevExpress Dashboard (measure-calculation.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
export declare abstract class MeasureCalculation extends SerializableModel {
    protected static _getWindowAggrFunction(summaryType: string): string;
    abstract readonly name: string;
    constructor(modelJson?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
    _getAggrName(summaryType: string): string;
    abstract _createInstance(): any;
    abstract _getExpression(argument: string): string;
}
export declare let calculationsTypesMap: {
    [index: string]: typeof MeasureCalculation;
};
