﻿/**
* DevExpress Dashboard (range-filter-calc-window-definition.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { RangeFilterWindowDefinitionMode } from '../../enums';
import { MeasureCalculationWindowDefinition } from './measure-calc-window-definition';
export declare class RangeFilterWindowDefinition extends MeasureCalculationWindowDefinition {
    definitionMode: ko.Observable<RangeFilterWindowDefinitionMode>;
    constructor(modelJson?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
    equals(def: any): boolean;
}
