﻿/**
* DevExpress Dashboard (window-definition.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { SerializableModel } from '../../serializable-model';
import { MeasureCalculationWindowDefinition } from './measure-calc-window-definition';
export declare class WindowDefinition extends SerializableModel {
    windowDefinitionType: ko.Observable<string>;
    windowDefinition: ko.Observable<MeasureCalculationWindowDefinition>;
    constructor(modelJson?: {}, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
    equals(def: any): any;
    isEmpty(): boolean;
}
