﻿/**
* DevExpress Dashboard (connection.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../serializable-model';
import { connectionSerializationsInfo } from './metadata/_connection';
export class SqlConnection extends SerializableModel {
    getInfo() {
        return connectionSerializationsInfo;
    }
    constructor(connectionJSON, serializer = new ModelSerializer()) {
        super(connectionJSON, serializer);
    }
}
