﻿/**
* DevExpress Dashboard (_mongodb-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { itemType } from '../../metadata/_base-metadata';
import { dataSourceSerializationsInfo } from './_data-source';
export let mongoDBDataSourceSerializationsInfo = dataSourceSerializationsInfo.concat([]);
export let mongoQueryAliasProperty = { propertyName: 'alias', modelName: '@Alias' };
export let collectionNameProperty = { propertyName: 'collectionName', modelName: '@CollectionName' };
export let mongoDBQuerySerializationsInfo = [itemType, mongoQueryAliasProperty, collectionNameProperty];
