﻿/**
* DevExpress Dashboard (sql-data-source.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { ISqlQueryViewModel } from '@devexpress/analytics-core/query-builder/dataSource/utils';
import * as ko from 'knockout';
import { SqlConnection } from './connection';
import { DataSource } from './data-source';
export declare class SqlDataSource extends DataSource {
    queries: ko.ObservableArray<ISqlQueryViewModel>;
    connection: SqlConnection;
    get _isFederationDataProvider(): boolean;
    constructor(dataSourceJSON?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
    getDisplayNamePrefix(): string;
    protected _getDefaultItemType(): string;
}
