﻿/**
* DevExpress Dashboard (format-condition-min-max-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { FormatConditionStyleBase } from './format-condition-style-base';
import { formatConditionMinMaxBaseSerializationsInfo } from './metadata/_format-condition-min-max-base';
export class FormatConditionMinMaxBase extends FormatConditionStyleBase {
    constructor(modelJson, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getInfoButStyleSettings() {
        return formatConditionMinMaxBaseSerializationsInfo;
    }
}
