﻿/**
* DevExpress Dashboard (_format-condition-bar.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { barOptions } from '../../metadata/_format-rules-common';
import { BarStyleSettings } from '../../style-settings/bar-style-settings';
import { formatConditionMinMaxBaseSerializationsInfo } from './_format-condition-min-max-base';
export let barNegativeStyleSettings = { propertyName: 'negativeStyleSettings', modelName: 'NegativeStyleSettings', displayName: 'DashboardStringId.FormatRuleNegativeStyle' };
export let barCurrentStyleSettingsType = {
    propertyName: 'currentStyleSettingsType', displayName: 'DashboardWebStringId.ConditionalFormatting.StyleSettingsType', defaultVal: 'Positive', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Positive': 'DashboardWebStringId.ConditionalFormatting.Positive',
        'Negative': 'DashboardWebStringId.ConditionalFormatting.Negative'
    }
};
export let barCurrentStyleSettings = { propertyName: 'currentStyleSettings', type: BarStyleSettings };
export let formatConditionBarSerializationsInfo = formatConditionMinMaxBaseSerializationsInfo.concat([barNegativeStyleSettings, barOptions]);
