﻿/**
* DevExpress Dashboard (range-set.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { SerializableModel } from '../../../serializable-model';
import { RangeInfo } from './range-info';
export declare class RangeSet extends SerializableModel {
    ranges: ko.ObservableArray<RangeInfo>;
    constructor(modelJson?: any, serializer?: ModelSerializer);
    dispose(): void;
    getInfo(): ISerializationInfoArray;
}
