﻿/**
* DevExpress Dashboard (grid-item-format-rule.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { CellsItemFormatRule } from './cells-item-format-rule';
import { gridItemFormatRuleSerializationsInfo } from './metadata/_grid-item-format-rule';
export class GridItemFormatRule extends CellsItemFormatRule {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return gridItemFormatRuleSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'GridItemFormatRule';
    }
}
