﻿/**
* DevExpress Dashboard (_cells-item-format-rule.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool } from '../../metadata/_base-metadata';
import { dashboardItemFormatRuleSerializationsInfo } from './_dashboard-item-format-rule';
export let applyToRow = { propertyName: 'applyToRow', modelName: '@ApplyToRow', displayName: 'DashboardStringId.FormatRuleApplyToRow', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let formatRuleDataItem = { propertyName: 'dataItemName', modelName: '@DataItem', displayName: 'DashboardWebStringId.ConditionalFormatting.CalculatedBy', simpleFormAdapterItem: 'selectBoxEditor' };
export let dataItemApplyTo = { propertyName: '_dataItemApplyToName', modelName: '@DataItemApplyTo', displayName: 'DashboardStringId.FormatRuleApplyTo', simpleFormAdapterItem: 'selectBoxEditor' };
export let cellsItemFormatRuleSerializationsInfo = dashboardItemFormatRuleSerializationsInfo.concat([applyToRow, formatRuleDataItem, dataItemApplyTo]);
