﻿/**
* DevExpress Dashboard (_client-filter-manager.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '@devexpress/analytics-core/analytics-utils';
export declare class ClientFilterManager extends Disposable {
    private _updateTotals;
    private _filterParams;
    private _filterState;
    constructor(_updateTotals: ko.Observable<boolean>);
    getFilterParams(): string;
    setFilterParams(clientFilter: string): void;
    clearFilterParams(): void;
    setFilterState(filterValue: any): void;
    getFilterState(): any;
}
