﻿/**
* DevExpress Dashboard (_binding-model.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export let _areTheSameBindingProviders = ((a, b) => {
    var bindingsA = a._getBindingModel(), bindingsB = b._getBindingModel();
    if (!bindingsA || !bindingsB)
        return false;
    return (bindingsA
        .filter((binding, index) => bindingsB.some(anotherBinding => anotherBinding.propertyName === binding.propertyName))[1]);
});
