﻿/**
* DevExpress Dashboard (_card-row.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { itemType } from '../../../metadata/_base-metadata';
export let vAlignment = { propertyName: 'vAlignment', modelName: '@VAlignment' };
export let indent = { propertyName: 'indent', modelName: '@Indent' };
export let cardRowBaseSerializationInfo = [vAlignment, indent, itemType];
export let elements = { propertyName: 'elements', modelName: 'CardRowElements', array: true };
export let cardRowSerializationInfo = cardRowBaseSerializationInfo.concat([elements]);
export let height = { propertyName: 'height', modelName: '@Height' };
export let cardSparklineRowOptions = { propertyName: 'sparklineOptions', modelName: 'sparklineOptions' };
export let cardSparklineRowSerializationInfo = cardRowBaseSerializationInfo.concat([height, cardSparklineRowOptions]);
