﻿/**
* DevExpress Dashboard (meta.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SectionOptions } from '../../../designer';
import { CustomPropertyMetadata } from '../../custom-properties/custom-properties-metadata';
import { ICustomItemBinding } from './binding';
import { ICustomItemProperty } from './property';
export interface ICustomItemMetaData {
    bindings?: Array<ICustomItemBinding>;
    properties?: Array<ICustomItemProperty>;
    optionsPanelSections?: Array<SectionOptions>;
    customProperties?: Array<CustomPropertyMetadata>;
    interactivity?: {
        filter?: boolean;
        drillDown?: boolean;
    };
    index?: number;
    groupName?: string;
    icon: string;
    title: string;
}
