﻿/**
* DevExpress Dashboard (gauge.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { KpiElement } from '../kpi/kpi-element';
import { gaugeSerializationsInfo } from './metadata/_gauge';
export class Gauge extends KpiElement {
    constructor(dataItemProvider, modelJson = {}, serializer = new ModelSerializer()) {
        super(dataItemProvider, modelJson, serializer);
        this.__targetValue._specifics.skipFormatting = true;
    }
    _getInfoCore() {
        return gaugeSerializationsInfo;
    }
    _getDefaultItemType() { return 'Gauge'; }
}
