﻿/**
* DevExpress Dashboard (_grid-column-filter-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool, PropertyCategory } from '../../../metadata/_base-metadata';
export let showFilterRow = { propertyName: 'showFilterRow', modelName: '@ShowFilterRow', displayName: 'DashboardWebStringId.Grid.ShowFilterRow', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let updateTotals = { propertyName: 'updateTotals', modelName: '@UpdateTotals', displayName: 'DashboardWebStringId.Grid.UpdateTotals', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let gridColumnFilterOptionsSerializationsInfo = [showFilterRow, updateTotals];
