﻿/**
* DevExpress Dashboard (custom-shape-file.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { customShapefileSerializationsInfo } from './metadata/_custom-shape-file';
import { shapeData } from './metadata/_custom-shape-file-data';
export class CustomShapefile extends SerializableModel {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.data, this.url.subscribe(newUrl => !!newUrl && this.data.shapeData(shapeData.defaultVal)), this.data.shapeData.subscribe(newData => !!newData && this.url(undefined)));
    }
    getInfo() {
        return customShapefileSerializationsInfo;
    }
}
