﻿/**
* DevExpress Dashboard (_chorolpeth-map.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { absoluteVariationNumericFormat, dataItemLinkSerializationsInfo, percentOfTargetNumericFormat, percentVariationNumericFormat } from '../../../data-item/metadata/_data-item';
import { actualValuePropertyName, itemType, name, targetValuePropertyName, valuePropertyName } from '../../../metadata/_base-metadata';
import { DeltaOptions } from '../../options/delta-options';
export let valueName = { propertyName: 'valueName', modelName: '@ValueName', displayName: 'DashboardWebStringId.Map.TooltipCaption', simpleFormAdapterItem: 'textBoxEditor' };
export let chorolpethMapValue = { propertyName: valuePropertyName, modelName: 'Value', info: dataItemLinkSerializationsInfo };
export let valueMapSerializationsInfo = [itemType, name, chorolpethMapValue, valueName];
export let deltaMapActualValue = { propertyName: actualValuePropertyName, modelName: 'ActualValue', displayName: 'DashboardStringId.ActualValueCaption', info: dataItemLinkSerializationsInfo };
export let deltaMapTargetValue = { propertyName: targetValuePropertyName, modelName: 'TargetValue', displayName: 'DashboardStringId.TargetValueCaption', info: dataItemLinkSerializationsInfo };
export let deltaMapDeltaOptions = { propertyName: 'deltaOptions', modelName: 'DeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: DeltaOptions };
export let actualValueName = { propertyName: 'actualValueName', modelName: '@ActualValueName', displayName: 'DashboardWebStringId.Map.TooltipActualValueCaption', simpleFormAdapterItem: 'textBoxEditor' };
export let deltaName = { propertyName: 'deltaName', modelName: '@DeltaName', displayName: 'DashboardWebStringId.Map.TooltipDeltaCaption', simpleFormAdapterItem: 'textBoxEditor' };
export let deltaMapSerializationsInfo = [itemType, name, deltaMapActualValue, deltaMapTargetValue, actualValueName, deltaName, deltaMapDeltaOptions, absoluteVariationNumericFormat, percentVariationNumericFormat, percentOfTargetNumericFormat];
