﻿/**
* DevExpress Dashboard (_custom-shape-file.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { PropertyCategory } from '../../../metadata/_base-metadata';
import { CustomShapefileData } from '../custom-shape-file-data';
export let customShapefileUrl = { propertyName: 'url', modelName: '@Url', displayName: 'DashboardWebStringId.Map.CustomMapUrl', defaultVal: undefined, simpleFormAdapterItem: 'textBoxEditor', editorOptions: { placeholder: 'http://www.example.com/map.shp' }, category: PropertyCategory.Map };
export let customShapefileData = { propertyName: 'data', modelName: 'Data', type: CustomShapefileData };
export let customShapefileSerializationsInfo = [customShapefileUrl, customShapefileData];
