﻿/**
* DevExpress Dashboard (delta-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { cardDeltaOptionsSerializationsInfo, deltaOptionsSerializationsInfo } from './metadata/_delta-options';
export class CardDeltaOptions extends SerializableModel {
    constructor(modelJSON = {}, serializer = new ModelSerializer()) {
        super(modelJSON, serializer);
    }
    getInfo() {
        return cardDeltaOptionsSerializationsInfo;
    }
}
export class DeltaOptions extends CardDeltaOptions {
    constructor(modelJSON = {}, serializer = new ModelSerializer()) {
        super(modelJSON, serializer);
    }
    getInfo() {
        return deltaOptionsSerializationsInfo;
    }
}
