﻿/**
* DevExpress Dashboard (scatter-point-label-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { PointLabelOptionsBase } from '../chart/point-label-options';
import { scatterPointLabelOptionsSerializationsInfo } from './metadata/_scatter-point-label-options';
export class ScatterPointLabelOptions extends PointLabelOptionsBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return scatterPointLabelOptionsSerializationsInfo;
    }
}
