﻿/**
* DevExpress Dashboard (_layout-utils.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
export var _layoutItemTypeMap = {};
export function deserializeDashboardLayoutNode(itemModel, serializer = new ModelSerializer()) {
    var itemType = itemModel['@ItemType'];
    return new _layoutItemTypeMap[itemType](itemModel, serializer);
}
