﻿/**
* DevExpress Dashboard (layout-options.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../serializable-model';
import { LayoutDimensionOptions } from './layout-dimension-options';
export declare class LayoutOptions extends SerializableModel {
    width: LayoutDimensionOptions;
    height: LayoutDimensionOptions;
    constructor(model?: any, serializer?: IModelSerializer, info?: ISerializationInfoArray);
    getInfo(): ISerializationInfoArray;
}
