﻿/**
* DevExpress Dashboard (_layout-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { LayoutDimensionOptions } from '../layout-dimension-options';
import { heightOptionsSerializationInfo, widthOptionsSerializationInfo } from './_layout-dimension-options';
let heightSerializationInfo = { propertyName: 'height', modelName: 'Height', type: LayoutDimensionOptions, info: heightOptionsSerializationInfo };
let widthSerializationInfo = { propertyName: 'width', modelName: 'Width', type: LayoutDimensionOptions, info: widthOptionsSerializationInfo };
export let layoutOptionsSerializationInfo = [heightSerializationInfo, widthSerializationInfo];
