﻿/**
* DevExpress Dashboard (_card-widget-implementation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class CardWidgetImplementation {
    _changed() {
        this._notifyChanged && this._notifyChanged();
    }
    constructor(notifyHandler) {
        this._onCustomizeText = undefined;
        this._cardBackColor = undefined;
        this.element = () => {
            return this._element;
        };
        this._notifyChanged = notifyHandler;
    }
    get onCustomizeText() {
        return this._onCustomizeText;
    }
    set onCustomizeText(value) {
        this._onCustomizeText = value;
        this._changed();
    }
    get cardBackColor() {
        return this._cardBackColor;
    }
    set cardBackColor(value) {
        this._cardBackColor = value;
        this._changed();
    }
    dispose() {
        this._element = null;
    }
}
