﻿/**
* DevExpress Dashboard (_viewer-item-types.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare let types: {
    group: string;
    page: string;
    tabPage: string;
    tabContainer: string;
    rangeFilter: string;
    chart: string;
    scatter: string;
    pie: string;
    card: string;
    grid: string;
    pivot: string;
    gauge: string;
    text: string;
    image: string;
    boundImage: string;
    map: string;
    choroplethMap: string;
    geoPointMap: string;
    bubbleMap: string;
    pieMap: string;
    comboBox: string;
    listBox: string;
    treeView: string;
    treemap: string;
    dateFilter: string;
    custom: string;
};
export type ViewerItemType = typeof types[keyof typeof types];
