﻿/**
* DevExpress Dashboard (_item-loading.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import 'devextreme/ui/toast';
import dxToast from 'devextreme/ui/toast';
export interface IItemLoadingElement {
    show(container: HTMLElement): void;
    hide(): void;
    resize(): void;
    dispose(): void;
}
export declare class ItemLoadingElement implements IItemLoadingElement {
    _overlay: dxToast;
    private _overlayDiv;
    show(container: HTMLElement): void;
    hide(): void;
    resize(): void;
    dispose(): void;
}
