﻿/**
* DevExpress Dashboard (_popup-calendar-widgets.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class PopupCalendarWidgets {
    constructor(calendarWidget, ..._widgetsToDispose) {
        this.calendarWidget = calendarWidget;
        this._widgetsToDispose = [];
        this._widgetsToDispose = _widgetsToDispose.filter(w => !!w);
    }
    dispose() {
        this.calendarWidget && this.calendarWidget.dispose();
        if (this._widgetsToDispose && this._widgetsToDispose.length) {
            this._widgetsToDispose.forEach(widget => widget.dispose());
        }
    }
}
