﻿/**
* DevExpress Dashboard (_caption-toolbar-css-classes.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DashboardExportFormat } from '../../../common/extensions/export-extension';
export declare let cssClasses: {
    caption: string;
    actionToolbar: string;
    contentToolbar: string;
    captionBorder: string;
    title: string;
    captionPanelSeparator: string;
    popoverIconMenuWrapper: string;
    popoverListWrapper: string;
    floatingContainer: string;
    iconClearMasterFilter: string;
    iconClearSelection: string;
    iconDrillUp: string;
    iconMultiselection: string;
    iconItemExport: string;
    iconExportToPDF: string;
    iconExportToImage: string;
    iconExportToExcel: string;
    iconContentSelection: string;
    iconLimitVisibleData: string;
    iconParameters: string;
    iconFilter: string;
    iconTimePeriods: string;
    iconInitialExtent: string;
    iconBack: string;
    ellipsisIcon: string;
    tooltipLimitVisibleData: string;
    checked: string;
    textButton: string;
    filterText: string;
    dashboardContainer: string;
    toolbarItem: string;
    toolbarBefore: string;
    toolbarAfter: string;
    toolbarCenter: string;
    ellipsisText: string;
    flexParent: string;
    truncated: string;
    fixed: string;
    buttonBack: string;
    toolbarPreview: string;
};
export declare function _convertToExportFormat(exportIcon: any): DashboardExportFormat;
export declare let Settings: {
    allowExportToImage: boolean;
};
