﻿/**
* DevExpress Dashboard (_floating-panel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export interface FloatingPanelOptions {
    toolbarDiv: HTMLElement;
    floatingPanelDiv: HTMLElement;
    container: HTMLElement;
    preview: boolean;
    bottomPosition: boolean;
}
export declare class FloatingPanel {
    private PREVIEW_TOOLBAR_WIDTH;
    private _container;
    private _preview;
    private _floatingPanelDiv;
    private _maxWidth;
    _overlay: any;
    constructor(options: FloatingPanelOptions);
    private _getToolbarWidth;
    private _calculateToolbarWidth;
    show(): void;
    hide(): void;
    repaint(): void;
    isVisible(): any;
    resetSizeCache(): void;
    dispose(): void;
}
